<?php
/*
 * The template for displaying comments part
*/
if ( post_password_required() )
	return;
?>	

	<div id="comments" class="nucy-comments">
		<?php if ( have_comments() ) {  ?>
			<div class="comment-list">
				<ol>
					<?php

						if ( function_exists( 'nucy_comment' ) ) {
							$callback = 'nucy_comment';
						} else {
							$callback = '';
						}
						
						wp_list_comments( array(
							'style' => 'ol',
							'short_ping' => true,
							'avatar_size' => 100,
							'callback' => $callback,
							'reply_text' => '' . esc_html__( 'Reply', 'nucy' ),
						) );
					?>
				
					<?php if ( get_comment_pages_count() > 1 && get_option( 'page_comments' ) ) { ?>
						<nav class="navigation comment-navigation" role="navigation">
							<h1 class="screen-reader-text section-heading"><?php esc_html_e( 'Comment Navigation', 'nucy' ); ?></h1>
							<div class="nav-previous"><?php previous_comments_link( esc_html__( '&larr; Older Comments', 'nucy' ) ); ?></div>
							<div class="nav-next"><?php next_comments_link( esc_html__( 'Newer Comments &rarr;', 'nucy' ) ); ?></div>
						</nav>
					<?php } ?>

					<?php if ( ! comments_open() && get_comments_number() ) { ?>
						<p class="no-comments"><?php esc_html_e( 'Comments are closed.' , 'nucy' ); ?></p>
					<?php } ?>
				</ul>
			</div>
		<?php } ?>

		<?php if ( comments_open() ) { ?>
			<div class="comment-form">
				<?php
					$comments_args = array(
						'id_form' => '',
						'id_submit' => '',
						'title_reply_before' => '',
						'title_reply_after' => '',
						'title_reply' => '<div class="h4">' . esc_html__( 'Leave a Comment', 'nucy' ) . '</div>',
						'title_reply_to' => '<div class="h4">' . esc_html__( 'Comment', 'nucy' ) . '</div>',
						'cancel_reply_link' => esc_html__( 'Cancel Reply', 'nucy'),
						'label_submit' => esc_html__( 'Post Comment', 'nucy'),
						'comment_field' => '<div class="form-textarea"><textarea placeholder="' . esc_attr__( 'Your Comment', 'nucy' ) . '" name="comment" class="commentbody" id="comment" rows="4" tabindex="4"></textarea></div>',
						'comment_notes_before' => '',
						'fields' => apply_filters( 'comment_form_default_fields', array(
							'author' =>
								'<div class="form-inputs"><div class="item name"><input type="text" placeholder="' . esc_attr__( 'Name', 'nucy' ) . '" name="author" id="author" value="' . esc_attr( $comment_author ) . '" size="22" tabindex="1"' . ( $req ? "aria-required='true'" : '' ). ' /></div>',

							'email' =>
								'<div class="item email"><input type="text" placeholder="' . esc_attr__( 'Email', 'nucy' ) . '" name="email" id="email" value="' . esc_attr( $comment_author_email ) . '" size="22" tabindex="1"' . ( $req ? "aria-required='true'" : '' ). ' /></div>',

							'url' =>
								'<div class="item website"><input type="text" placeholder="' . esc_attr__('Website URL', 'nucy') . '" name="url" id="url" value="' . esc_attr($comment_author_url) . '" size="22" tabindex="1" /></div></div>',
							)
						),
					);
					
					comment_form( $comments_args );
				?>
			</div>
		<?php } ?>
	</div>