(function($) {
    "use strict";



    // === Search ==================================== //
    function gt_desktop_search_func() {

        var gt_desktop_search = new TimelineMax({
            paused: !0,
            reversed: !0
        });

        gt_desktop_search.to('.gt-header', .5, {
            y:-80,
            ease: Expo.easeOut
        }).to('.gt-icon--side-panel-open', .2, {
            x: 30,
            opacity: 0
        }).to('.gt-header--panel_search', .5, {
            y:0,
            ease: Expo.easeOut
        }, .5);

        $('.gt-icon--search').on( "click", function() {
            gt_desktop_search.play();
        });

        $('.gt-header--panel_search .gt-icon--close').on( "click", function() {
            gt_desktop_search.reverse();
        });
    }
    gt_desktop_search_func();



    // === Language ==================================== //
    function gt_desktop_language_func() {

        var gt_desktop_language = new TimelineMax({
            paused: !0,
            reversed: !0
        });

        gt_desktop_language.to('.gt-header', .5, {
            y:-80,
            ease: Expo.easeOut
        }).to('.gt-icon--side-panel-open', .2, {
            x: 30,
            opacity: 0
        }).to('.gt-header--panel_language', .5, {
            y:0,
            ease: Expo.easeOut
        }, .5);

        $('.gt-icon--language').on( "click", function() {
            gt_desktop_language.play();
        });

        $('.gt-header--panel_language .gt-icon--close').on( "click", function() {
            gt_desktop_language.reverse();
        });
    }
    gt_desktop_language_func();



    // === Social ==================================== //
    function gt_desktop_social_func() {

        var gt_desktop_social = new TimelineMax({
            paused: !0,
            reversed: !0
        });

        gt_desktop_social.to('.gt-header', .5, {
            y:-80,
            ease: Expo.easeOut
        }).to('.gt-icon--side-panel-open', .2, {
            x: 30,
            opacity: 0
        }).to('.gt-header--panel_social', .5, {
            y:0,
            ease: Expo.easeOut
        }, .5);

        $('.gt-icon--share').on( "click", function() {
            gt_desktop_social.play();
        });

        $('.gt-header--panel_social .gt-icon--close').on( "click", function() {
            gt_desktop_social.reverse();
        });
    }
    gt_desktop_social_func();



    // === Side Panel ==================================== //
    function gt_side_panel_func() {

        var gt_side_panel = new TimelineMax({
            paused: !0,
            reversed: !0
        });

        gt_side_panel.to('.gt-side-panel', .5, {
            right: 0,
            ease: Expo.easeOut
        });

        $('.gt-icon--side-panel-open').on( "click", function() {
            $('.gt-overlay').addClass('active');
            $('.gt-overlay--close').addClass('active');
            gt_side_panel.play();
        });

        $('.gt-overlay--close').on( "click", function() {
            $('.gt-overlay').removeClass('active');
            $('.gt-overlay--close').removeClass('active');

            gt_side_panel.reverse();
        });

    }
    gt_side_panel_func();



    // === Mobile Menu ==================================== //
    function gt_mobile_menu_func() {

        var gt_mobile_menu = new TimelineMax({
            paused: !0,
            reversed: !0
        });

        gt_mobile_menu.to('.gt-mobile-menu', .5, {
            right: 0,
            ease: Expo.easeOut
        });

        $('.gt-icon--mmenu').on( "click", function() {
            $('.gt-overlay').addClass('active');
            $('.gt-overlay--close').addClass('active');
            gt_mobile_menu.play();
        });

        $('.gt-overlay--close').on( "click", function() {
            $('.gt-overlay').removeClass('active');
            $('.gt-overlay--close').removeClass('active');

            gt_mobile_menu.reverse();
        });

    }
    gt_mobile_menu_func();

    $('.gt-mobile-navbar').find('.dropdown').append('<i class="fas fa-caret-down"></i>');

    $('.gt-mobile-navbar .dropdown .fas').on( "click", function() {
        $(this).parent('.dropdown').children('ul').slideToggle("100");
    });



    // === Scroll ==================================== //
    $('.scroll-pane').jScrollPane({autoReinitialise: true});



    // === Fixed Header ==================================== //
    function gt_header_fixed_func() {

        var gt_header_fixed = new TimelineMax({
            paused: !0,
            reversed: !0
        });

        gt_header_fixed.to('.gt-header--fixed', .5, {
            y:0,
            ease: Expo.easeOut
        })

        $(window).scroll(function(){
            if ($(this).scrollTop() > 300)
                gt_header_fixed.play();
            else
                gt_header_fixed.reverse();
        });

    }
    gt_header_fixed_func();



    // === Accordion ==================================== //
    function gt_accordion() {
        $('.gt-accordion.gt-first-active > .card:first-child > .collapse').addClass('show');
    }
    gt_accordion();



    // === Tab ==================================== //
    function gt_tabs() {
        $('.gt-tabs > .gt-tabs--title > nav > .nav-tabs > .nav-link:first-child').addClass('active show');
        $('.gt-tabs > .gt-tabs--content > .tab-content > .tab-pane:first-child').addClass('active show');
    }
    gt_tabs();



    // === Swiper Slider ==================================== //
    function gt_slider() {
        $('.gt-swiper-slider').each( function() {
            var swiperDatas = $(this),
                var_speed = $(this).data('gt-speed'),
                var_direction = $(this).data('gt-direction'),
                var_auto_height = $(this).data('gt-auto-height'),
                var_effect = $(this).data('gt-effect'),
                var_slides_per_view = $(this).data('gt-item'),
                var_space_between = $(this).data('gt-item-space'),
                var_slides_per_column = $(this).data('gt-item-column'),
                var_centered_slides = $(this).data('gt-centered-slides'),
                var_grab_cursor = $(this).data('gt-grab-cursor'),
                var_free_mode = $(this).data('gt-free-mode'),
                var_loop = $(this).data('gt-loop'),
                var_pag = $(this).find('.swiper-pagination'),
                var_next = $(this).find('.gt-slider-next'),
                var_prev = $(this).find('.gt-slider-prev'),
                var_parallax = $(this).data('parallax');

            var swiper = new Swiper(swiperDatas, {
                speed: var_speed,
                direction: var_direction,
                autoHeight: var_auto_height,
                spaceBetween: var_space_between,
                slidesPerView: var_slides_per_view,
                slidesPerColumn: var_slides_per_column,
                centeredSlides: var_centered_slides,
                grabCursor: var_grab_cursor,
                freeMode: var_free_mode,
                loop: var_loop,
                parallax: var_parallax,
                pagination: {
                    el: var_pag,
                    type:'bullets',
                    clickable: true,
                },
                navigation: {
                    nextEl: var_next,
                    prevEl: var_prev,
                },
                breakpoints: {
                    1280: {
                        slidesPerView: var_slides_per_view < 5 ? var_slides_per_view: 4
                    },
                    1198: {
                        slidesPerView: var_slides_per_view < 4 ? var_slides_per_view: 3
                    },
                    991: {
                        slidesPerView: var_slides_per_view < 3 ? var_slides_per_view: 2
                    },
                    550: {
                        slidesPerView: var_slides_per_view < 2 ? var_slides_per_view: 1
                    }
                }
            });
        });
    }
    gt_slider();

    $(function () {
        $(window).resize(function() {
            var windowy = $(window).height();
            var windowx = $(window).width();
            $('.gt-slider .gt-inner').css('max-width',windowx + 'px');
            $('.gt-slider .gt-inner').css('min-height',windowy + 'px');
        }).resize();
    });



})(jQuery);