<?php
/*======
*
* Customize Santanize
*
======*/
	include ( get_template_directory() . '/include/customize/types.php' );
	
	function nucy_santanize( $input ) {
		return $input;
	}



/*======
*
* Customize for Nucy
*
======*/
	function nucy_customizer( $wp_customize ) {
		/*======
		*
		* General Variables
		*
		======*/
		$nucy_capability = "";
		$nucy_transport = "refresh";
		$nucy_santanize = "nucy_santanize"; /* Santanize name */
		$google_font_api_key = "AIzaSyCzqULQqj6OmiSEI5pQ0Y-oMbMbCYlgKBo"; /* Google font API key */
		$google_font_amount = "all"; /* Font count */
		$google_font_cache_time = "50"; /* Font cache time */
		$wp_customize->register_control_type( 'Nucy_Customize_Control_Radio_Image' ); /* General radio image control */



		/*======
		*
		* General
		*
		======*/
		$wp_customize->add_panel( 'nucy_general', array(
			'title' => esc_html__( 'General', 'nucy' ),
			'description' => esc_html__( 'General settings of Nucy.', 'nucy' ),
			'priority' => 1,
			'sanitize_callback' => $nucy_santanize,
		) );

			/*====== General ======*/
			$wp_customize->add_section( 'nucy_general', 
				array(
					'title' => esc_html__( 'General', 'nucy' ),
					'priority' => 1,
					'capability' => 'edit_theme_options',
					'description' => esc_html__( 'General sidebar settings.', 'nucy' ),
					'panel' => 'nucy_general',
					'sanitize_callback' => $nucy_santanize,
				)
			);

			/*====== General Sidebar ======*/
			$wp_customize->add_setting( 'nucy_general_sidebar_position',
				array(
					'default' => 'right-sidebar',
					'type' => 'theme_mod',
					'capability' => 'edit_theme_options',
					'transport' => $nucy_transport,
					'sanitize_callback' => $nucy_santanize,
				)
			);
			
		    $wp_customize->add_control( new Nucy_Customize_Control_Radio_Image(  $wp_customize, 'nucy_general_sidebar_position',
	            array(
	                'label'    => esc_html__( 'Sidebar Position', 'nucy' ),
					'section' => 'nucy_general',
					'settings' => 'nucy_general_sidebar_position',
					'description' => esc_html__( 'You can choose general sidebar position', 'nucy' ),
	                'choices'  => array(
	                    'right-sidebar' => array(
	                        'label' => esc_html__( 'Right Sidebar', 'nucy' ),
	                        'url'   => '%s/include/customize/assets/img/sidebar/right-sidebar.svg'
	                    ),
	                    'left-sidebar' => array(
	                        'label' => esc_html__( 'Left Sidebar', 'nucy' ),
	                        'url'   => '%s/include/customize/assets/img/sidebar/left-sidebar.svg'
	                    ),
	                    'no-sidebar' => array(
	                        'label' => esc_html__( 'No Sidebar', 'nucy' ),
	                        'url'   => '%s/include/customize/assets/img/sidebar/no-sidebar.svg'
	                    )
	                ),
					'sanitize_callback' => $nucy_santanize,
	            )
	        ) );

			/*====== Google Map Api ======*/
			$wp_customize->add_setting( 'nucy_google_map_api',
				array(
					'default' => '',
					'type' => 'theme_mod',
					'capability' => 'edit_theme_options',
					'transport' => $nucy_transport,
					'sanitize_callback' => $nucy_santanize,
				)
			);

			$wp_customize->add_control( 'nucy_google_map_api', 
				array(
					'label' => esc_html__( 'Google Map Api', 'nucy' ),
					'section' => 'nucy_general',
					'settings' => 'nucy_google_map_api',
					'type' => 'text',
					'description' => esc_html__( 'You can enter your Google Map Api. You can create a api from this link: https://goo.gl/mcbWMp', 'nucy' ),
					'sanitize_callback' => $nucy_santanize,
				)
			);

			/*====== Fixed Sidebar ======*/
			$wp_customize->add_setting( 'nucy_fixed_sidebar',
				array(
					'default' => '1',
					'type' => 'theme_mod',
					'capability' => 'edit_theme_options',
					'transport' => $nucy_transport,
					'sanitize_callback' => $nucy_santanize,
				)
			);

			$wp_customize->add_control( new Nucy_Customizer_Toggle_Control( $wp_customize, 'nucy_fixed_sidebar', 
				array(
					'label' => esc_html__( 'Fixed Sidebar', 'nucy' ),
					'section' => 'nucy_general_sidebar',
					'settings' => 'nucy_fixed_sidebar',
					'type' => 'toggle',
					'description' => esc_html__( 'You can choose fixed sidebar status.', 'nucy' ),
					'sanitize_callback' => $nucy_santanize,
				)
			) );



		/*======
		*
		* Header
		*
		======*/
		$wp_customize->add_section( 'nucy_header', 
			array(
				'title' => esc_html__( 'Header', 'nucy' ),
				'priority' => 2,
				'capability' => 'edit_theme_options',
				'description' => esc_html__( 'Header settings for Nucy.', 'nucy' ),
				'sanitize_callback' => $nucy_santanize,
			)
		);

			/*====== Hide Header ======*/
			$wp_customize->add_setting( 'nucy_header_status',
				array(
					'default' => '1',
					'type' => 'theme_mod',
					'capability' => 'edit_theme_options',
					'transport' => $nucy_transport,
					'sanitize_callback' => $nucy_santanize,
				)
			);

			$wp_customize->add_control( new Nucy_Customizer_Toggle_Control( $wp_customize, 'nucy_header_status', 
				array(
					'label' => esc_html__( 'Header', 'nucy' ),
					'section' => 'nucy_header',
					'settings' => 'nucy_header_status',
					'type' => 'toggle',
					'description' => esc_html__( 'You can hide the header from all site.', 'nucy' ),
					'sanitize_callback' => $nucy_santanize,
				)
			) );

			/*====== General Header Style ======*/
			$wp_customize->add_setting( 'nucy_header_general_style',
				array(
					'default' => 'style-1',
					'type' => 'theme_mod',
					'capability' => 'edit_theme_options',
					'transport' => $nucy_transport,
					'sanitize_callback' => $nucy_santanize,
				)
			);
			
		    $wp_customize->add_control( new Nucy_Customize_Control_Radio_Image(  $wp_customize, 'nucy_header_general_style',
	            array(
	                'label'    => esc_html__( 'General Header Style', 'nucy' ),
					'section' => 'nucy_header',
					'settings' => 'nucy_header_general_style',
					'description' => esc_html__( 'You can choose header style for all site.', 'nucy' ),
	                'choices'  => array(
	                    'style-1' => array(
	                        'label' => esc_html__( 'Style 1', 'nucy' ),
	                        'url'   => '%s/include/customize/assets/img/header-style/style-1.svg',
	                    ),
	                    'style-2' => array(
	                        'label' => esc_html__( 'Style 2', 'nucy' ),
	                        'url'   => '%s/include/customize/assets/img/header-style/style-2.svg',
	                    ),
	                ),
					'sanitize_callback' => $nucy_santanize,
	            )
	        ) );

			/*====== General Header Style ======*/
			$wp_customize->add_setting( 'nucy_header_general_position',
				array(
					'default' => 'position-2',
					'type' => 'theme_mod',
					'capability' => 'edit_theme_options',
					'transport' => $nucy_transport,
					'sanitize_callback' => $nucy_santanize,
				)
			);

			/*====== Header Logo ======*/
			$wp_customize->add_setting( 'nucy_header_logo',
				array(
					'default' => '',
					'type' => 'theme_mod',
					'capability' => 'edit_theme_options',
					'transport' => $nucy_transport,
					'sanitize_callback' => $nucy_santanize,
				)
			);

			$wp_customize->add_control( new WP_Customize_Media_Control( $wp_customize, 'nucy_header_logo', 
				array(
					'label' => esc_html__( 'Header Logo', 'nucy' ),
					'section' => 'nucy_header',
					'settings' => 'nucy_header_logo',
					'mime_type' => 'image',
					'description' => esc_html__( 'You can upload site logo for the header.', 'nucy' ),
					'sanitize_callback' => $nucy_santanize,
				)
			) );

			/*====== Header Logo Height ======*/
			$wp_customize->add_setting( 'nucy_header_logo_height',
				array(
					'default' => '40',
					'type' => 'theme_mod',
					'capability' => 'edit_theme_options',
					'transport' => $nucy_transport,
					'sanitize_callback' => $nucy_santanize,
				)
			);

			$wp_customize->add_control( new Nucy_Customizer_Range_Value_Control( $wp_customize, 'nucy_header_logo_height', 
				array(
					'label' => esc_html__( 'Header Logo Height', 'nucy' ),
					'section' => 'nucy_header',
					'settings' => 'nucy_header_logo_height',
					'type' => 'range-value',
					'description' => esc_html__( 'You can enter height for the header logo.', 'nucy' ),
					'sanitize_callback' => $nucy_santanize,
					'input_attrs' => array(
						'min'    => '1',
						'max'    => '650',
						'step'   => '1',
						'suffix' => 'px',
					),
				)
			) );

			/*====== Header Logo Width ======*/
			$wp_customize->add_setting( 'nucy_header_logo_width',
				array(
					'default' => '134',
					'type' => 'theme_mod',
					'capability' => 'edit_theme_options',
					'transport' => $nucy_transport,
					'sanitize_callback' => $nucy_santanize,
				)
			);

			$wp_customize->add_control( new Nucy_Customizer_Range_Value_Control( $wp_customize, 'nucy_header_logo_width', 
				array(
					'label' => esc_html__( 'Header Logo Width', 'nucy' ),
					'section' => 'nucy_header',
					'settings' => 'nucy_header_logo_width',
					'type' => 'range-value',
					'description' => esc_html__( 'You can enter width for the header logo.', 'nucy' ),
					'sanitize_callback' => $nucy_santanize,
					'input_attrs' => array(
						'min'    => '1',
						'max'    => '650',
						'step'   => '1',
						'suffix' => 'px',
					),
				)
			) );

			/*====== Fixed Header ======*/
			$wp_customize->add_setting( 'nucy_header_fixed',
				array(
					'default' => '1',
					'type' => 'theme_mod',
					'capability' => 'edit_theme_options',
					'transport' => $nucy_transport,
					'sanitize_callback' => $nucy_santanize,
				)
			);

			$wp_customize->add_control( new Nucy_Customizer_Toggle_Control( $wp_customize, 'nucy_header_fixed', 
				array(
					'label' => esc_html__( 'Fixed Header', 'nucy' ),
					'section' => 'nucy_header',
					'settings' => 'nucy_header_fixed',
					'type' => 'toggle',
					'description' => esc_html__( 'You can choose fixed status of the header.', 'nucy' ),
					'sanitize_callback' => $nucy_santanize,
				)
			) );

			/*====== Social Media ======*/
			$wp_customize->add_setting( 'nucy_header_social_media',
				array(
					'default' => '1',
					'type' => 'theme_mod',
					'capability' => 'edit_theme_options',
					'transport' => $nucy_transport,
					'sanitize_callback' => $nucy_santanize,
				)
			);

			$wp_customize->add_control( new Nucy_Customizer_Toggle_Control( $wp_customize, 'nucy_header_social_media', 
				array(
					'label' => esc_html__( 'Social Media', 'nucy' ),
					'section' => 'nucy_header',
					'settings' => 'nucy_header_social_media',
					'type' => 'toggle',
					'description' => esc_html__( 'You can hide social media from the header.', 'nucy' ),
					'sanitize_callback' => $nucy_santanize,
				)
			) );

			/*====== Search ======*/
			$wp_customize->add_setting( 'nucy_header_search',
				array(
					'default' => '1',
					'type' => 'theme_mod',
					'capability' => 'edit_theme_options',
					'transport' => $nucy_transport,
					'sanitize_callback' => $nucy_santanize,
				)
			);

			$wp_customize->add_control( new Nucy_Customizer_Toggle_Control( $wp_customize, 'nucy_header_search', 
				array(
					'label' => esc_html__( 'Search', 'nucy' ),
					'section' => 'nucy_header',
					'settings' => 'nucy_header_search',
					'type' => 'toggle',
					'description' => esc_html__( 'You can hide search from the header.', 'nucy' ),
					'sanitize_callback' => $nucy_santanize,
				)
			) );

			/*====== Language Selector ======*/
			$wp_customize->add_setting( 'nucy_header_language_selector',
				array(
					'type' => 'theme_mod',
					'capability' => 'edit_theme_options',
					'transport' => $nucy_transport,
					'sanitize_callback' => $nucy_santanize,
				)
			);

			$wp_customize->add_control( new Nucy_Customizer_Toggle_Control( $wp_customize, 'nucy_header_language_selector', 
				array(
					'label' => esc_html__( 'Language Selector', 'nucy' ),
					'section' => 'nucy_header',
					'settings' => 'nucy_header_language_selector',
					'type' => 'toggle',
					'description' => esc_html__( 'You can hide language selector from the header.', 'nucy' ),
					'sanitize_callback' => $nucy_santanize,
				)
			) );

			/*====== Language Selector ======*/
			$wp_customize->add_setting( 'nucy_header_information',
				array(
					'default' => '1',
					'type' => 'theme_mod',
					'capability' => 'edit_theme_options',
					'transport' => $nucy_transport,
					'sanitize_callback' => $nucy_santanize,
				)
			);

			$wp_customize->add_control( new Nucy_Customizer_Toggle_Control( $wp_customize, 'nucy_header_information', 
				array(
					'label' => esc_html__( 'Information List', 'nucy' ),
					'section' => 'nucy_header',
					'settings' => 'nucy_header_information',
					'type' => 'toggle',
					'description' => esc_html__( 'You can hide the information list from the header.', 'nucy' ),
					'sanitize_callback' => $nucy_santanize,
				)
			) );

			/*====== Phone Number ======*/
			$wp_customize->add_setting( 'nucy_header_phone_number',
				array(
					'default' => '',
					'type' => 'theme_mod',
					'capability' => 'edit_theme_options',
					'transport' => $nucy_transport,
					'sanitize_callback' => $nucy_santanize,
				)
			);

			$wp_customize->add_control( 'nucy_header_phone_number', 
				array(
					'label' => esc_html__( 'Phone Number', 'nucy' ),
					'section' => 'nucy_header',
					'settings' => 'nucy_header_phone_number',
					'type' => 'text',
					'description' => esc_html__( 'You can enter a phone number for the header.', 'nucy' ),
					'sanitize_callback' => $nucy_santanize,
				)
			);

			/*====== Working Hours ======*/
			$wp_customize->add_setting( 'nucy_header_working_hours',
				array(
					'default' => '',
					'type' => 'theme_mod',
					'capability' => 'edit_theme_options',
					'transport' => $nucy_transport,
					'sanitize_callback' => $nucy_santanize,
				)
			);

			$wp_customize->add_control( 'nucy_header_working_hours', 
				array(
					'label' => esc_html__( 'Working Hours', 'nucy' ),
					'section' => 'nucy_header',
					'settings' => 'nucy_header_working_hours',
					'type' => 'text',
					'description' => esc_html__( 'You can enter working hours for the header.', 'nucy' ),
					'sanitize_callback' => $nucy_santanize,
				)
			);

			/*====== Email Address ======*/
			$wp_customize->add_setting( 'nucy_header_email_address',
				array(
					'default' => '',
					'type' => 'theme_mod',
					'capability' => 'edit_theme_options',
					'transport' => $nucy_transport,
					'sanitize_callback' => $nucy_santanize,
				)
			);

			$wp_customize->add_control( 'nucy_header_email_address', 
				array(
					'label' => esc_html__( 'Email Address', 'nucy' ),
					'section' => 'nucy_header',
					'settings' => 'nucy_header_email_address',
					'type' => 'email',
					'description' => esc_html__( 'You can enter an email address for the header.', 'nucy' ),
					'sanitize_callback' => $nucy_santanize,
				)
			);

			/*====== Home Icon ======*/
			$wp_customize->add_setting( 'nucy_header_home_icon',
				array(
					'default' => '1',
					'type' => 'theme_mod',
					'capability' => 'edit_theme_options',
					'transport' => $nucy_transport,
					'sanitize_callback' => $nucy_santanize,
				)
			);

			$wp_customize->add_control( new Nucy_Customizer_Toggle_Control( $wp_customize, 'nucy_header_home_icon', 
				array(
					'label' => esc_html__( 'Home Icon', 'nucy' ),
					'section' => 'nucy_header',
					'settings' => 'nucy_header_home_icon',
					'type' => 'toggle',
					'description' => esc_html__( 'You can hide home icon from the header menu.', 'nucy' ),
					'sanitize_callback' => $nucy_santanize,
				)
			) );

			/*====== Header Sidebar ======*/
			$wp_customize->add_setting( 'nucy_header_sidebar',
				array(
					'default' => '1',
					'type' => 'theme_mod',
					'capability' => 'edit_theme_options',
					'transport' => $nucy_transport,
					'sanitize_callback' => $nucy_santanize,
				)
			);

			$wp_customize->add_control( new Nucy_Customizer_Toggle_Control( $wp_customize, 'nucy_header_sidebar', 
				array(
					'label' => esc_html__( 'Header Sidebar', 'nucy' ),
					'section' => 'nucy_header',
					'settings' => 'nucy_header_sidebar',
					'type' => 'toggle',
					'description' => esc_html__( 'You can hide header sidebar from the header.', 'nucy' ),
					'sanitize_callback' => $nucy_santanize,
				)
			) );



		/*======
		*
		* Footer
		*
		======*/
		$wp_customize->add_section( 'nucy_footer', 
			array(
				'title' => esc_html__( 'Footer', 'nucy' ),
				'priority' => 3,
				'capability' => 'edit_theme_options',
				'description' => esc_html__( 'Footer settings for Nucy.', 'nucy' ),
				'sanitize_callback' => $nucy_santanize,
			)
		);

			/*====== Footer Status ======*/
			$wp_customize->add_setting( 'nucy_footer_status',
				array(
					'default' => '1',
					'type' => 'theme_mod',
					'capability' => 'edit_theme_options',
					'transport' => $nucy_transport,
					'sanitize_callback' => $nucy_santanize,
				)
			);

			$wp_customize->add_control( new Nucy_Customizer_Toggle_Control( $wp_customize, 'nucy_footer_status', 
				array(
					'label' => esc_html__( 'Footer', 'nucy' ),
					'section' => 'nucy_footer',
					'settings' => 'nucy_footer_status',
					'type' => 'toggle',
					'description' => esc_html__( 'You can hide the footer from all site.', 'nucy' ),
					'sanitize_callback' => $nucy_santanize,
				)
			) );

			/*====== Footer Content Page ======*/
			$wp_customize->add_setting( 'nucy_footer_content_page',
				array(
					'default' => '',
					'type' => 'theme_mod',
					'capability' => 'edit_theme_options',
					'transport' => $nucy_transport,
					'sanitize_callback' => $nucy_santanize,
				)
			);

			$wp_customize->add_control( 'nucy_footer_content_page', 
				array(
					'label' => esc_html__( 'Footer Content Page', 'nucy' ),
					'section' => 'nucy_footer',
					'settings' => 'nucy_footer_content_page',
					'type' => 'dropdown-pages',
					'description' => esc_html__( 'You can choose a footer content page for the footer. You can edit the footer from this page.', 'nucy' ),
					'sanitize_callback' => $nucy_santanize,
				)
			);

			/*====== Newsletter ======*/
			$wp_customize->add_setting( 'nucy_footer_newsletter',
				array(
					'default' => '1',
					'type' => 'theme_mod',
					'capability' => 'edit_theme_options',
					'transport' => $nucy_transport,
					'sanitize_callback' => $nucy_santanize,
				)
			);

			$wp_customize->add_control( new Nucy_Customizer_Toggle_Control( $wp_customize, 'nucy_footer_newsletter', 
				array(
					'label' => esc_html__( 'Newsletter', 'nucy' ),
					'section' => 'nucy_footer',
					'settings' => 'nucy_footer_newsletter',
					'type' => 'toggle',
					'description' => esc_html__( 'You can hide the newsletter form from the footer.', 'nucy' ),
					'sanitize_callback' => $nucy_santanize,
				)
			) );

			/*====== Newsletter Shortcode ======*/
			$wp_customize->add_setting( 'nucy_footer_newsletter_code',
				array(
					'default' => '',
					'type' => 'theme_mod',
					'capability' => 'edit_theme_options',
					'transport' => $nucy_transport,
					'sanitize_callback' => $nucy_santanize,
				)
			);

			$wp_customize->add_control( 'nucy_footer_newsletter_code', 
				array(
					'label' => esc_html__( 'Newsletter Shortcode', 'nucy' ),
					'section' => 'nucy_footer',
					'settings' => 'nucy_footer_newsletter_code',
					'type' => 'text',
					'description' => esc_html__( 'You can enter your newsletter shortcode from here.', 'nucy' ),
					'sanitize_callback' => $nucy_santanize,
				)
			);

			/*====== Footer Menu ======*/
			$wp_customize->add_setting( 'nucy_footer_menu',
				array(
					'default' => '1',
					'type' => 'theme_mod',
					'capability' => 'edit_theme_options',
					'transport' => $nucy_transport,
					'sanitize_callback' => $nucy_santanize,
				)
			);

			$wp_customize->add_control( new Nucy_Customizer_Toggle_Control( $wp_customize, 'nucy_footer_menu', 
				array(
					'label' => esc_html__( 'Footer Menu', 'nucy' ),
					'section' => 'nucy_footer',
					'settings' => 'nucy_footer_menu',
					'type' => 'toggle',
					'description' => esc_html__( 'You can hide the footer menu from the footer.', 'nucy' ),
					'sanitize_callback' => $nucy_santanize,
				)
			) );

			/*====== Copyright Status ======*/
			$wp_customize->add_setting( 'nucy_copyright',
				array(
					'default' => '1',
					'type' => 'theme_mod',
					'capability' => 'edit_theme_options',
					'transport' => $nucy_transport,
					'sanitize_callback' => $nucy_santanize,
				)
			);

			$wp_customize->add_control( new Nucy_Customizer_Toggle_Control( $wp_customize, 'nucy_copyright', 
				array(
					'label' => esc_html__( 'Copyright', 'nucy' ),
					'section' => 'nucy_footer',
					'settings' => 'nucy_copyright',
					'type' => 'toggle',
					'description' => esc_html__( 'You can hide the copyright from the footer.', 'nucy' ),
					'sanitize_callback' => $nucy_santanize,
				)
			) );

			/*====== Copyright Menu ======*/
			$wp_customize->add_setting( 'nucy_copyright_menu',
				array(
					'default' => '1',
					'type' => 'theme_mod',
					'capability' => 'edit_theme_options',
					'transport' => $nucy_transport,
					'sanitize_callback' => $nucy_santanize,
				)
			);

			$wp_customize->add_control( new Nucy_Customizer_Toggle_Control( $wp_customize, 'nucy_copyright_menu', 
				array(
					'label' => esc_html__( 'Copyright Menu', 'nucy' ),
					'section' => 'nucy_footer',
					'settings' => 'nucy_copyright_menu',
					'type' => 'toggle',
					'description' => esc_html__( 'You can hide the copyright menu from the copyright.', 'nucy' ),
					'sanitize_callback' => $nucy_santanize,
				)
			) );

			/*====== Copyright Logo ======*/
			$wp_customize->add_setting( 'nucy_copyright_logo',
				array(
					'default' => '',
					'type' => 'theme_mod',
					'capability' => 'edit_theme_options',
					'transport' => $nucy_transport,
					'sanitize_callback' => $nucy_santanize,
				)
			);

			$wp_customize->add_control( new WP_Customize_Media_Control( $wp_customize, 'nucy_copyright_logo', 
				array(
					'label' => esc_html__( 'Copyright Logo', 'nucy' ),
					'section' => 'nucy_footer',
					'settings' => 'nucy_copyright_logo',
					'mime_type' => 'image',
					'description' => esc_html__( 'You can upload site logo for copyright.', 'nucy' ),
					'sanitize_callback' => $nucy_santanize,
				)
			) );

			/*====== Copyright Text ======*/
			$wp_customize->add_setting( 'nucy_copyright_text',
				array(
					'default' => '',
					'type' => 'theme_mod',
					'capability' => 'edit_theme_options',
					'transport' => $nucy_transport,
					'sanitize_callback' => $nucy_santanize,
				)
			);

			$wp_customize->add_control( 'nucy_copyright_text', 
				array(
					'label' => esc_html__( 'Copyright Text', 'nucy' ),
					'section' => 'nucy_footer',
					'settings' => 'nucy_copyright_text',
					'type' => 'text',
					'description' => esc_html__( 'You can enter the copyright text for copyright.', 'nucy' ),
					'sanitize_callback' => $nucy_santanize,
				)
			);



		/*======
		*
		* Colors
		*
		======*/
		$wp_customize->add_section( 'colors', 
			array(
				'title' => esc_html__( 'Colors', 'nucy' ),
				'priority' => 4,
				'capability' => 'edit_theme_options',
				'description' => esc_html__( 'Color settings.', 'nucy' ),
				'sanitize_callback' => $nucy_santanize,
			)
		);

			/*====== Main Color ======*/
			$wp_customize->add_setting( 'nucy_theme_main_color',
				array(
					'default' => '#ffc311',
					'type' => 'theme_mod',
					'capability' => 'edit_theme_options',
					'transport' => $nucy_transport,
					'sanitize_callback' => $nucy_santanize,
				)
			);

			$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'nucy_theme_main_color', 
				array(
					'label' => esc_html__( 'Main Color', 'nucy' ),
					'section' => 'colors',
					'settings' => 'nucy_theme_main_color',
					'description' => esc_html__( 'You can choose main color of the theme.', 'nucy' ),
					'sanitize_callback' => $nucy_santanize,
				)
			) );



		/*======
		*
		* Typography
		*
		======*/
		$wp_customize->add_section( 'nucy_typography', 
			array(
				'title' => esc_html__( 'Typography', 'nucy' ),
				'priority' => 5,
				'capability' => 'edit_theme_options',
				'description' => esc_html__( 'Typography settings.', 'nucy' ),
				'sanitize_callback' => $nucy_santanize,
			)
		);

			/*====== Latin Extended ======*/
			$wp_customize->add_setting( 'nucy_typography_latin_extended',
				array(
					'default' => '',
					'type' => 'theme_mod',
					'capability' => 'edit_theme_options',
					'transport' => $nucy_transport,
					'sanitize_callback' => $nucy_santanize,
				)
			);

			$wp_customize->add_control( new Nucy_Customizer_Toggle_Control( $wp_customize, 'nucy_typography_latin_extended', 
				array(
					'label' => esc_html__( 'Latin Extended', 'nucy' ),
					'section' => 'nucy_typography',
					'settings' => 'nucy_typography_latin_extended',
					'type' => 'toggle',
					'description' => esc_html__( 'You can choose character status of Latin Extended.', 'nucy' ),
					'sanitize_callback' => $nucy_santanize,
				)
			) );

			/*====== Cyrillic Extended ======*/
			$wp_customize->add_setting( 'nucy_typography_cyrillic_extended',
				array(
					'default' => '',
					'type' => 'theme_mod',
					'capability' => 'edit_theme_options',
					'transport' => $nucy_transport,
					'sanitize_callback' => $nucy_santanize,
				)
			);

			$wp_customize->add_control( new Nucy_Customizer_Toggle_Control( $wp_customize, 'nucy_typography_cyrillic_extended', 
				array(
					'label' => esc_html__( 'Cyrillic & Cyrillic Extended', 'nucy' ),
					'section' => 'nucy_typography',
					'settings' => 'nucy_typography_cyrillic_extended',
					'type' => 'toggle',
					'description' => esc_html__( 'You can choose character status of Cyrillic Extended.', 'nucy' ),
					'sanitize_callback' => $nucy_santanize,
				)
			) );

			/*====== Greek Extended ======*/
			$wp_customize->add_setting( 'nucy_typography_greek_extended',
				array(
					'default' => '',
					'type' => 'theme_mod',
					'capability' => 'edit_theme_options',
					'transport' => $nucy_transport,
					'sanitize_callback' => $nucy_santanize,
				)
			);

			$wp_customize->add_control( new Nucy_Customizer_Toggle_Control( $wp_customize, 'nucy_typography_greek_extended', 
				array(
					'label' => esc_html__( 'Greek & Greek Extended', 'nucy' ),
					'section' => 'nucy_typography',
					'settings' => 'nucy_typography_greek_extended',
					'type' => 'toggle',
					'description' => esc_html__( 'You can choose character status of Greek Extended.', 'nucy' ),
					'sanitize_callback' => $nucy_santanize,
				)
			) );

			/*====== Font Weights ======*/
			$wp_customize->add_setting( 'nucy_font_weights',
				array(
					'default' => '100,100italic,200,200italic,300,300italic,400,400italic,500,500italic,600,600italic,700,700italic,800,800italic,900,900italic',
					'type' => 'theme_mod',
					'capability' => 'edit_theme_options',
					'transport' => $nucy_transport,
					'sanitize_callback' => $nucy_santanize,
				)
			);

			$wp_customize->add_control( 'nucy_font_weights', 
				array(
					'label' => esc_html__( 'Font Weights', 'nucy' ),
					'section' => 'nucy_typography',
					'settings' => 'nucy_font_weights',
					'description' => esc_html__( 'You can enter custom font weights.', 'nucy' ),
					'type' => 'text',
					'sanitize_callback' => $nucy_santanize,
				)
			);

			/*====== Typography Main Font ======*/
			$wp_customize->add_setting( 'nucy_typography_main_font',
				array(
					'default' => 'Montserrat',
					'type' => 'theme_mod',
					'capability' => 'edit_theme_options',
					'transport' => $nucy_transport,
					'sanitize_callback' => $nucy_santanize,
				)
			);

			$wp_customize->add_control( new Nucy_Customize_Google_Fonts_Control( $wp_customize, 'nucy_typography_main_font', 
				array(
					'label' => esc_html__( 'Main Font', 'nucy' ),
					'section' => 'nucy_typography',
					'settings' => 'nucy_typography_main_font',
					'description' => esc_html__( 'You can change main font of the theme.', 'nucy' ),
					'api_key' => $google_font_api_key,
					'amount' => $google_font_amount,
					'cache_time'  => $google_font_cache_time,
					'sanitize_callback' => $nucy_santanize,
				)
			) );

			/*====== HTML Font Size ======*/
			$wp_customize->add_setting( 'nucy_typography_html_font_size',
				array(
					'default' => '16',
					'type' => 'theme_mod',
					'capability' => 'edit_theme_options',
					'transport' => $nucy_transport,
					'sanitize_callback' => $nucy_santanize,
				)
			);

			$wp_customize->add_control( new Nucy_Customizer_Range_Value_Control( $wp_customize, 'nucy_typography_html_font_size', 
				array(
					'label' => esc_html__( 'HTML Font Size', 'nucy' ),
					'section' => 'nucy_typography',
					'settings' => 'nucy_typography_html_font_size',
					'type' => 'range-value',
					'description' => esc_html__( 'You can enter custom font size for HTML tag.', 'nucy' ),
					'sanitize_callback' => $nucy_santanize,
					'input_attrs' => array(
						'min'    => '1',
						'max'    => '150',
						'step'   => '1',
						'suffix' => 'px',
					),
				)
			) );

			/*====== Body Font Size ======*/
			$wp_customize->add_setting( 'nucy_typography_body_font_size',
				array(
					'default' => '1',
					'type' => 'theme_mod',
					'capability' => 'edit_theme_options',
					'transport' => $nucy_transport,
					'sanitize_callback' => $nucy_santanize,
				)
			);

			$wp_customize->add_control( new Nucy_Customizer_Range_Value_Control( $wp_customize, 'nucy_typography_body_font_size', 
				array(
					'label' => esc_html__( 'Body Font Size', 'nucy' ),
					'section' => 'nucy_typography',
					'settings' => 'nucy_typography_body_font_size',
					'type' => 'range-value',
					'description' => esc_html__( 'You can enter custom font size for body.', 'nucy' ),
					'sanitize_callback' => $nucy_santanize,
					'input_attrs' => array(
						'min'    => '1',
						'max'    => '150',
						'step'   => '0.1',
						'suffix' => 'rem',
					),
				)
			) );

			/*====== H1 Font Size ======*/
			$wp_customize->add_setting( 'nucy_typography_h1_font_size',
				array(
					'default' => '2.5',
					'type' => 'theme_mod',
					'capability' => 'edit_theme_options',
					'transport' => $nucy_transport,
					'sanitize_callback' => $nucy_santanize,
				)
			);

			$wp_customize->add_control( new Nucy_Customizer_Range_Value_Control( $wp_customize, 'nucy_typography_h1_font_size', 
				array(
					'label' => esc_html__( 'H1 Font Size', 'nucy' ),
					'section' => 'nucy_typography',
					'settings' => 'nucy_typography_h1_font_size',
					'type' => 'range-value',
					'description' => esc_html__( 'You can enter custom font size for H1.', 'nucy' ),
					'sanitize_callback' => $nucy_santanize,
					'input_attrs' => array(
						'min'    => '1',
						'max'    => '150',
						'step'   => '0.1',
						'suffix' => 'rem',
					),
				)
			) );

			/*====== H2 Font Size ======*/
			$wp_customize->add_setting( 'nucy_typography_h2_font_size',
				array(
					'default' => '2',
					'type' => 'theme_mod',
					'capability' => 'edit_theme_options',
					'transport' => $nucy_transport,
					'sanitize_callback' => $nucy_santanize,
				)
			);

			$wp_customize->add_control( new Nucy_Customizer_Range_Value_Control( $wp_customize, 'nucy_typography_h2_font_size', 
				array(
					'label' => esc_html__( 'H2 Font Size', 'nucy' ),
					'section' => 'nucy_typography',
					'settings' => 'nucy_typography_h2_font_size',
					'type' => 'range-value',
					'description' => esc_html__( 'You can enter custom font size for H2.', 'nucy' ),
					'sanitize_callback' => $nucy_santanize,
					'input_attrs' => array(
						'min'    => '1',
						'max'    => '150',
						'step'   => '0.1',
						'suffix' => 'rem',
					),
				)
			) );

			/*====== H3 Font Size ======*/
			$wp_customize->add_setting( 'nucy_typography_h3_font_size',
				array(
					'default' => '1.75',
					'type' => 'theme_mod',
					'capability' => 'edit_theme_options',
					'transport' => $nucy_transport,
					'sanitize_callback' => $nucy_santanize,
				)
			);

			$wp_customize->add_control( new Nucy_Customizer_Range_Value_Control( $wp_customize, 'nucy_typography_h3_font_size', 
				array(
					'label' => esc_html__( 'H3 Font Size', 'nucy' ),
					'section' => 'nucy_typography',
					'settings' => 'nucy_typography_h3_font_size',
					'type' => 'range-value',
					'description' => esc_html__( 'You can enter custom font size for H3.', 'nucy' ),
					'sanitize_callback' => $nucy_santanize,
					'input_attrs' => array(
						'min'    => '1',
						'max'    => '150',
						'step'   => '0.1',
						'suffix' => 'rem',
					),
				)
			) );

			/*====== H4 Font Size ======*/
			$wp_customize->add_setting( 'nucy_typography_h4_font_size',
				array(
					'default' => '1.5',
					'type' => 'theme_mod',
					'capability' => 'edit_theme_options',
					'transport' => $nucy_transport,
					'sanitize_callback' => $nucy_santanize,
				)
			);

			$wp_customize->add_control( new Nucy_Customizer_Range_Value_Control( $wp_customize, 'nucy_typography_h4_font_size', 
				array(
					'label' => esc_html__( 'H4 Font Size', 'nucy' ),
					'section' => 'nucy_typography',
					'settings' => 'nucy_typography_h4_font_size',
					'type' => 'range-value',
					'description' => esc_html__( 'You can enter custom font size for H4.', 'nucy' ),
					'sanitize_callback' => $nucy_santanize,
					'input_attrs' => array(
						'min'    => '1',
						'max'    => '150',
						'step'   => '0.1',
						'suffix' => 'rem',
					),
				)
			) );

			/*====== H5 Font Size ======*/
			$wp_customize->add_setting( 'nucy_typography_h5_font_size',
				array(
					'default' => '1.25',
					'type' => 'theme_mod',
					'capability' => 'edit_theme_options',
					'transport' => $nucy_transport,
					'sanitize_callback' => $nucy_santanize,
				)
			);

			$wp_customize->add_control( new Nucy_Customizer_Range_Value_Control( $wp_customize, 'nucy_typography_h5_font_size', 
				array(
					'label' => esc_html__( 'H5 Font Size', 'nucy' ),
					'section' => 'nucy_typography',
					'settings' => 'nucy_typography_h5_font_size',
					'type' => 'range-value',
					'description' => esc_html__( 'You can enter custom font size for H5.', 'nucy' ),
					'sanitize_callback' => $nucy_santanize,
					'input_attrs' => array(
						'min'    => '1',
						'max'    => '150',
						'step'   => '0.1',
						'suffix' => 'rem',
					),
				)
			) );

			/*====== H6 Font Size ======*/
			$wp_customize->add_setting( 'nucy_typography_h6_font_size',
				array(
					'default' => '1',
					'type' => 'theme_mod',
					'capability' => 'edit_theme_options',
					'transport' => $nucy_transport,
					'sanitize_callback' => $nucy_santanize,
				)
			);

			$wp_customize->add_control( new Nucy_Customizer_Range_Value_Control( $wp_customize, 'nucy_typography_h6_font_size', 
				array(
					'label' => esc_html__( 'H6 Font Size', 'nucy' ),
					'section' => 'nucy_typography',
					'settings' => 'nucy_typography_h6_font_size',
					'type' => 'range-value',
					'description' => esc_html__( 'You can enter custom font size for H6.', 'nucy' ),
					'sanitize_callback' => $nucy_santanize,
					'input_attrs' => array(
						'min'    => '1',
						'max'    => '150',
						'step'   => '0.1',
						'suffix' => 'rem',
					),
				)
			) );

			/*====== Inputs Font Size ======*/
			$wp_customize->add_setting( 'nucy_typography_input_font_size',
				array(
					'default' => '0.9231',
					'type' => 'theme_mod',
					'capability' => 'edit_theme_options',
					'transport' => $nucy_transport,
					'sanitize_callback' => $nucy_santanize,
				)
			);

			$wp_customize->add_control( new Nucy_Customizer_Range_Value_Control( $wp_customize, 'nucy_typography_input_font_size', 
				array(
					'label' => esc_html__( 'Input Font Size', 'nucy' ),
					'section' => 'nucy_typography',
					'settings' => 'nucy_typography_input_font_size',
					'type' => 'range-value',
					'description' => esc_html__( 'You can enter custom font size for inputs.', 'nucy' ),
					'sanitize_callback' => $nucy_santanize,
					'input_attrs' => array(
						'min'    => '1',
						'max'    => '150',
						'step'   => '0.1',
						'suffix' => 'rem',
					),
				)
			) );

			/*====== Buttons Font Size ======*/
			$wp_customize->add_setting( 'nucy_typography_button_font_size',
				array(
					'default' => '0.6875',
					'type' => 'theme_mod',
					'capability' => 'edit_theme_options',
					'transport' => $nucy_transport,
					'sanitize_callback' => $nucy_santanize,
				)
			);

			$wp_customize->add_control( new Nucy_Customizer_Range_Value_Control( $wp_customize, 'nucy_typography_button_font_size', 
				array(
					'label' => esc_html__( 'Button Font Size', 'nucy' ),
					'section' => 'nucy_typography',
					'settings' => 'nucy_typography_button_font_size',
					'type' => 'range-value',
					'description' => esc_html__( 'You can enter custom font size for buttons.', 'nucy' ),
					'sanitize_callback' => $nucy_santanize,
					'input_attrs' => array(
						'min'    => '1',
						'max'    => '150',
						'step'   => '0.1',
						'suffix' => 'rem',
					),
				)
			) );



		/*======
		*
		* Posts
		*
		======*/
		$wp_customize->add_section( 'nucy_posts', 
			array(
				'title' => esc_html__( 'Posts', 'nucy' ),
				'priority' => 9,
				'capability' => 'edit_theme_options',
				'description' => esc_html__( 'Post settings.', 'nucy' ),
				'sanitize_callback' => $nucy_santanize,
			)
		);

		/*====== Post Sidebar Position ======*/
			$wp_customize->add_setting( 'nucy_posts_sidebar_position',
				array(
					'default' => 'right-sidebar',
					'type' => 'theme_mod',
					'capability' => 'edit_theme_options',
					'transport' => $nucy_transport,
					'sanitize_callback' => $nucy_santanize,
				)
			);
			
		    $wp_customize->add_control( new Nucy_Customize_Control_Radio_Image(  $wp_customize, 'nucy_posts_sidebar_position',
	            array(
	                'label'    => esc_html__( 'Post Sidebar Position', 'nucy' ),
					'section' => 'nucy_posts',
					'settings' => 'nucy_posts_sidebar_position',
					'description' => esc_html__( 'You can choose default sidebar position for posts.', 'nucy' ),
	                'choices'  => array(
	                    'right-sidebar' => array(
	                        'label' => esc_html__( 'Right Sidebar', 'nucy' ),
	                        'url'   => '%s/include/customize/assets/img/sidebar/right-sidebar.svg'
	                    ),
	                    'left-sidebar' => array(
	                        'label' => esc_html__( 'Left Sidebar', 'nucy' ),
	                        'url'   => '%s/include/customize/assets/img/sidebar/left-sidebar.svg'
	                    ),
	                    'no-sidebar' => array(
	                        'label' => esc_html__( 'No Sidebar', 'nucy' ),
	                        'url'   => '%s/include/customize/assets/img/sidebar/no-sidebar.svg'
	                    )
	                ),
					'sanitize_callback' => $nucy_santanize,
	            )
	        ) );

			/*====== Post Sidebar ======*/
			$wp_customize->add_setting( 'nucy_posts_sidebar',
				array(
					'default' => '',
					'type' => 'theme_mod',
					'capability' => 'edit_theme_options',
					'transport' => $nucy_transport,
					'sanitize_callback' => $nucy_santanize,
				)
			);
			
		    $wp_customize->add_control( new Nucy_Sidebar_Dropdown_Custom_Control(  $wp_customize, 'nucy_posts_sidebar',
	            array(
	                'label'    => esc_html__( 'Post Sidebar', 'nucy' ),
					'section' => 'nucy_posts',
					'settings' => 'nucy_posts_sidebar',
					'description' => esc_html__( 'You can choose default sidebar for posts.', 'nucy' ),
					'sanitize_callback' => $nucy_santanize,
	            )
	        ) );

			/*====== Post Image ======*/
			$wp_customize->add_setting( 'nucy_posts_image',
				array(
					'default' => '1',
					'type' => 'theme_mod',
					'capability' => 'edit_theme_options',
					'transport' => $nucy_transport,
					'sanitize_callback' => $nucy_santanize,
				)
			);

			$wp_customize->add_control( new Nucy_Customizer_Toggle_Control( $wp_customize, 'nucy_posts_image', 
				array(
					'label' => esc_html__( 'Post Image', 'nucy' ),
					'section' => 'nucy_posts',
					'settings' => 'nucy_posts_image',
					'type' => 'toggle',
					'description' => esc_html__( 'You can hide image from post single.', 'nucy' ),
					'sanitize_callback' => $nucy_santanize,
				)
			) );

			/*====== Post Tags ======*/
			$wp_customize->add_setting( 'nucy_posts_tags',
				array(
					'default' => '1',
					'type' => 'theme_mod',
					'capability' => 'edit_theme_options',
					'transport' => $nucy_transport,
					'sanitize_callback' => $nucy_santanize,
				)
			);

			$wp_customize->add_control( new Nucy_Customizer_Toggle_Control( $wp_customize, 'nucy_posts_tags', 
				array(
					'label' => esc_html__( 'Post Tags', 'nucy' ),
					'section' => 'nucy_posts',
					'settings' => 'nucy_posts_tags',
					'type' => 'toggle',
					'description' => esc_html__( 'You can hide tag status from post single.', 'nucy' ),
					'sanitize_callback' => $nucy_santanize,
				)
			) );

			/*====== Post Share ======*/
			$wp_customize->add_setting( 'nucy_posts_share',
				array(
					'default' => '1',
					'type' => 'theme_mod',
					'capability' => 'edit_theme_options',
					'transport' => $nucy_transport,
					'sanitize_callback' => $nucy_santanize,
				)
			);

			$wp_customize->add_control( new Nucy_Customizer_Toggle_Control( $wp_customize, 'nucy_posts_share', 
				array(
					'label' => esc_html__( 'Post Share', 'nucy' ),
					'section' => 'nucy_posts',
					'settings' => 'nucy_posts_share',
					'type' => 'toggle',
					'description' => esc_html__( 'You can choose share buttons status of posts.', 'nucy' ),
					'sanitize_callback' => $nucy_santanize,
				)
			) );

			/*====== Post Biography ======*/
			$wp_customize->add_setting( 'nucy_posts_author_biography',
				array(
					'default' => '1',
					'type' => 'theme_mod',
					'capability' => 'edit_theme_options',
					'transport' => $nucy_transport,
					'sanitize_callback' => $nucy_santanize,
				)
			);

			$wp_customize->add_control( new Nucy_Customizer_Toggle_Control( $wp_customize, 'nucy_posts_author_biography', 
				array(
					'label' => esc_html__( 'Author Biography', 'nucy' ),
					'section' => 'nucy_posts',
					'settings' => 'nucy_posts_author_biography',
					'type' => 'toggle',
					'description' => esc_html__( 'You can choose author biography status of posts.', 'nucy' ),
					'sanitize_callback' => $nucy_santanize,
				)
			) );

			/*====== Post Related ======*/
			$wp_customize->add_setting( 'nucy_posts_related',
				array(
					'default' => '1',
					'type' => 'theme_mod',
					'capability' => 'edit_theme_options',
					'transport' => $nucy_transport,
					'sanitize_callback' => $nucy_santanize,
				)
			);

			$wp_customize->add_control( new Nucy_Customizer_Toggle_Control( $wp_customize, 'nucy_posts_related', 
				array(
					'label' => esc_html__( 'Related Posts', 'nucy' ),
					'section' => 'nucy_posts',
					'settings' => 'nucy_posts_related',
					'type' => 'toggle',
					'description' => esc_html__( 'You can choose related post field status of posts.', 'nucy' ),
					'sanitize_callback' => $nucy_santanize,
				)
			) );

			/*====== Post Related Count ======*/
			$wp_customize->add_setting( 'nucy_posts_related_count',
				array(
					'default' => '2',
					'type' => 'theme_mod',
					'capability' => 'edit_theme_options',
					'transport' => $nucy_transport,
					'sanitize_callback' => $nucy_santanize,
				)
			);

			$wp_customize->add_control( new Nucy_Customizer_Range_Value_Control( $wp_customize, 'nucy_posts_related_count', 
				array(
					'label' => esc_html__( 'Related Post Count', 'nucy' ),
					'section' => 'nucy_posts',
					'settings' => 'nucy_posts_related_count',
					'type' => 'range-value',
					'description' => esc_html__( 'You can enter post count for related post field.', 'nucy' ),
					'sanitize_callback' => $nucy_santanize,
					'input_attrs' => array(
						'min'    => '1',
						'max'    => '6',
						'step'   => '1',
						'suffix' => '',
					),
				)
			) );

			/*====== Post Navigation ======*/
			$wp_customize->add_setting( 'nucy_posts_navigation',
				array(
					'default' => '1',
					'type' => 'theme_mod',
					'capability' => 'edit_theme_options',
					'transport' => $nucy_transport,
					'sanitize_callback' => $nucy_santanize,
				)
			);

			$wp_customize->add_control( new Nucy_Customizer_Toggle_Control( $wp_customize, 'nucy_posts_navigation', 
				array(
					'label' => esc_html__( 'Post Navigation', 'nucy' ),
					'section' => 'nucy_posts',
					'settings' => 'nucy_posts_navigation',
					'type' => 'toggle',
					'description' => esc_html__( 'You can hide navigation status from post single.', 'nucy' ),
					'sanitize_callback' => $nucy_santanize,
				)
			) );

			/*====== Post Comment ======*/
			$wp_customize->add_setting( 'nucy_posts_comment',
				array(
					'default' => '1',
					'type' => 'theme_mod',
					'capability' => 'edit_theme_options',
					'transport' => $nucy_transport,
					'sanitize_callback' => $nucy_santanize,
				)
			);

			$wp_customize->add_control( new Nucy_Customizer_Toggle_Control( $wp_customize, 'nucy_posts_comment', 
				array(
					'label' => esc_html__( 'Post Comment', 'nucy' ),
					'section' => 'nucy_posts',
					'settings' => 'nucy_posts_comment',
					'type' => 'toggle',
					'description' => esc_html__( 'You can hide comment field status from posts.', 'nucy' ),
					'sanitize_callback' => $nucy_santanize,
				)
			) );



		/*======
		*
		* Pages
		*
		======*/
		$wp_customize->add_section( 'nucy_pages', 
			array(
				'title' => esc_html__( 'Pages', 'nucy' ),
				'priority' => 10,
				'capability' => 'edit_theme_options',
				'description' => esc_html__( 'Page settings.', 'nucy' ),
				'sanitize_callback' => $nucy_santanize,
			)
		);

			/*====== Page Sidebar Position ======*/
			$wp_customize->add_setting( 'nucy_pages_sidebar_position',
				array(
					'default' => 'no-sidebar',
					'type' => 'theme_mod',
					'capability' => 'edit_theme_options',
					'transport' => $nucy_transport,
					'sanitize_callback' => $nucy_santanize,
				)
			);
			
		    $wp_customize->add_control( new Nucy_Customize_Control_Radio_Image(  $wp_customize, 'nucy_pages_sidebar_position',
	            array(
	                'label'    => esc_html__( 'Page Sidebar Position', 'nucy' ),
					'section' => 'nucy_pages',
					'settings' => 'nucy_pages_sidebar_position',
					'description' => esc_html__( 'You can choose default sidebar position for pages.', 'nucy' ),
	                'choices'  => array(
	                    'right-sidebar' => array(
	                        'label' => esc_html__( 'Right Sidebar', 'nucy' ),
	                        'url'   => '%s/include/customize/assets/img/sidebar/right-sidebar.svg'
	                    ),
	                    'left-sidebar' => array(
	                        'label' => esc_html__( 'Left Sidebar', 'nucy' ),
	                        'url'   => '%s/include/customize/assets/img/sidebar/left-sidebar.svg'
	                    ),
	                    'no-sidebar' => array(
	                        'label' => esc_html__( 'No Sidebar', 'nucy' ),
	                        'url'   => '%s/include/customize/assets/img/sidebar/no-sidebar.svg'
	                    )
	                ),
					'sanitize_callback' => $nucy_santanize,
	            )
	        ) );

			/*====== Page Sidebar ======*/
			$wp_customize->add_setting( 'nucy_pages_sidebar',
				array(
					'default' => '',
					'type' => 'theme_mod',
					'capability' => 'edit_theme_options',
					'transport' => $nucy_transport,
					'sanitize_callback' => $nucy_santanize,
				)
			);
			
		    $wp_customize->add_control( new Nucy_Sidebar_Dropdown_Custom_Control(  $wp_customize, 'nucy_pages_sidebar',
	            array(
	                'label'    => esc_html__( 'Page Sidebar', 'nucy' ),
					'section' => 'nucy_pages',
					'settings' => 'nucy_pages_sidebar',
					'description' => esc_html__( 'You can choose default sidebar for pages.', 'nucy' ),
					'sanitize_callback' => $nucy_santanize,
	            )
	        ) );

			/*====== Page Share ======*/
			$wp_customize->add_setting( 'nucy_pages_share',
				array(
					'default' => '',
					'type' => 'theme_mod',
					'capability' => 'edit_theme_options',
					'transport' => $nucy_transport,
					'sanitize_callback' => $nucy_santanize,
				)
			);

			$wp_customize->add_control( new Nucy_Customizer_Toggle_Control( $wp_customize, 'nucy_pages_share', 
				array(
					'label' => esc_html__( 'Social Share', 'nucy' ),
					'section' => 'nucy_pages',
					'settings' => 'nucy_pages_share',
					'type' => 'toggle',
					'description' => esc_html__( 'You can choose social share status for pages.', 'nucy' ),
					'sanitize_callback' => $nucy_santanize,
				)
			) );

			/*====== Page Comment ======*/
			$wp_customize->add_setting( 'nucy_pages_comment',
				array(
					'default' => '1',
					'type' => 'theme_mod',
					'capability' => 'edit_theme_options',
					'transport' => $nucy_transport,
					'sanitize_callback' => $nucy_santanize,
				)
			);

			$wp_customize->add_control( new Nucy_Customizer_Toggle_Control( $wp_customize, 'nucy_pages_comment', 
				array(
					'label' => esc_html__( 'Comments', 'nucy' ),
					'section' => 'nucy_pages',
					'settings' => 'nucy_pages_comment',
					'type' => 'toggle',
					'description' => esc_html__( 'You can choose comment list status for pages.', 'nucy' ),
					'sanitize_callback' => $nucy_santanize,
				)
			) );



		/*======
		*
		* Portfolio
		*
		======*/
		$wp_customize->add_section( 'nucy_portfolio', 
			array(
				'title' => esc_html__( 'Portfolio', 'nucy' ),
				'priority' => 10,
				'capability' => 'edit_theme_options',
				'description' => esc_html__( 'Page settings.', 'nucy' ),
				'sanitize_callback' => $nucy_santanize,
			)
		);

			/*====== Sidebar Position ======*/
			$wp_customize->add_setting( 'nucy_portfolio_sidebar_position',
				array(
					'default' => 'no-sidebar',
					'type' => 'theme_mod',
					'capability' => 'edit_theme_options',
					'transport' => $nucy_transport,
					'sanitize_callback' => $nucy_santanize,
				)
			);
			
		    $wp_customize->add_control( new Nucy_Customize_Control_Radio_Image(  $wp_customize, 'nucy_portfolio_sidebar_position',
	            array(
	                'label'    => esc_html__( 'Page Sidebar Position', 'nucy' ),
					'section' => 'nucy_portfolio',
					'settings' => 'nucy_portfolio_sidebar_position',
					'description' => esc_html__( 'You can choose default sidebar position for pages.', 'nucy' ),
	                'choices'  => array(
	                    'right-sidebar' => array(
	                        'label' => esc_html__( 'Right Sidebar', 'nucy' ),
	                        'url'   => '%s/include/customize/assets/img/sidebar/right-sidebar.svg'
	                    ),
	                    'left-sidebar' => array(
	                        'label' => esc_html__( 'Left Sidebar', 'nucy' ),
	                        'url'   => '%s/include/customize/assets/img/sidebar/left-sidebar.svg'
	                    ),
	                    'no-sidebar' => array(
	                        'label' => esc_html__( 'No Sidebar', 'nucy' ),
	                        'url'   => '%s/include/customize/assets/img/sidebar/no-sidebar.svg'
	                    )
	                ),
					'sanitize_callback' => $nucy_santanize,
	            )
	        ) );

			/*====== Sidebar ======*/
			$wp_customize->add_setting( 'nucy_portfolio_sidebar',
				array(
					'default' => '',
					'type' => 'theme_mod',
					'capability' => 'edit_theme_options',
					'transport' => $nucy_transport,
					'sanitize_callback' => $nucy_santanize,
				)
			);
			
		    $wp_customize->add_control( new Nucy_Sidebar_Dropdown_Custom_Control(  $wp_customize, 'nucy_portfolio_sidebar',
	            array(
	                'label'    => esc_html__( 'Page Sidebar', 'nucy' ),
					'section' => 'nucy_portfolio',
					'settings' => 'nucy_portfolio_sidebar',
					'description' => esc_html__( 'You can choose default sidebar.', 'nucy' ),
					'sanitize_callback' => $nucy_santanize,
	            )
	        ) );

			/*====== Details ======*/
			$wp_customize->add_setting( 'nucy_portfolio_details',
				array(
					'default' => '1',
					'type' => 'theme_mod',
					'capability' => 'edit_theme_options',
					'transport' => $nucy_transport,
					'sanitize_callback' => $nucy_santanize,
				)
			);

			$wp_customize->add_control( new Nucy_Customizer_Toggle_Control( $wp_customize, 'nucy_portfolio_details', 
				array(
					'label' => esc_html__( 'Portfolio Details', 'nucy' ),
					'section' => 'nucy_portfolio',
					'settings' => 'nucy_portfolio_details',
					'type' => 'toggle',
					'description' => esc_html__( 'You can choose portfolio details status.', 'nucy' ),
					'sanitize_callback' => $nucy_santanize,
				)
			) );

			/*====== Gallery ======*/
			$wp_customize->add_setting( 'nucy_portfolio_gallery',
				array(
					'default' => '1',
					'type' => 'theme_mod',
					'capability' => 'edit_theme_options',
					'transport' => $nucy_transport,
					'sanitize_callback' => $nucy_santanize,
				)
			);

			$wp_customize->add_control( new Nucy_Customizer_Toggle_Control( $wp_customize, 'nucy_portfolio_gallery', 
				array(
					'label' => esc_html__( 'Portfolio Gallery', 'nucy' ),
					'section' => 'nucy_portfolio',
					'settings' => 'nucy_portfolio_gallery',
					'type' => 'toggle',
					'description' => esc_html__( 'You can choose portfolio gallery status.', 'nucy' ),
					'sanitize_callback' => $nucy_santanize,
				)
			) );

			/*====== Portfolio Testimonials ======*/
			$wp_customize->add_setting( 'nucy_portfolio_testimonials',
				array(
					'default' => '1',
					'type' => 'theme_mod',
					'capability' => 'edit_theme_options',
					'transport' => $nucy_transport,
					'sanitize_callback' => $nucy_santanize,
				)
			);

			$wp_customize->add_control( new Nucy_Customizer_Toggle_Control( $wp_customize, 'nucy_portfolio_testimonials', 
				array(
					'label' => esc_html__( 'Portfolio Testimonails', 'nucy' ),
					'section' => 'nucy_portfolio',
					'settings' => 'nucy_portfolio_testimonials',
					'type' => 'toggle',
					'description' => esc_html__( 'You can choose portfolio testimonials status.', 'nucy' ),
					'sanitize_callback' => $nucy_santanize,
				)
			) );

			/*====== Share ======*/
			$wp_customize->add_setting( 'nucy_portfolio_share',
				array(
					'default' => '',
					'type' => 'theme_mod',
					'capability' => 'edit_theme_options',
					'transport' => $nucy_transport,
					'sanitize_callback' => $nucy_santanize,
				)
			);

			$wp_customize->add_control( new Nucy_Customizer_Toggle_Control( $wp_customize, 'nucy_portfolio_share', 
				array(
					'label' => esc_html__( 'Social Share', 'nucy' ),
					'section' => 'nucy_portfolio',
					'settings' => 'nucy_portfolio_share',
					'type' => 'toggle',
					'description' => esc_html__( 'You can choose social share status.', 'nucy' ),
					'sanitize_callback' => $nucy_santanize,
				)
			) );

			/*====== Portfolio Navigation ======*/
			$wp_customize->add_setting( 'nucy_portfolio_navigation',
				array(
					'default' => '1',
					'type' => 'theme_mod',
					'capability' => 'edit_theme_options',
					'transport' => $nucy_transport,
					'sanitize_callback' => $nucy_santanize,
				)
			);

			$wp_customize->add_control( new Nucy_Customizer_Toggle_Control( $wp_customize, 'nucy_portfolio_navigation', 
				array(
					'label' => esc_html__( 'Navigation', 'nucy' ),
					'section' => 'nucy_portfolio',
					'settings' => 'nucy_portfolio_navigation',
					'type' => 'toggle',
					'description' => esc_html__( 'You can choose navigation status.', 'nucy' ),
					'sanitize_callback' => $nucy_santanize,
				)
			) );

			/*====== Comment ======*/
			$wp_customize->add_setting( 'nucy_portfolio_comment',
				array(
					'default' => '',
					'type' => 'theme_mod',
					'capability' => 'edit_theme_options',
					'transport' => $nucy_transport,
					'sanitize_callback' => $nucy_santanize,
				)
			);

			$wp_customize->add_control( new Nucy_Customizer_Toggle_Control( $wp_customize, 'nucy_portfolio_comment', 
				array(
					'label' => esc_html__( 'Comments', 'nucy' ),
					'section' => 'nucy_portfolio',
					'settings' => 'nucy_portfolio_comment',
					'type' => 'toggle',
					'description' => esc_html__( 'You can choose comment list status.', 'nucy' ),
					'sanitize_callback' => $nucy_santanize,
				)
			) );



		/*======
		*
		* Archives
		*
		======*/
		$wp_customize->add_panel( 'nucy_archives', array(
			'title' => esc_html__( 'Archives & Categories', 'nucy' ),
			'description' => esc_html__( 'Archive and category settings.', 'nucy' ),
			'priority' => 11,
			'sanitize_callback' => $nucy_santanize,
		) );

			/*====== Category ======*/
			$wp_customize->add_section( 'nucy_archives_categories', 
				array(
					'title' => esc_html__( 'Categories', 'nucy' ),
					'priority' => 1,
					'capability' => 'edit_theme_options',
					'description' => esc_html__( 'General category archive settings.', 'nucy' ),
					'panel' => 'nucy_archives',
					'sanitize_callback' => $nucy_santanize,
				)
			);

				/*====== Category Sidebar Position ======*/
				$wp_customize->add_setting( 'nucy_archives_categories_sidebar_position',
					array(
						'default' => 'right-sidebar',
						'type' => 'theme_mod',
						'capability' => 'edit_theme_options',
						'transport' => $nucy_transport,
						'sanitize_callback' => $nucy_santanize,
					)
				);
				
			    $wp_customize->add_control( new Nucy_Customize_Control_Radio_Image(  $wp_customize, 'nucy_archives_categories_sidebar_position',
		            array(
		                'label'    => esc_html__( 'Sidebar Position', 'nucy' ),
						'section' => 'nucy_archives_categories',
						'settings' => 'nucy_archives_categories_sidebar_position',
						'description' => esc_html__( 'You can choose sidebar position for categories.', 'nucy' ),
		                'choices'  => array(
		                    'right-sidebar' => array(
		                        'label' => esc_html__( 'Right Sidebar', 'nucy' ),
		                        'url'   => '%s/include/customize/assets/img/sidebar/right-sidebar.svg'
		                    ),
		                    'left-sidebar' => array(
		                        'label' => esc_html__( 'Left Sidebar', 'nucy' ),
		                        'url'   => '%s/include/customize/assets/img/sidebar/left-sidebar.svg'
		                    ),
		                    'no-sidebar' => array(
		                        'label' => esc_html__( 'No Sidebar', 'nucy' ),
		                        'url'   => '%s/include/customize/assets/img/sidebar/no-sidebar.svg'
		                    )
		                ),
						'sanitize_callback' => $nucy_santanize,
		            )
		        ) );

				/*====== Category Sidebar ======*/
				$wp_customize->add_setting( 'nucy_archives_categories_sidebar',
					array(
						'default' => '',
						'type' => 'theme_mod',
						'capability' => 'edit_theme_options',
						'transport' => $nucy_transport,
						'sanitize_callback' => $nucy_santanize,
					)
				);
				
			    $wp_customize->add_control( new Nucy_Sidebar_Dropdown_Custom_Control(  $wp_customize, 'nucy_archives_categories_sidebar',
		            array(
		                'label'    => esc_html__( 'Sidebar', 'nucy' ),
						'section' => 'nucy_archives_categories',
						'settings' => 'nucy_archives_categories_sidebar',
						'description' => esc_html__( 'You can choose sidebar for categories.', 'nucy' ),
						'sanitize_callback' => $nucy_santanize,
		            )
		        ) );

				/*====== Category Post Style ======*/
				$wp_customize->add_setting( 'nucy_archives_categories_post_style',
					array(
						'default' => 'style-1',
						'type' => 'theme_mod',
						'capability' => 'edit_theme_options',
						'transport' => $nucy_transport,
						'sanitize_callback' => $nucy_santanize,
					)
				);
				
			    $wp_customize->add_control( new Nucy_Customize_Control_Radio_Image(  $wp_customize, 'nucy_archives_categories_post_style',
		            array(
		                'label'    => esc_html__( 'Post Style', 'nucy' ),
						'section' => 'nucy_archives_categories',
						'settings' => 'nucy_archives_categories_post_style',
						'description' => esc_html__( 'You can choose post style for categories.', 'nucy' ),
		                'choices'  => array(
		                    'style-1' => array(
		                        'label' => esc_html__( 'Style 1', 'nucy' ),
		                        'url'   => '%s/include/customize/assets/img/post-style/style-1.svg'
		                    ),
		                    'style-2' => array(
		                        'label' => esc_html__( 'Style 2', 'nucy' ),
		                        'url'   => '%s/include/customize/assets/img/post-style/style-2.svg'
		                    ),
		                ),
						'sanitize_callback' => $nucy_santanize,
		            )
		        ) );

			/*====== Tag ======*/
			$wp_customize->add_section( 'nucy_archives_tags', 
				array(
					'title' => esc_html__( 'Tags', 'nucy' ),
					'priority' => 1,
					'capability' => 'edit_theme_options',
					'description' => esc_html__( 'General tag archive settings.', 'nucy' ),
					'panel' => 'nucy_archives',
					'sanitize_callback' => $nucy_santanize,
				)
			);

				/*====== Tag Sidebar Position ======*/
				$wp_customize->add_setting( 'nucy_archives_tags_sidebar_position',
					array(
						'default' => 'right-sidebar',
						'type' => 'theme_mod',
						'capability' => 'edit_theme_options',
						'transport' => $nucy_transport,
						'sanitize_callback' => $nucy_santanize,
					)
				);
				
			    $wp_customize->add_control( new Nucy_Customize_Control_Radio_Image(  $wp_customize, 'nucy_archives_tags_sidebar_position',
		            array(
		                'label'    => esc_html__( 'Sidebar Position', 'nucy' ),
						'section' => 'nucy_archives_tags',
						'settings' => 'nucy_archives_tags_sidebar_position',
						'description' => esc_html__( 'You can choose sidebar position for tags.', 'nucy' ),
		                'choices'  => array(
		                    'right-sidebar' => array(
		                        'label' => esc_html__( 'Right Sidebar', 'nucy' ),
		                        'url'   => '%s/include/customize/assets/img/sidebar/right-sidebar.svg',
		                    ),
		                    'left-sidebar' => array(
		                        'label' => esc_html__( 'Left Sidebar', 'nucy' ),
		                        'url'   => '%s/include/customize/assets/img/sidebar/left-sidebar.svg',
		                    ),
		                    'no-sidebar' => array(
		                        'label' => esc_html__( 'No Sidebar', 'nucy' ),
		                        'url'   => '%s/include/customize/assets/img/sidebar/no-sidebar.svg',
		                    ),
		                ),
						'sanitize_callback' => $nucy_santanize,
		            )
		        ) );

				/*====== Tag Sidebar ======*/
				$wp_customize->add_setting( 'nucy_archives_tags_sidebar',
					array(
						'default' => '',
						'type' => 'theme_mod',
						'capability' => 'edit_theme_options',
						'transport' => $nucy_transport,
						'sanitize_callback' => $nucy_santanize,
					)
				);
				
			    $wp_customize->add_control( new Nucy_Sidebar_Dropdown_Custom_Control(  $wp_customize, 'nucy_archives_tags_sidebar',
		            array(
		                'label'    => esc_html__( 'Sidebar', 'nucy' ),
						'section' => 'nucy_archives_tags',
						'settings' => 'nucy_archives_tags_sidebar',
						'description' => esc_html__( 'You can choose sidebar for tags.', 'nucy' ),
						'sanitize_callback' => $nucy_santanize,
		            )
		        ) );

				/*====== Tag Post Style ======*/
				$wp_customize->add_setting( 'nucy_archives_tags_post_style',
					array(
						'default' => 'style-1',
						'type' => 'theme_mod',
						'capability' => 'edit_theme_options',
						'transport' => $nucy_transport,
						'sanitize_callback' => $nucy_santanize,
					)
				);
				
			    $wp_customize->add_control( new Nucy_Customize_Control_Radio_Image(  $wp_customize, 'nucy_archives_tags_post_style',
		            array(
		                'label'    => esc_html__( 'Post Style', 'nucy' ),
						'section' => 'nucy_archives_tags',
						'settings' => 'nucy_archives_tags_post_style',
						'description' => esc_html__( 'You can choose post style for tags.', 'nucy' ),
		                'choices'  => array(
		                    'style-1' => array(
		                        'label' => esc_html__( 'Style 1', 'nucy' ),
		                        'url'   => '%s/include/customize/assets/img/post-style/style-1.svg'
		                    ),
		                    'style-2' => array(
		                        'label' => esc_html__( 'Style 2', 'nucy' ),
		                        'url'   => '%s/include/customize/assets/img/post-style/style-2.svg'
		                    ),
		                ),
						'sanitize_callback' => $nucy_santanize,
		            )
		        ) );

			/*====== Searches ======*/
			$wp_customize->add_section( 'nucy_archives_searches', 
				array(
					'title' => esc_html__( 'Searches', 'nucy' ),
					'priority' => 1,
					'capability' => 'edit_theme_options',
					'description' => esc_html__( 'General search archive settings.', 'nucy' ),
					'panel' => 'nucy_archives',
					'sanitize_callback' => $nucy_santanize,
				)
			);

				/*====== Search Sidebar Position ======*/
				$wp_customize->add_setting( 'nucy_archives_searches_sidebar_position',
					array(
						'default' => 'right-sidebar',
						'type' => 'theme_mod',
						'capability' => 'edit_theme_options',
						'transport' => $nucy_transport,
						'sanitize_callback' => $nucy_santanize,
					)
				);
				
			    $wp_customize->add_control( new Nucy_Customize_Control_Radio_Image(  $wp_customize, 'nucy_archives_searches_sidebar_position',
		            array(
		                'label'    => esc_html__( 'Sidebar Position', 'nucy' ),
						'section' => 'nucy_archives_searches',
						'settings' => 'nucy_archives_searches_sidebar_position',
						'description' => esc_html__( 'You can choose sidebar position for searches.', 'nucy' ),
		                'choices'  => array(
		                    'right-sidebar' => array(
		                        'label' => esc_html__( 'Right Sidebar', 'nucy' ),
		                        'url'   => '%s/include/customize/assets/img/sidebar/right-sidebar.svg'
		                    ),
		                    'left-sidebar' => array(
		                        'label' => esc_html__( 'Left Sidebar', 'nucy' ),
		                        'url'   => '%s/include/customize/assets/img/sidebar/left-sidebar.svg'
		                    ),
		                    'no-sidebar' => array(
		                        'label' => esc_html__( 'No Sidebar', 'nucy' ),
		                        'url'   => '%s/include/customize/assets/img/sidebar/no-sidebar.svg'
		                    )
		                ),
						'sanitize_callback' => $nucy_santanize,
		            )
		        ) );

				/*====== Search Sidebar ======*/
				$wp_customize->add_setting( 'nucy_archives_searches_sidebar',
					array(
						'default' => '',
						'type' => 'theme_mod',
						'capability' => 'edit_theme_options',
						'transport' => $nucy_transport,
						'sanitize_callback' => $nucy_santanize,
					)
				);
				
			    $wp_customize->add_control( new Nucy_Sidebar_Dropdown_Custom_Control(  $wp_customize, 'nucy_archives_searches_sidebar',
		            array(
		                'label'    => esc_html__( 'Sidebar', 'nucy' ),
						'section' => 'nucy_archives_searches',
						'settings' => 'nucy_archives_searches_sidebar',
						'description' => esc_html__( 'You can choose sidebar for searches.', 'nucy' ),
						'sanitize_callback' => $nucy_santanize,
		            )
		        ) );

				/*====== Search Post Style ======*/
				$wp_customize->add_setting( 'nucy_archives_searches_post_style',
					array(
						'default' => 'style-1',
						'type' => 'theme_mod',
						'capability' => 'edit_theme_options',
						'transport' => $nucy_transport,
						'sanitize_callback' => $nucy_santanize,
					)
				);
				
			    $wp_customize->add_control( new Nucy_Customize_Control_Radio_Image(  $wp_customize, 'nucy_archives_searches_post_style',
		            array(
		                'label'    => esc_html__( 'Post Style', 'nucy' ),
						'section' => 'nucy_archives_searches',
						'settings' => 'nucy_archives_searches_post_style',
						'description' => esc_html__( 'You can choose post style for searches.', 'nucy' ),
		                'choices'  => array(
		                    'style-1' => array(
		                        'label' => esc_html__( 'Style 1', 'nucy' ),
		                        'url'   => '%s/include/customize/assets/img/post-style/style-1.svg'
		                    ),
		                    'style-2' => array(
		                        'label' => esc_html__( 'Style 2', 'nucy' ),
		                        'url'   => '%s/include/customize/assets/img/post-style/style-2.svg'
		                    ),
		                ),
						'sanitize_callback' => $nucy_santanize,
		            )
		        ) );

			/*====== Authors ======*/
			$wp_customize->add_section( 'nucy_archives_authors', 
				array(
					'title' => esc_html__( 'Authors', 'nucy' ),
					'priority' => 1,
					'capability' => 'edit_theme_options',
					'description' => esc_html__( 'General author archive settings.', 'nucy' ),
					'panel' => 'nucy_archives',
					'sanitize_callback' => $nucy_santanize,
				)
			);

				/*====== Author Sidebar Position ======*/
				$wp_customize->add_setting( 'nucy_archives_authors_sidebar_position',
					array(
						'default' => 'right-sidebar',
						'type' => 'theme_mod',
						'capability' => 'edit_theme_options',
						'transport' => $nucy_transport,
						'sanitize_callback' => $nucy_santanize,
					)
				);
				
			    $wp_customize->add_control( new Nucy_Customize_Control_Radio_Image(  $wp_customize, 'nucy_archives_authors_sidebar_position',
		            array(
		                'label'    => esc_html__( 'Sidebar Position', 'nucy' ),
						'section' => 'nucy_archives_authors',
						'settings' => 'nucy_archives_authors_sidebar_position',
						'description' => esc_html__( 'You can choose sidebar position for authors.', 'nucy' ),
		                'choices'  => array(
		                    'right-sidebar' => array(
		                        'label' => esc_html__( 'Right Sidebar', 'nucy' ),
		                        'url'   => '%s/include/customize/assets/img/sidebar/right-sidebar.svg'
		                    ),
		                    'left-sidebar' => array(
		                        'label' => esc_html__( 'Left Sidebar', 'nucy' ),
		                        'url'   => '%s/include/customize/assets/img/sidebar/left-sidebar.svg'
		                    ),
		                    'no-sidebar' => array(
		                        'label' => esc_html__( 'No Sidebar', 'nucy' ),
		                        'url'   => '%s/include/customize/assets/img/sidebar/no-sidebar.svg'
		                    )
		                ),
						'sanitize_callback' => $nucy_santanize,
		            )
		        ) );

				/*====== Author Sidebar ======*/
				$wp_customize->add_setting( 'nucy_archives_authors_sidebar',
					array(
						'default' => '',
						'type' => 'theme_mod',
						'capability' => 'edit_theme_options',
						'transport' => $nucy_transport,
						'sanitize_callback' => $nucy_santanize,
					)
				);
				
			    $wp_customize->add_control( new Nucy_Sidebar_Dropdown_Custom_Control(  $wp_customize, 'nucy_archives_authors_sidebar',
		            array(
		                'label'    => esc_html__( 'Sidebar', 'nucy' ),
						'section' => 'nucy_archives_authors',
						'settings' => 'nucy_archives_authors_sidebar',
						'description' => esc_html__( 'You can choose sidebar for authors.', 'nucy' ),
						'sanitize_callback' => $nucy_santanize,
		            )
		        ) );

				/*====== Author Post Style ======*/
				$wp_customize->add_setting( 'nucy_archives_authors_post_style',
					array(
						'default' => 'style-1',
						'type' => 'theme_mod',
						'capability' => 'edit_theme_options',
						'transport' => $nucy_transport,
						'sanitize_callback' => $nucy_santanize,
					)
				);
				
			    $wp_customize->add_control( new Nucy_Customize_Control_Radio_Image(  $wp_customize, 'nucy_archives_authors_post_style',
		            array(
		                'label'    => esc_html__( 'Post Style', 'nucy' ),
						'section' => 'nucy_archives_authors',
						'settings' => 'nucy_archives_authors_post_style',
						'description' => esc_html__( 'You can choose post style for authors.', 'nucy' ),
		                'choices'  => array(
		                    'style-1' => array(
		                        'label' => esc_html__( 'Style 1', 'nucy' ),
		                        'url'   => '%s/include/customize/assets/img/post-style/style-1.svg'
		                    ),
		                    'style-2' => array(
		                        'label' => esc_html__( 'Style 2', 'nucy' ),
		                        'url'   => '%s/include/customize/assets/img/post-style/style-2.svg'
		                    ),
		                ),
						'sanitize_callback' => $nucy_santanize,
		            )
		        ) );

			/*====== Archives ======*/
			$wp_customize->add_section( 'nucy_archives_archives', 
				array(
					'title' => esc_html__( 'Archives', 'nucy' ),
					'priority' => 1,
					'capability' => 'edit_theme_options',
					'description' => esc_html__( 'General archive settings.', 'nucy' ),
					'panel' => 'nucy_archives',
					'sanitize_callback' => $nucy_santanize,
				)
			);

				/*====== Archives Sidebar Position ======*/
				$wp_customize->add_setting( 'nucy_archives_archives_sidebar_position',
					array(
						'default' => 'right-sidebar',
						'type' => 'theme_mod',
						'capability' => 'edit_theme_options',
						'transport' => $nucy_transport,
						'sanitize_callback' => $nucy_santanize,
					)
				);
				
			    $wp_customize->add_control( new Nucy_Customize_Control_Radio_Image(  $wp_customize, 'nucy_archives_archives_sidebar_position',
		            array(
		                'label'    => esc_html__( 'Sidebar Position', 'nucy' ),
						'section' => 'nucy_archives_archives',
						'settings' => 'nucy_archives_archives_sidebar_position',
						'description' => esc_html__( 'You can choose sidebar position for archives.', 'nucy' ),
		                'choices'  => array(
		                    'right-sidebar' => array(
		                        'label' => esc_html__( 'Right Sidebar', 'nucy' ),
		                        'url'   => '%s/include/customize/assets/img/sidebar/right-sidebar.svg'
		                    ),
		                    'left-sidebar' => array(
		                        'label' => esc_html__( 'Left Sidebar', 'nucy' ),
		                        'url'   => '%s/include/customize/assets/img/sidebar/left-sidebar.svg'
		                    ),
		                    'no-sidebar' => array(
		                        'label' => esc_html__( 'No Sidebar', 'nucy' ),
		                        'url'   => '%s/include/customize/assets/img/sidebar/no-sidebar.svg'
		                    )
		                ),
						'sanitize_callback' => $nucy_santanize,
		            )
		        ) );

				/*====== Archives Sidebar ======*/
				$wp_customize->add_setting( 'nucy_archives_archives_sidebar',
					array(
						'default' => '',
						'type' => 'theme_mod',
						'capability' => 'edit_theme_options',
						'transport' => $nucy_transport,
						'sanitize_callback' => $nucy_santanize,
					)
				);
				
			    $wp_customize->add_control( new Nucy_Sidebar_Dropdown_Custom_Control(  $wp_customize, 'nucy_archives_archives_sidebar',
		            array(
		                'label'    => esc_html__( 'Sidebar', 'nucy' ),
						'section' => 'nucy_archives_archives',
						'settings' => 'nucy_archives_archives_sidebar',
						'description' => esc_html__( 'You can choose sidebar for archives.', 'nucy' ),
						'sanitize_callback' => $nucy_santanize,
		            )
		        ) );

				/*====== Archives Post Style ======*/
				$wp_customize->add_setting( 'nucy_archives_archives_post_style',
					array(
						'default' => 'style-1',
						'type' => 'theme_mod',
						'capability' => 'edit_theme_options',
						'transport' => $nucy_transport,
						'sanitize_callback' => $nucy_santanize,
					)
				);
				
			    $wp_customize->add_control( new Nucy_Customize_Control_Radio_Image(  $wp_customize, 'nucy_archives_archives_post_style',
		            array(
		                'label'    => esc_html__( 'Post Style', 'nucy' ),
						'section' => 'nucy_archives_archives',
						'settings' => 'nucy_archives_archives_post_style',
						'description' => esc_html__( 'You can choose post style for archives.', 'nucy' ),
		                'choices'  => array(
		                    'style-1' => array(
		                        'label' => esc_html__( 'Style 1', 'nucy' ),
		                        'url'   => '%s/include/customize/assets/img/post-style/style-1.svg'
		                    ),
		                    'style-2' => array(
		                        'label' => esc_html__( 'Style 2', 'nucy' ),
		                        'url'   => '%s/include/customize/assets/img/post-style/style-2.svg'
		                    ),
		                ),
						'sanitize_callback' => $nucy_santanize,
		            )
		        ) );

			/*====== Attachments ======*/
			$wp_customize->add_section( 'nucy_archives_attachments', 
				array(
					'title' => esc_html__( 'Attachments', 'nucy' ),
					'priority' => 1,
					'capability' => 'edit_theme_options',
					'description' => esc_html__( 'General attachment archive settings.', 'nucy' ),
					'panel' => 'nucy_archives',
					'sanitize_callback' => $nucy_santanize,
				)
			);

				/*====== Attachments Sidebar Position ======*/
				$wp_customize->add_setting( 'nucy_archives_attachments_sidebar_position',
					array(
						'default' => 'no-sidebar',
						'type' => 'theme_mod',
						'capability' => 'edit_theme_options',
						'transport' => $nucy_transport,
						'sanitize_callback' => $nucy_santanize,
					)
				);
				
			    $wp_customize->add_control( new Nucy_Customize_Control_Radio_Image(  $wp_customize, 'nucy_archives_attachments_sidebar_position',
		            array(
		                'label'    => esc_html__( 'Sidebar Position', 'nucy' ),
						'section' => 'nucy_archives_attachments',
						'settings' => 'nucy_archives_attachments_sidebar_position',
						'description' => esc_html__( 'You can choose sidebar position for attachments.', 'nucy' ),
		                'choices'  => array(
		                    'right-sidebar' => array(
		                        'label' => esc_html__( 'Right Sidebar', 'nucy' ),
		                        'url'   => '%s/include/customize/assets/img/sidebar/right-sidebar.svg'
		                    ),
		                    'left-sidebar' => array(
		                        'label' => esc_html__( 'Left Sidebar', 'nucy' ),
		                        'url'   => '%s/include/customize/assets/img/sidebar/left-sidebar.svg'
		                    ),
		                    'no-sidebar' => array(
		                        'label' => esc_html__( 'No Sidebar', 'nucy' ),
		                        'url'   => '%s/include/customize/assets/img/sidebar/no-sidebar.svg'
		                    )
		                ),
						'sanitize_callback' => $nucy_santanize,
		            )
		        ) );

				/*====== Attachments Sidebar ======*/
				$wp_customize->add_setting( 'nucy_archives_attachments_sidebar',
					array(
						'default' => '',
						'type' => 'theme_mod',
						'capability' => 'edit_theme_options',
						'transport' => $nucy_transport,
						'sanitize_callback' => $nucy_santanize,
					)
				);
				
			    $wp_customize->add_control( new Nucy_Sidebar_Dropdown_Custom_Control(  $wp_customize, 'nucy_archives_attachments_sidebar',
		            array(
		                'label'    => esc_html__( 'Sidebar', 'nucy' ),
						'section' => 'nucy_archives_attachments',
						'settings' => 'nucy_archives_attachments_sidebar',
						'description' => esc_html__( 'You can choose sidebar for attachments.', 'nucy' ),
						'sanitize_callback' => $nucy_santanize,
		            )
		        ) );

				/*====== Attachments Share ======*/
				$wp_customize->add_setting( 'nucy_archives_attachments_share',
					array(
						'default' => '',
						'type' => 'theme_mod',
						'capability' => 'edit_theme_options',
						'transport' => $nucy_transport,
						'sanitize_callback' => $nucy_santanize,
					)
				);

				$wp_customize->add_control( new Nucy_Customizer_Toggle_Control( $wp_customize, 'nucy_archives_attachments_share', 
					array(
						'label' => esc_html__( 'Attachments Share', 'nucy' ),
						'section' => 'nucy_archives_attachments',
						'settings' => 'nucy_archives_attachments_share',
						'type' => 'toggle',
						'description' => esc_html__( 'You can hide share buttons from attachments.', 'nucy' ),
						'sanitize_callback' => $nucy_santanize,
					)
				) );

				/*====== Attachments Share ======*/
				$wp_customize->add_setting( 'nucy_archives_attachments_comment',
					array(
						'default' => '',
						'type' => 'theme_mod',
						'capability' => 'edit_theme_options',
						'transport' => $nucy_transport,
						'sanitize_callback' => $nucy_santanize,
					)
				);

				$wp_customize->add_control( new Nucy_Customizer_Toggle_Control( $wp_customize, 'nucy_archives_attachments_comment', 
					array(
						'label' => esc_html__( 'Attachments Comment', 'nucy' ),
						'section' => 'nucy_archives_attachments',
						'settings' => 'nucy_archives_attachments_comment',
						'type' => 'toggle',
						'description' => esc_html__( 'You can hide comment field status from attachments.', 'nucy' ),
						'sanitize_callback' => $nucy_santanize,
					)
				) );



		/*======
		*
		* Social Media
		*
		======*/
		$wp_customize->add_panel( 'nucy_social_media', array(
			'title' => esc_html__( 'Social Media', 'nucy' ),
			'description' => esc_html__( 'Social media settings.', 'nucy' ),
			'priority' => 12,
			'sanitize_callback' => $nucy_santanize,
		) );

			/*====== Social Links ======*/
			$social_sites = nucy_social_media_array_filter();
			$wp_customize->add_section( 'nucy_social_media_links', 
				array(
					'title' => esc_html__( 'Social Links', 'nucy' ),
					'priority' => 1,
					'capability' => 'edit_theme_options',
					'description' => esc_html__( 'Social link settings.', 'nucy' ),
					'panel' => 'nucy_social_media',
					'sanitize_callback' => $nucy_santanize,
				)
			);

			foreach ( $social_sites as $social_site => $value ) {
				$label = ucfirst( $social_site );
				if ( $social_site == 'twitter' ) {
					$label = esc_html__( 'Twitter', 'nucy' );
				} elseif ( $social_site == 'facebook' ) {
					$label = esc_html__( 'Facebook', 'nucy' );
				} elseif ( $social_site == 'google-plus' ) {
					$label = esc_html__( 'Google Plus', 'nucy' );
				} elseif ( $social_site == 'pinterest' ) {
					$label = esc_html__( 'Pinterest', 'nucy' );
				} elseif ( $social_site == 'youtube' ) {
					$label = esc_html__( 'YouTube', 'nucy' );
				} elseif ( $social_site == 'vimeo' ) {
					$label = esc_html__( 'Vimeo', 'nucy' );
				} elseif ( $social_site == 'tumblr' ) {
					$label = esc_html__( 'Tumblr', 'nucy' );
				} elseif ( $social_site == 'instagram' ) {
					$label = esc_html__( 'Instagram', 'nucy' );
				} elseif ( $social_site == 'flickr' ) {
					$label = esc_html__( 'Flickr', 'nucy' );
				} elseif ( $social_site == 'dribbble' ) {
					$label = esc_html__( 'Dribbble', 'nucy' );
				} elseif ( $social_site == 'reddit' ) {
					$label = esc_html__( 'Reddit', 'nucy' );
				} elseif ( $social_site == 'soundcloud' ) {
					$label = esc_html__( 'SoundCloud', 'nucy' );
				} elseif ( $social_site == 'spotify' ) {
					$label = esc_html__( 'Spotify', 'nucy' );
				} elseif ( $social_site == 'yahoo' ) {
					$label = esc_html__( 'Yahoo', 'nucy' );
				} elseif ( $social_site == 'behance' ) {
					$label = esc_html__( 'Behance', 'nucy' );
				} elseif ( $social_site == 'delicious' ) {
					$label = esc_html__( 'Delicious', 'nucy' );
				} elseif ( $social_site == 'stumbleupon' ) {
					$label = esc_html__( 'Stumbleupon', 'nucy' );
				} elseif ( $social_site == 'deviantart' ) {
					$label = esc_html__( 'DeviantArt', 'nucy' );
				} elseif ( $social_site == 'digg' ) {
					$label = esc_html__( 'Digg', 'nucy' );
				} elseif ( $social_site == 'github' ) {
					$label = esc_html__( 'GitHub', 'nucy' );
				} elseif ( $social_site == 'medium' ) {
					$label = esc_html__( 'Medium', 'nucy' );
				} elseif ( $social_site == 'steam' ) {
					$label = esc_html__( 'Steam', 'nucy' );
				} elseif ( $social_site == 'vk' ) {
					$label = esc_html__( 'VK', 'nucy' );
				} elseif ( $social_site == '500px' ) {
					$label = esc_html__( '500px', 'nucy' );
				} elseif ( $social_site == 'foursquare' ) {
					$label = esc_html__( 'Foursquare', 'nucy' );
				} elseif ( $social_site == 'slack' ) {
					$label = esc_html__( 'Slack', 'nucy' );
				} elseif ( $social_site == 'whatsapp' ) {
					$label = esc_html__( 'WhatsApp', 'nucy' );
				} elseif ( $social_site == 'twitch' ) {
					$label = esc_html__( 'Twitch', 'nucy' );
				} elseif ( $social_site == 'paypal' ) {
					$label = esc_html__( 'PayPal', 'nucy' );
				} elseif ( $social_site == 'rss' ) {
					$label = esc_html__( 'RSS', 'nucy' );
				} elseif ( $social_site == 'codepen' ) {
					$label = esc_html__( 'CodePen', 'nucy' );
				} elseif ( $social_site == 'custom-url' ) {
					$label = esc_html__( 'Custom URL', 'nucy' );
				}

				$wp_customize->add_setting( $social_site, array(
					'sanitize_callback' => 'esc_url_raw',
					'type' => 'theme_mod',
					'capability' => 'edit_theme_options',
					'transport' => $nucy_transport,
					'sanitize_callback' => $nucy_santanize,
				) );

				$wp_customize->add_control( $social_site, array(
					'type' => 'url',
					'label' => $label,
					'section' => 'nucy_social_media_links',
					'settings' => $social_site,
					'description' => esc_html__( 'You can enter URL.', 'nucy' ),
					'sanitize_callback' => $nucy_santanize,
				) );

				$wp_customize->add_setting( $social_site . '-target', array(
					'sanitize_callback' => 'esc_url_raw',
					'type' => 'theme_mod',
					'default' => '',
					'capability' => 'edit_theme_options',
					'transport' => $nucy_transport,
					'sanitize_callback' => $nucy_santanize,
				) );

				$wp_customize->add_control( new Nucy_Customizer_Toggle_Control( $wp_customize, $social_site . '-target', 
					array(
						'label' => esc_html__( 'Open with New Tab', 'nucy' ),
						'section' => 'nucy_social_media_links',
						'settings' => $social_site . '-target',
						'type' => 'toggle',
						'sanitize_callback' => $nucy_santanize,
					)
				) );
			}
			
			/*======
	*
	* Cookie Bar
	*
	======*/
	$wp_customize->add_section( 'nucy_cookie_bar', 
		array(
			'title' => esc_html__( 'Cookie Bar', 'nucy' ),
			'priority' => 13,
			'capability' => 'edit_theme_options',
			'description' => esc_html__( 'Cookie bar settings.', 'nucy' ),
			'sanitize_callback' => $nucy_santanize,
		)
	);


		/*====== Cookie Bar Status ======*/
		$wp_customize->add_setting( 'nucy_cookie_status',
			array(
				'default' => '1',
				'type' => 'theme_mod',
				'capability' => 'edit_theme_options',
				'transport' => $nucy_transport,
				'sanitize_callback' => $nucy_santanize,
			)
		);
        
        
        $wp_customize->add_control( new nucy_Customizer_Toggle_Control( $wp_customize, 'nucy_cookie_status', 
			array(
				'label' => esc_html__( 'Cookie Bar', 'nucy' ),
				'section' => 'nucy_cookie_bar',
				'settings' => 'nucy_cookie_status',
				'type' => 'toggle',
				'description' => esc_html__( 'You can choose status of the cookie bar.', 'nucy' ),
				'sanitize_callback' => $nucy_santanize,
			)
		) );
        
        
        /*====== Cookie Bar Language ======*/
		$wp_customize->add_setting( 'nucy_cookie_language',
			array(
				'type' => 'theme_mod',
				'capability' => 'edit_theme_options',
				'transport' => $nucy_transport,
				'sanitize_callback' => $nucy_santanize,
				'default' => 'en',
			)
		);
		
		$wp_customize->add_control( 'nucy_cookie_language',
			array(
				'label' => esc_html__( 'Cookie Bar Language', 'nucy' ),
				'section' => 'nucy_cookie_bar',
				'settings' => 'nucy_cookie_language',
				'type' => 'select',
				'description' => esc_html__( 'You can select language of cookie bar.', 'nucy' ),
				'sanitize_callback' => $nucy_santanize,
				'choices' => array(
				    'en' => esc_html__( 'English' , 'nucy' ),
                    'es' => esc_html__( 'Spanish' , 'nucy'  ),
                    'de' => esc_html__( 'German' , 'nucy' ),
                    'fr' => esc_html__( 'French' , 'nucy' ),
                    'no' => esc_html__( 'Norwegian' , 'nucy' ),
                    'sv' => esc_html__( 'Swedish' , 'nucy' ),
                    'da' => esc_html__( 'Danish' , 'nucy' ),
                    'th' => esc_html__( 'Thai' , 'nucy' ),
                    'sk' => esc_html__( 'Slovak' , 'nucy' ),
                    'pl' => esc_html__( 'Polish' , 'nucy' ),
                    'pt_BR' => esc_html__( 'Brazilian portugese' , 'nucy' ),
                    'ja' => esc_html__( 'Japanese' , 'nucy' ),
                    'it' => esc_html__( 'Italian' , 'nucy' ),
                    'bg' => esc_html__( 'Bulgarian' , 'nucy' ),
                    'tr' => esc_html__( 'Turkish' , 'nucy' ),
                    'oc' => esc_html__( 'Occitan' , 'nucy' ),
                    'nl' => esc_html__( 'Dutch' , 'nucy' ),
                    'af' => esc_html__( 'Afrikaans' , 'nucy' ),
                    'mg' => esc_html__( 'Malagasy' , 'nucy' ),
                    'ru' => esc_html__( 'Russian' , 'nucy' ),
                    'uk' => esc_html__( 'Ukrainian' , 'nucy' ),
                    'zh_TW' => esc_html__( 'Chinese Traditional' , 'nucy' ),
                    'zh' => esc_html__( 'Chinese Simple' , 'nucy' ),
                ),
			)
		);
    		
    		
        /*====== Cookie Bar Style ======*/
		$wp_customize->add_setting( 'nucy_cookie_style',
			array(
				'type' => 'theme_mod',
				'capability' => 'edit_theme_options',
				'transport' => $nucy_transport,
				'sanitize_callback' => $nucy_santanize,
				'default' => '1',
			)
		);
		
		$wp_customize->add_control( 'nucy_cookie_style',
			array(
				'label' => esc_html__( 'Cookie Bar Style', 'nucy' ),
				'section' => 'nucy_cookie_bar',
				'settings' => 'nucy_cookie_style',
				'type' => 'select',
				'description' => esc_html__( 'You can select style of cookie bar.', 'nucy' ),
				'sanitize_callback' => $nucy_santanize,
				'choices' => array(
                    '1' => esc_html__( 'Style 1' , 'nucy' ),
                    '2' => esc_html__( 'Style 2' , 'nucy'  ),
                    '3' => esc_html__( 'Style 3' , 'nucy' ),
                ),
			)
		);

        
        /*====== Cookie Bar Google Analytics ======*/
		$wp_customize->add_setting( 'nucy_google_analytics',
			array(
				'type' => 'theme_mod',
				'capability' => 'edit_theme_options',
				'transport' => $nucy_transport,
				'sanitize_callback' => $nucy_santanize,
			)
		);
        
        
        $wp_customize->add_control( 'nucy_google_analytics',
			array(
				'label' => esc_html__( 'Cookie Bar Google Tracking Code', 'nucy' ),
				'section' => 'nucy_cookie_bar',
				'settings' => 'nucy_google_analytics',
				'type' => 'text',
				'description' => esc_html__( 'You can enter Google Analytics Tracking Code. Ex: G-FH87DE17XF', 'nucy' ),
				'sanitize_callback' => $nucy_santanize,
			)
		);
		
		/*====== Cookie Bar Facebook Pixel ======*/
		$wp_customize->add_setting( 'nucy_facebook_pixel',
			array(
				'type' => 'theme_mod',
				'capability' => 'edit_theme_options',
				'transport' => $nucy_transport,
				'sanitize_callback' => $nucy_santanize,
			)
		);
        
        
        $wp_customize->add_control( 'nucy_facebook_pixel',
			array(
				'label' => esc_html__( 'Cookie Bar Facebook Pixel Code', 'nucy' ),
				'section' => 'nucy_cookie_bar',
				'settings' => 'nucy_facebook_pixel',
				'type' => 'text',
				'description' => esc_html__( 'You can enter Facebook Pixel Code. Ex: 990955817632355', 'nucy' ),
				'sanitize_callback' => $nucy_santanize,
			)
		);
		
		/*====== Cookie Bar Hotjar Analytics ======*/
		$wp_customize->add_setting( 'nucy_hotjar_analytics',
			array(
				'type' => 'theme_mod',
				'capability' => 'edit_theme_options',
				'transport' => $nucy_transport,
				'sanitize_callback' => $nucy_santanize,
			)
		);
        
        
        $wp_customize->add_control( 'nucy_hotjar_analytics',
			array(
				'label' => esc_html__( 'Cookie Bar Hotjar Analytics Code', 'nucy' ),
				'section' => 'nucy_cookie_bar',
				'settings' => 'nucy_hotjar_analytics',
				'type' => 'text',
				'description' => esc_html__( 'You can enter Hotjar Analytics Code. Ex: 990955817632355', 'nucy' ),
				'sanitize_callback' => $nucy_santanize,
			)
		);
		
		
		/*====== Cookie Bar Policy Page ======*/
		$wp_customize->add_setting( 'nucy_cookie_policy_page',
			array(
				'default' => '',
				'type' => 'theme_mod',
				'capability' => 'edit_theme_options',
				'transport' => $nucy_transport,
				'sanitize_callback' => $nucy_santanize,
			)
		);

		$wp_customize->add_control( 'nucy_cookie_policy_page', 
			array(
				'label' => esc_html__( 'Policy Page', 'nucy' ),
				'section' => 'nucy_cookie_bar',
				'settings' => 'nucy_cookie_policy_page',
				'type' => 'text',
				'description' => esc_html__( 'You can enter URL of Policy page for the Cookie Bar.', 'nucy' ),
				'sanitize_callback' => $nucy_santanize,
			)
		);
		
		/*====== Cookie Bar Hide After Click ======*/
		$wp_customize->add_setting( 'nucy_cookie_hide_after',
			array(
				'type' => 'theme_mod',
				'capability' => 'edit_theme_options',
				'transport' => $nucy_transport,
				'sanitize_callback' => $nucy_santanize,
				'default' => 'false',
			)
		);
		
		$wp_customize->add_control( 'nucy_cookie_hide_after',
			array(
				'label' => esc_html__( 'Cookie Bar Hide After Click', 'nucy' ),
				'section' => 'nucy_cookie_bar',
				'settings' => 'nucy_cookie_hide_after',
				'type' => 'select',
				'description' => esc_html__( 'Hide banner after Accept or Reject cookies.', 'nucy' ),
				'sanitize_callback' => $nucy_santanize,
				'choices' => array(
                    'true' => esc_html__( 'Yes' , 'nucy' ),
                    'false' => esc_html__( 'No' , 'nucy'  ),
                ),
			)
		);
		
		/*====== Cookie Bar Border ======*/
		$wp_customize->add_setting( 'nucy_cookie_position',
			array(
				'type' => 'theme_mod',
				'capability' => 'edit_theme_options',
				'transport' => $nucy_transport,
				'sanitize_callback' => $nucy_santanize,
				'default' => 'left',
			)
		);
		
		$wp_customize->add_control( 'nucy_cookie_position',
			array(
				'label' => esc_html__( 'Cookie Bar Position', 'nucy' ),
				'section' => 'nucy_cookie_bar',
				'settings' => 'nucy_cookie_position',
				'type' => 'select',
				'description' => esc_html__( 'You can choose border position.', 'nucy' ),
				'sanitize_callback' => $nucy_santanize,
				'choices' => array(
                    'left' => esc_html__( 'Left' , 'nucy' ),
                    'right' => esc_html__( 'Right' , 'nucy'  ),
                ),
			)
		);
		
		/*====== Cookie Bar Text ======*/
		$wp_customize->add_setting( 'nucy_banner_description',
			array(
				'default' => '',
				'type' => 'theme_mod',
				'capability' => 'edit_theme_options',
				'transport' => $nucy_transport,
				'sanitize_callback' => $nucy_santanize,
			)
		);

		$wp_customize->add_control( 'nucy_banner_description', 
			array(
				'label' => esc_html__( 'Cookie Bar Text', 'nucy' ),
				'section' => 'nucy_cookie_bar',
				'settings' => 'nucy_banner_description',
				'type' => 'text',
				'description' => esc_html__( 'You can enter cookie text', 'nucy' ),
				'sanitize_callback' => $nucy_santanize,
			)
		);
		
		/*====== Cookie Bar Link Text ======*/
		$wp_customize->add_setting( 'nucy_banner_link_text',
			array(
				'default' => '',
				'type' => 'theme_mod',
				'capability' => 'edit_theme_options',
				'transport' => $nucy_transport,
				'sanitize_callback' => $nucy_santanize,
			)
		);

		$wp_customize->add_control( 'nucy_banner_link_text', 
			array(
				'label' => esc_html__( 'Cookie Bar Link Text', 'nucy' ),
				'section' => 'nucy_cookie_bar',
				'settings' => 'nucy_banner_link_text',
				'type' => 'text',
				'description' => esc_html__( 'You can enter cookie link text', 'nucy' ),
				'sanitize_callback' => $nucy_santanize,
			)
		);
		
		/*====== Cookie Bar Background Color ======*/
		$wp_customize->add_setting( 'nucy_cookie_banner_background',
			array(
				'default' => '#FFF',
				'type' => 'theme_mod',
				'capability' => 'edit_theme_options',
				'transport' => $nucy_transport,
				'sanitize_callback' => $nucy_santanize,
			)
		);

		$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'nucy_cookie_banner_background', 
			array(
				'label' => esc_html__( 'Cookie Bar Background Color', 'nucy' ),
				'section' => 'nucy_cookie_bar',
				'settings' => 'nucy_cookie_banner_background',
				'description' => esc_html__( 'You can choose cookie bar background color.', 'nucy' ),
				'sanitize_callback' => $nucy_santanize,
			)
		) );
		
		/*====== Cookie Bar Banner Color ======*/
		$wp_customize->add_setting( 'nucy_cookie_banner_color',
			array(
				'default' => '#1d2e38',
				'type' => 'theme_mod',
				'capability' => 'edit_theme_options',
				'transport' => $nucy_transport,
				'sanitize_callback' => $nucy_santanize,
			)
		);

		$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'nucy_cookie_banner_color', 
			array(
				'label' => esc_html__( 'Cookie Bar Banner Color', 'nucy' ),
				'section' => 'nucy_cookie_bar',
				'settings' => 'nucy_cookie_banner_color',
				'description' => esc_html__( 'You can choose cookie bar banner color.', 'nucy' ),
				'sanitize_callback' => $nucy_santanize,
			)
		) );
		
		
		/*====== Cookie Bar Banner Header Text ======*/
		$wp_customize->add_setting( 'nucy_cookie_banner_heading',
			array(
				'default' => '',
				'type' => 'theme_mod',
				'capability' => 'edit_theme_options',
				'transport' => $nucy_transport,
				'sanitize_callback' => $nucy_santanize,
			)
		);

		$wp_customize->add_control( 'nucy_cookie_banner_heading', 
			array(
				'label' => esc_html__( 'Cookie Bar Header Text', 'nucy' ),
				'section' => 'nucy_cookie_bar',
				'settings' => 'nucy_cookie_banner_heading',
				'type' => 'text',
				'description' => esc_html__( 'You can enter cookie bar header text', 'nucy' ),
				'sanitize_callback' => $nucy_santanize,
			)
		);
		
		
		/*====== Cookie Bar Accept Text ======*/
		$wp_customize->add_setting( 'nucy_cookie_accept_button_text',
			array(
				'default' => '',
				'type' => 'theme_mod',
				'capability' => 'edit_theme_options',
				'transport' => $nucy_transport,
				'sanitize_callback' => $nucy_santanize,
			)
		);

		$wp_customize->add_control( 'nucy_cookie_accept_button_text', 
			array(
				'label' => esc_html__( 'Cookie Bar Accept Text', 'nucy' ),
				'section' => 'nucy_cookie_bar',
				'settings' => 'nucy_cookie_accept_button_text',
				'type' => 'text',
				'description' => esc_html__( 'You can enter cookie bar accept text', 'nucy' ),
				'sanitize_callback' => $nucy_santanize,
			)
		);
		
		/*====== Cookie Bar Accept Button Color ======*/
		$wp_customize->add_setting( 'nucy_cookie_accept_button_color',
			array(
				'default' => '#FFF',
				'type' => 'theme_mod',
				'capability' => 'edit_theme_options',
				'transport' => $nucy_transport,
				'sanitize_callback' => $nucy_santanize,
			)
		);

		$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'nucy_cookie_accept_button_color', 
			array(
				'label' => esc_html__( 'Cookie Bar Accept Button Color', 'nucy' ),
				'section' => 'nucy_cookie_bar',
				'settings' => 'nucy_cookie_accept_button_color',
				'description' => esc_html__( 'You can choose cookie bar accept button color.', 'nucy' ),
				'sanitize_callback' => $nucy_santanize,
			)
		) );
		
		/*====== Cookie Bar Accept Button Background Color ======*/
		$wp_customize->add_setting( 'nucy_cookie_accept_button_background',
			array(
				'default' => '#FFC311',
				'type' => 'theme_mod',
				'capability' => 'edit_theme_options',
				'transport' => $nucy_transport,
				'sanitize_callback' => $nucy_santanize,
			)
		);

		$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'nucy_cookie_accept_button_background', 
			array(
				'label' => esc_html__( 'Cookie Bar Accept Button Background Color', 'nucy' ),
				'section' => 'nucy_cookie_bar',
				'settings' => 'nucy_cookie_accept_button_background',
				'description' => esc_html__( 'You can choose cookie bar accept button background color.', 'nucy' ),
				'sanitize_callback' => $nucy_santanize,
			)
		) );


        /*====== Cookie Bar Reject Text ======*/
		$wp_customize->add_setting( 'nucy_cookie_reject_button_text',
			array(
				'default' => '',
				'type' => 'theme_mod',
				'capability' => 'edit_theme_options',
				'transport' => $nucy_transport,
				'sanitize_callback' => $nucy_santanize,
			)
		);

		$wp_customize->add_control( 'nucy_cookie_reject_button_text', 
			array(
				'label' => esc_html__( 'Cookie Bar Reject Text', 'nucy' ),
				'section' => 'nucy_cookie_bar',
				'settings' => 'nucy_cookie_reject_button_text',
				'type' => 'text',
				'description' => esc_html__( 'You can enter cookie bar reject text', 'nucy' ),
				'sanitize_callback' => $nucy_santanize,
			)
		);
		
		/*====== Cookie Bar Reject Button Color ======*/
		$wp_customize->add_setting( 'nucy_cookie_reject_button_color',
			array(
				'default' => '#636363',
				'type' => 'theme_mod',
				'capability' => 'edit_theme_options',
				'transport' => $nucy_transport,
				'sanitize_callback' => $nucy_santanize,
			)
		);

		$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'nucy_cookie_reject_button_color', 
			array(
				'label' => esc_html__( 'Cookie Bar Accept Button Color', 'nucy' ),
				'section' => 'nucy_cookie_bar',
				'settings' => 'nucy_cookie_reject_button_color',
				'description' => esc_html__( 'You can choose cookie bar reject button color.', 'nucy' ),
				'sanitize_callback' => $nucy_santanize,
			)
		) );
		
		/*====== Cookie Bar Reject Button Background Color ======*/
		$wp_customize->add_setting( 'nucy_cookie_reject_button_background',
			array(
				'default' => '#E8E8E8',
				'type' => 'theme_mod',
				'capability' => 'edit_theme_options',
				'transport' => $nucy_transport,
				'sanitize_callback' => $nucy_santanize,
			)
		);

		$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'nucy_cookie_reject_button_background', 
			array(
				'label' => esc_html__( 'Cookie Bar Accept Button Background Color', 'nucy' ),
				'section' => 'nucy_cookie_bar',
				'settings' => 'nucy_cookie_reject_button_background',
				'description' => esc_html__( 'You can choose cookie bar reject button background color.', 'nucy' ),
				'sanitize_callback' => $nucy_santanize,
			)
		) );
		
		/*====== Cookie Bar Manage Cookies Text ======*/
		$wp_customize->add_setting( 'nucy_cookie_manage_button_text',
			array(
				'default' => '',
				'type' => 'theme_mod',
				'capability' => 'edit_theme_options',
				'transport' => $nucy_transport,
				'sanitize_callback' => $nucy_santanize,
			)
		);

		$wp_customize->add_control( 'nucy_cookie_manage_button_text', 
			array(
				'label' => esc_html__( 'Cookie Bar Manage Cookies Text', 'nucy' ),
				'section' => 'nucy_cookie_bar',
				'settings' => 'nucy_cookie_manage_button_text',
				'type' => 'text',
				'description' => esc_html__( 'You can enter cookie bar manage cookies text', 'nucy' ),
				'sanitize_callback' => $nucy_santanize,
			)
		);
		
		/*====== Cookie Bar Manage Cookies Button Color ======*/
		$wp_customize->add_setting( 'nucy_cookie_manage_button_color',
			array(
				'default' => '#1d2e38',
				'type' => 'theme_mod',
				'capability' => 'edit_theme_options',
				'transport' => $nucy_transport,
				'sanitize_callback' => $nucy_santanize,
			)
		);

		$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'nucy_cookie_manage_button_color', 
			array(
				'label' => esc_html__( 'Cookie Bar Manage Cookies Button Color', 'nucy' ),
				'section' => 'nucy_cookie_bar',
				'settings' => 'nucy_cookie_manage_button_color',
				'description' => esc_html__( 'You can choose cookie bar manage cookies button color.', 'nucy' ),
				'sanitize_callback' => $nucy_santanize,
			)
		) );
		
		/*====== Cookie Bar Reject Button Background Color ======*/
		$wp_customize->add_setting( 'nucy_cookie_manage_button_background',
			array(
				'default' => '#FFF',
				'type' => 'theme_mod',
				'capability' => 'edit_theme_options',
				'transport' => $nucy_transport,
				'sanitize_callback' => $nucy_santanize,
			)
		);

		$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'nucy_cookie_manage_button_background', 
			array(
				'label' => esc_html__( 'Cookie Bar Manage Cookies Button Background Color', 'nucy' ),
				'section' => 'nucy_cookie_bar',
				'settings' => 'nucy_cookie_manage_button_background',
				'description' => esc_html__( 'You can choose cookie bar manage cookies button background color.', 'nucy' ),
				'sanitize_callback' => $nucy_santanize,
			)
		) );
	}
	add_action( 'customize_register', 'nucy_customizer' );