<?php
/*
	* The template used for displaying single portfolio content
*/
?>

<div id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
	<div class="gt-single-content">
		<div class="row gt-bottom-space">					
			<?php
				$content = get_the_content();
				if( !empty( $content ) ) {
					echo '<div class="col-lg-8">';
						echo '<div class="gt-bottom-s-space">';
							echo '<strong>' . esc_html__( 'Brief', 'nucy' ) . ':</strong>';
							echo '<div class="gt-portfolio-brief">';
								the_content();
							echo '</div>';
						echo '</div>';
					echo '</div>';
				}


				$portfolio_details = get_theme_mod( 'nucy_portfolio_details', '1' );
				if ( $portfolio_details == '1' ) {
					$portfolio_cats = wp_get_post_terms( get_the_ID(), 'portfolio-category' );
					$projects = wp_get_post_terms( get_the_ID(), 'project' );
					$clients = wp_get_post_terms( get_the_ID(), 'client' );
					if( !empty( $portfolio_cats ) or !empty( $project ) or !empty( $client ) ) {
						echo '<div class="col-lg-4">';
							if( !empty( $portfolio_cats ) ) {
								echo '<div class="gt-bottom-s-space gt-portfolio-details">';
									echo '<strong>' . esc_html__( 'Category', 'nucy' ) . ':</strong>';
									echo '<ul>';
										foreach( $portfolio_cats as $cat ) {
											if( !empty( $cat ) ) {
												echo '<li>';
													echo '<a href="' . get_term_link( $cat->term_id ) . '" title="' . esc_attr( $cat->name ) . '">' . esc_attr( $cat->name ) . '</a>';
												echo '</li>';
											}
										}
									echo '</ul>';
								echo '</div>';
							}

							if( !empty( $projects ) ) {
								echo '<div class="gt-bottom-s-space gt-portfolio-details">';
									echo '<strong>' . esc_html__( 'Project', 'nucy' ) . ':</strong>';
									echo '<ul>';
										foreach( $projects as $project ) {
											if( !empty( $project ) ) {
												echo '<li>';
													echo '<a href="' . get_term_link( $project->term_id ) . '" title="' . esc_attr( $project->name ) . '">' . esc_attr( $project->name ) . '</a>';
												echo '</li>';
											}
										}
									echo '</ul>';
								echo '</div>';
							}

							if( !empty( $clients ) ) {
								echo '<div class="gt-bottom-s-space gt-portfolio-details">';
									echo '<strong>' . esc_html__( 'Client', 'nucy' ) . ':</strong>';
									echo '<ul>';
										foreach( $clients as $client ) {
											if( !empty( $client ) ) {
												echo '<li>';
													echo '<a href="' . get_term_link( $client->term_id ) . '" title="' . esc_attr( $client->name ) . '">' . esc_attr( $client->name ) . '</a>';
												echo '</li>';
											}
										}
									echo '</ul>';
								echo '</div>';
							}
						echo '</div>';
					}
				}
			?>
		</div>

		<?php
			if ( function_exists( 'rwmb_meta' ) ) {
				$gallery = rwmb_meta( 'portfolio-gallery' );
				$extra_content = rwmb_meta( 'portfolio-extra-content' );
				$hide_testimonials = rwmb_meta( 'hide-portolio-testimonials' );
				$testimonials = rwmb_meta( 'portolio-testimonials' );

				$portfolio_gallery = get_theme_mod( 'nucy_portfolio_gallery', '1' );
				if ( $portfolio_gallery == '1' ) {
					if( !empty( $gallery ) ) {
						echo '<div class="gt-slider gt-bottom-space">';
							echo '<div class="swiper-container gt-swiper-slider" data-gt-direction="horizontal" data-gt-speed="600" data-gt-item="1" data-gt-item-space="0">';
								echo '<div class="swiper-wrapper">';
									foreach ( $gallery as $g_image ) {
										if( !empty( $g_image ) ) {
											$g_image_src = wp_get_attachment_image_src( esc_attr( $g_image["ID"] ), 'nucy-portfolio-2' );
											if( !empty( $g_image_src ) ) {
												echo '<div class="swiper-slide">';
													echo '<img src="' . esc_url( $g_image_src[0] ) . '" width="' . esc_attr( $g_image_src[1] ) . '" height="' . esc_attr( $g_image_src[2] ) . '">';
												echo '</div>';
											}
										}
									}
								echo '</div>';
								echo '<div class="gt-slider-controls">';
									echo '<div class="gt-slider-button gt-slider-prev">';
										echo '<span class="text">' . esc_html__( 'Prev', 'nucy' ) . '</span>';
										echo '<span class="line"></span>';
									echo '</div>';
									echo '<div class="gt-slider-button gt-slider-next">';
										echo '<span class="line"></span>';
										echo '<span class="text">' . esc_html__( 'Next', 'nucy' ) . '</span>';
									echo '</div>';
								echo '</div>';
							echo '</div>';
						echo '</div>';
					}
				}

				if( !empty( $extra_content ) ) {
					echo '<div class="text-center gt-bottom-space">';
						echo rwmb_meta( 'portfolio-extra-content' );
					echo '</div>';
				}

				$testimonials_status = get_theme_mod( 'nucy_portfolio_testimonials', '1' );
				if ( $testimonials_status == '1' ) {
					if( $hide_testimonials == "1" ) {
						if( !empty( $testimonials ) ) {
							echo '<div class="row justify-content-center gt-bottom-space">';
								foreach ( $testimonials as $t_item ) {
									if( !empty( $t_item ) ) {
										if( !empty( $t_item["text"] ) or !empty( $t_item["customer-name"] ) or !empty( $t_item["company"] ) ) {
										echo '<div class="col-lg-4">';
											echo '<div class="gt-testimonials-box">';
												echo '<div class="gt-box">';
													if( !empty( $t_item["text"] ) ) {
														echo '<div class="gt-box--content">';
															echo esc_attr( $t_item["text"] );
														echo '</div>';
													}

													echo '<div class="gt-box--details">';
														$t_images = $t_item["image"];
														if( !empty( $t_images ) ) {
															foreach ( $t_images as $t_image ) {
																if( !empty( $t_image ) ) {
																	echo '<div class="gt-box--image">';
																		echo wp_get_attachment_image( esc_attr( $t_image ), 'thumbnail', true );
																	echo '</div>';
																}
															}
														}

														echo '<div class="d-flex flex-column justify-content-center">';

															if( !empty( $t_item["customer-name"] ) ) {
																echo '<div class="gt-box--title">';
																	echo esc_attr( $t_item["customer-name"] );
																echo '</div>';
															}

															if( !empty( $t_item["company"] ) ) {
																echo '<div class="gt-box--subtitle">';
																	echo esc_attr( $t_item["company"] );
																echo '</div>';
															}
														echo '</div>';
													echo '</div>';
												echo '</div>';
											echo '</div>';
										echo '</div>';
										}
									}
								}
							echo '</div>';
						}
					}
				}
			}
		?>

		<?php
			wp_link_pages(
				array(
					'before' => '<div class="post-pages"><div class="title">' . esc_html__( 'Pages', 'nucy' ) . ':</div>',
					'after' => '</div>',
					'link_before' => '<span>',
					'link_after' => '</span>',
				)
			);
		?>
	</div>

	<?php
		$share = get_theme_mod( 'nucy_portfolio_share' );
		if ( $share == '1' ) {
			if ( function_exists( 'nucy_social_share' ) ) {
				echo '<div class="social-share content-box">';
					echo nucy_social_share();
				echo '</div>';
			}
		}
	?>
</div>