<?php
/*======
*
* Theme Meta Boxes
*
======*/
function nucy_meta_boxes( $meta_boxes ) {



    /*======
    *
    * Post Meta Boxes
    *
    ======*/
    $meta_boxes[] = array(
        /*====== Settings ======*/
        'id' => 'post-settings',
        'title' => esc_html__( 'Post Settings', 'nucy' ),
        'post_types' => 'post',
        'context' => 'normal',
        'priority' => 'high',
        'tabs' => array(
            'design' => array(
                'label' => esc_html__( 'Layouts & Design', 'nucy' ),
                'icon' => 'dashicons-admin-customizer',
            ),
            'media' => array(
                'label' => esc_html__( 'Media', 'nucy' ),
                'icon' => 'dashicons-admin-collapse',
            ),
        ),
        'tab_style' => 'left',
        'tab_wrapper' => true,

        /*====== Fields ======*/
        'fields' => array(

            /*====== Design ======*/
            array(
                'name' => esc_html__( 'Header Style', 'nucy' ),
                'desc' => esc_html__( 'You can choose a header style.', 'nucy' ),
                'id' => 'header-style',
                'type' => 'image_select',
                'options'  => array(
                    'style-1' => get_template_directory_uri() . '/include/customize/assets/img/header-style/style-1.svg',
                    'style-2' => get_template_directory_uri() . '/include/customize/assets/img/header-style/style-2.svg',
                ),
                'tab' => 'design',
            ),
            array(
                'name' => esc_html__( 'Hide Header Gap', 'nucy' ),
                'desc' => esc_html__( 'You can hide the gap between the content and the header.', 'nucy' ),
                'id' => 'hide-header-gap',
                'type' => 'switch',
                'std' => 0,
                'tab' => 'design',
                'tab' => 'design',
            ),
            array(
                'name' => esc_html__( 'Hide Page Banner', 'nucy' ),
                'desc' => esc_html__( 'You can hide the page banner.', 'nucy' ),
                'id' => 'hide-page-banner',
                'type' => 'switch',
                'std' => 0,
                'tab' => 'design',
            ),
            array(
                'name' => esc_html__( 'Page Banner Background', 'nucy' ),
                'desc' => esc_html__( 'You can upload a background image for page banner. Recommended: 1920x450', 'nucy' ),
                'id' => 'page-banner-image',
                'type' => 'image_advanced',
                'force_delete' => false,
                'max_status' => 'false',
                'image_size' => 'thumbnail',
                'max_file_uploads' => 1,
                'tab' => 'design',
                'tab' => 'design',
            ),
            array(
                'name' => esc_html__( 'Page Banner Top Text', 'nucy' ),
                'desc' => esc_html__( 'You can enter a text.', 'nucy' ),
                'id' => 'page-banner-top-text',
                'type' => 'text',
                'tab' => 'design',
            ),
            array(
                'name' => esc_html__( 'Page Banner Text', 'nucy' ),
                'desc' => esc_html__( 'You can enter a text.', 'nucy' ),
                'id' => 'page-banner-text',
                'type' => 'text',
                'tab' => 'design',
            ),
            array(
                'name' => esc_html__( 'Hide Breadcrumb', 'nucy' ),
                'desc' => esc_html__( 'You can hide the breadcrumb.', 'nucy' ),
                'id' => 'hide-breadcrumb',
                'type' => 'switch',
                'std' => 0,
                'tab' => 'design',
            ),
            array(
                'name' => esc_html__( 'Social Share', 'nucy' ),
                'desc' => esc_html__( 'You can activate the social share.', 'nucy' ),
                'id' => 'hide-social-share',
                'type' => 'switch',
                'std' => 0,
                'tab' => 'design',
            ),
            array(
                'name' => esc_html__( 'Hide Footer Gap', 'nucy' ),
                'desc' => esc_html__( 'You can hide the gap between the content and the footer.', 'nucy' ),
                'id' => 'hide-footer-gap',
                'type' => 'switch',
                'std' => 0,
                'tab' => 'design',
            ),
            array(
                'name' => esc_html__( 'Sidebar Position', 'nucy' ),
                'desc' => esc_html__( 'You can choose a sidebar position.', 'nucy' ),
                'id' => 'sidebar-position',
                'type' => 'image_select',
                'options'  => array(
                    'right-sidebar' => get_template_directory_uri() . '/include/customize/assets/img/sidebar/right-sidebar.svg',
                    'left-sidebar' => get_template_directory_uri() . '/include/customize/assets/img/sidebar/left-sidebar.svg',
                    'no-sidebar' => get_template_directory_uri() . '/include/customize/assets/img/sidebar/no-sidebar.svg',
                ),
                'tab' => 'design',
            ),
            array(
                'name' => esc_html__( 'Sidebar', 'nucy' ),
                'desc' => esc_html__( 'You can choose a sidebar for this page.', 'nucy' ),
                'id' => 'sidebar',
                'type' => 'sidebar',
                'tab' => 'design',
            ),

            /*====== Media ======*/
            array(
                'name' => esc_html__( 'Hide Featured Image & Media', 'nucy' ),
                'desc' => esc_html__( 'You can hide the featured image, video, gallery or audio from the featured content.', 'nucy' ),
                'id' => 'hide-featured-content',
                'type' => 'switch',
                'std' => 0,
                'tab' => 'media',
            ),
            array(
                'name' => esc_html__( 'Gallery Type', 'nucy' ),
                'desc' => esc_html__( 'You can choose a style for featured gallery.', 'nucy' ),
                'id' => 'image-gallery-type',
                'type' => 'radio',
                'tab' => 'media',
                'std' => 'slider',
                'options' => array(
                    'slider' => esc_html__( 'Slider', 'nucy' ),
                    'grid' => esc_html__( 'Grid', 'nucy' ),
                ),
            ),
            array(
                'name' => esc_html__( 'Image Gallery for Gallery Format', 'nucy' ),
                'desc' => esc_html__( 'You can create a gallery for gallery format.', 'nucy' ),
                'id' => 'image-gallery',
                'type' => 'image_advanced',
                'force_delete' => false,
                'max_status' => 'false',
                'tab' => 'media',
                'image_size' => 'thumbnail',
            ),
            array(
                'name' => esc_html__( 'Video', 'nucy' ),
                'desc' => esc_html__( 'You can enter a video URL for video format.', 'nucy' ),
                'id' => 'video-embed',
                'type' => 'oembed',
                'tab' => 'media',
            ),
            array(
                'name' => esc_html__( 'Audio', 'nucy' ),
                'desc' => esc_html__( 'You can enter HTML codes for audio format.', 'nucy' ),
                'id' => 'audio-html',
                'type' => 'textarea',
                'tab' => 'media',
            ),
        )
    );



    /*======
    *
    * Page Meta Boxes
    *
    ======*/
    $meta_boxes[] = array(
        /*====== Settings ======*/
        'id' => 'page-settings',
        'title' => esc_html__( 'Page Settings', 'nucy' ),
        'post_types' => 'page',
        'context' => 'normal',
        'priority' => 'high',
        'tab_wrapper' => false,

        /*====== Fields ======*/
        'fields' => array(
            array(
                'name' => esc_html__( 'Header Style', 'nucy' ),
                'desc' => esc_html__( 'You can choose a header style.', 'nucy' ),
                'id' => 'header-style',
                'type' => 'image_select',
                'options'  => array(
                    'style-1' => get_template_directory_uri() . '/include/customize/assets/img/header-style/style-1.svg',
                    'style-2' => get_template_directory_uri() . '/include/customize/assets/img/header-style/style-2.svg',
                ),
            ),
            array(
                'name' => esc_html__( 'Hide Header Gap', 'nucy' ),
                'desc' => esc_html__( 'You can hide the gap between the content and the header.', 'nucy' ),
                'id' => 'hide-header-gap',
                'type' => 'switch',
                'std' => 0,
                'tab' => 'design',
            ),
            array(
                'name' => esc_html__( 'Hide Page Banner', 'nucy' ),
                'desc' => esc_html__( 'You can hide the page banner.', 'nucy' ),
                'id' => 'hide-page-banner',
                'type' => 'switch',
                'std' => 0,
            ),
            array(
                'name' => esc_html__( 'Page Banner Background', 'nucy' ),
                'desc' => esc_html__( 'You can upload a background image for page banner. Recommended: 1920x450', 'nucy' ),
                'id' => 'page-banner-image',
                'type' => 'image_advanced',
                'force_delete' => false,
                'max_status' => 'false',
                'image_size' => 'thumbnail',
                'max_file_uploads' => 1,
                'tab' => 'design',
            ),
            array(
                'name' => esc_html__( 'Page Banner Top Text', 'nucy' ),
                'desc' => esc_html__( 'You can enter a text.', 'nucy' ),
                'id' => 'page-banner-top-text',
                'type' => 'text',
            ),
            array(
                'name' => esc_html__( 'Page Banner Text', 'nucy' ),
                'desc' => esc_html__( 'You can enter a text.', 'nucy' ),
                'id' => 'page-banner-text',
                'type' => 'text',
            ),
            array(
                'name' => esc_html__( 'Slider Header', 'nucy' ),
                'desc' => esc_html__( 'You can hide the slider header from the page.', 'nucy' ),
                'id' => 'slider-header',
                'type' => 'switch',
                'std' => 0,
            ),
            array(
                'name' => esc_html__( 'Slide Speed', 'nucy' ),
                'desc' => esc_html__( 'You can enter a slide speed.', 'nucy' ),
                'id' => 'slider-header-slide-speed',
                'type' => 'text',
                'visible' => array( 'slider-header', '=', '1' )
            ),
            array(
                'name' => esc_html__( 'Slider Button Style', 'nucy' ),
                'desc' => esc_html__( 'You can choose a style.', 'nucy' ),
                'id' => 'slider-header-button-style',
                'type' => 'select_advanced',
                'std' => 'self',
                'options' => array(
                    'style-1' => esc_html__( 'Style 1', 'nucy' ),
                    'style-2' => esc_html__( 'Style 2', 'nucy' ),
                    'style-3' => esc_html__( 'Style 3', 'nucy' ),
                    'style-4' => esc_html__( 'Style 4', 'nucy' ),
                    'style-5' => esc_html__( 'Style 5', 'nucy' ),
                    'style-6' => esc_html__( 'Style 6', 'nucy' ),
                    'style-7' => esc_html__( 'Style 7', 'nucy' ),
                ),
                'visible' => array( 'slider-header', '=', '1' )
            ),
            array(
                'name' => esc_html__( 'Slider Slides', 'nucy' ),
                'desc' => esc_html__( 'You can create slides.', 'nucy' ),
                'id' => 'slider-header-slides',
                'type' => 'group',
                'sort_clone' => true,
                'clone' => true,
                'collapsible' => true,
                'clone_default' => true,
                'default_state' => 'collapsed',
                'save_state' => true,
                'group_title' => array( 'field' => 'title' ),
                'fields' => array(
                    array(
                        'name' => esc_html__( 'Image', 'nucy' ),
                        'desc' => esc_html__( 'You can upload an image.', 'nucy' ),
                        'id' => 'image',
                        'type' => 'image_advanced',
                        'force_delete' => false,
                        'max_status' => 'false',
                        'image_size' => 'thumbnail',
                        'max_file_uploads' => 1,
                    ),
                    array(
                        'name' => esc_html__( 'Title', 'nucy' ),
                        'desc' => esc_html__( 'You can enter a title.', 'nucy' ),
                        'id' => 'title',
                        'type' => 'text',
                    ),
                    array(
                        'name' => esc_html__( 'Top Title', 'nucy' ),
                        'desc' => esc_html__( 'You can enter a top title.', 'nucy' ),
                        'id' => 'top-title',
                        'type' => 'text',
                    ),
                    array(
                        'name' => esc_html__( 'Text', 'nucy' ),
                        'desc' => esc_html__( 'You can enter a text.', 'nucy' ),
                        'id' => 'text',
                        'type' => 'text',
                    ),
                    array(
                        'name' => esc_html__( 'Button Target', 'nucy' ),
                        'desc' => esc_html__( 'You can choose a target type.', 'nucy' ),
                        'id' => 'button-target',
                        'type' => 'select_advanced',
                        'std' => 'self',
                        'options' => array(
                            '_self' => esc_html__( 'Self', 'nucy' ),
                            '_blank' => esc_html__( 'Blank', 'nucy' ),
                        ),
                    ),
                    array(
                        'name' => esc_html__( 'Button Link', 'nucy' ),
                        'desc' => esc_html__( 'You can enter a button link.', 'nucy' ),
                        'id' => 'button-link',
                        'type' => 'text',
                    ),
                    array(
                        'name' => esc_html__( 'Button Text', 'nucy' ),
                        'desc' => esc_html__( 'You can enter a button text. Default: Read More', 'nucy' ),
                        'id' => 'button-text',
                        'type' => 'text',
                    ),
                ),
                'visible' => array( 'slider-header', '=', '1' )
            ),
            array(
                'name' => esc_html__( 'Map Header', 'nucy' ),
                'desc' => esc_html__( 'You can hide the map header from the page banner.', 'nucy' ),
                'id' => 'map-header',
                'type' => 'switch',
                'std' => 0,
            ),
            array(
                'name' => esc_html__( 'Map Title', 'nucy' ),
                'desc' => esc_html__( 'You can enter a map title.', 'nucy' ),
                'id' => 'map-header-title',
                'type' => 'text',
                'visible' => array( 'map-header', '=', '1' )
            ),
            array(
                'name' => esc_html__( 'Map Lat', 'nucy' ),
                'desc' => esc_html__( 'You can enter a map lat coordinate.', 'nucy' ),
                'id' => 'map-header-lat',
                'type' => 'text',
                'visible' => array( 'map-header', '=', '1' )
            ),
            array(
                'name' => esc_html__( 'Map Lng', 'nucy' ),
                'desc' => esc_html__( 'You can enter a map lng coordinate.', 'nucy' ),
                'id' => 'map-header-lng',
                'type' => 'text',
                'visible' => array( 'map-header', '=', '1' )
            ),
            array(
                'name' => esc_html__( 'Hide Breadcrumb', 'nucy' ),
                'desc' => esc_html__( 'You can hide the breadcrumb.', 'nucy' ),
                'id' => 'hide-breadcrumb',
                'type' => 'switch',
                'std' => 0,
            ),
            array(
                'name' => esc_html__( 'Social Share', 'nucy' ),
                'desc' => esc_html__( 'You can activate the social share.', 'nucy' ),
                'id' => 'hide-social-share',
                'type' => 'switch',
                'std' => 0,
            ),
            array(
                'name' => esc_html__( 'Hide Footer Gap', 'nucy' ),
                'desc' => esc_html__( 'You can hide the gap between the content and the footer.', 'nucy' ),
                'id' => 'hide-footer-gap',
                'type' => 'switch',
                'std' => 0,
            ),
            array(
                'name' => esc_html__( 'Sidebar Position', 'nucy' ),
                'desc' => esc_html__( 'You can choose a sidebar position.', 'nucy' ),
                'id' => 'sidebar-position',
                'type' => 'image_select',
                'options'  => array(
                    'right-sidebar' => get_template_directory_uri() . '/include/customize/assets/img/sidebar/right-sidebar.svg',
                    'left-sidebar' => get_template_directory_uri() . '/include/customize/assets/img/sidebar/left-sidebar.svg',
                    'no-sidebar' => get_template_directory_uri() . '/include/customize/assets/img/sidebar/no-sidebar.svg',
                ),
            ),
            array(
                'name' => esc_html__( 'Sidebar', 'nucy' ),
                'desc' => esc_html__( 'You can choose a sidebar for this page.', 'nucy' ),
                'id' => 'sidebar',
                'type' => 'sidebar',
            ),
        ),
    );



    /*======
    *
    * Portfolio Boxes
    *
    ======*/
    $meta_boxes[] = array(
        /*====== Settings ======*/
        'id' => 'portfolio-settings',
        'title' => esc_html__( 'Portfolio Settings', 'nucy' ),
        'post_types' => 'portfolio',
        'context' => 'normal',
        'priority' => 'high',
        'tabs' => array(
            'general' => array(
                'label' => esc_html__( 'General', 'nucy' ),
                'icon' => 'dashicons-admin-generic',
            ),
            'design' => array(
                'label' => esc_html__( 'Layouts & Design', 'nucy' ),
                'icon' => 'dashicons-admin-customizer',
            ),
        ),
        'tab_style' => 'left',
        'tab_wrapper' => true,

        /*====== Fields ======*/
        'fields' => array(
            array(
                'name' => esc_html__( 'Porfolio Gallery', 'nucy' ),
                'desc' => esc_html__( 'You can upload images.', 'nucy' ),
                'id' => 'portfolio-gallery',
                'type' => 'image_advanced',
                'force_delete' => false,
                'max_status' => 'false',
                'image_size' => 'thumbnail',
                'tab' => 'general',
            ),
            array(
                'name' => esc_html__( 'Extra Content', 'nucy' ),
                'desc' => esc_html__( 'You can add extra content between the gallery and the testimonials.', 'nucy' ),
                'id' => 'portfolio-extra-content',
                'type' => 'wysiwyg',
                'tab' => 'general',
            ),
            array(
                'name' => esc_html__( 'Testimonials', 'nucy' ),
                'desc' => esc_html__( 'You can hide the testimonials.', 'nucy' ),
                'id' => 'hide-portolio-testimonials',
                'type' => 'checkbox',
                'std' => 0,
                'tab' => 'general',
            ),
            array(
                'name' => esc_html__( 'Testimonials', 'nucy' ),
                'desc' => esc_html__( 'You can create a testimonials list.', 'nucy' ),
                'id' => 'portolio-testimonials',
                'tab' => 'general',
                'type' => 'group',
                'sort_clone' => true,
                'clone' => true,
                'collapsible' => true,
                'clone_default' => true,
                'default_state' => 'collapsed',
                'save_state' => true,
                'group_title' => array( 'field' => 'customer-name' ),
                'fields' => array(
                    array(
                        'name' => esc_html__( 'Name', 'nucy' ),
                        'desc' => esc_html__( 'You can enter a customer name.', 'nucy' ),
                        'id' => 'customer-name',
                        'type' => 'text',
                    ),
                    array(
                        'name' => esc_html__( 'Text', 'nucy' ),
                        'desc' => esc_html__( 'You can enter a text.', 'nucy' ),
                        'id' => 'text',
                        'type' => 'text',
                    ),
                    array(
                        'name' => esc_html__( 'Company', 'nucy' ),
                        'desc' => esc_html__( 'You can enter a company name.', 'nucy' ),
                        'id' => 'company',
                        'type' => 'text',
                    ),
                    array(
                        'name' => esc_html__( 'Image', 'nucy' ),
                        'desc' => esc_html__( 'You can upload an image.', 'nucy' ),
                        'id' => 'image',
                        'type' => 'image_advanced',
                        'force_delete' => false,
                        'max_status' => 'false',
                        'image_size' => 'thumbnail',
                        'max_file_uploads' => 1,
                    ),
                ),
            ),
            array(
                'name' => esc_html__( 'Header Style', 'nucy' ),
                'desc' => esc_html__( 'You can choose a header style.', 'nucy' ),
                'id' => 'header-style',
                'type' => 'image_select',
                'options'  => array(
                    'style-1' => get_template_directory_uri() . '/include/customize/assets/img/header-style/style-1.svg',
                    'style-2' => get_template_directory_uri() . '/include/customize/assets/img/header-style/style-2.svg',
                ),
                'tab' => 'design',
            ),
            array(
                'name' => esc_html__( 'Hide Header Gap', 'nucy' ),
                'desc' => esc_html__( 'You can hide the gap between the content and the header.', 'nucy' ),
                'id' => 'hide-header-gap',
                'type' => 'switch',
                'std' => 0,
                'tab' => 'design',
            ),
            array(
                'name' => esc_html__( 'Hide Page Banner', 'nucy' ),
                'desc' => esc_html__( 'You can hide the page banner.', 'nucy' ),
                'id' => 'hide-page-banner',
                'type' => 'switch',
                'std' => 0,
                'tab' => 'design',
            ),
            array(
                'name' => esc_html__( 'Page Banner Background', 'nucy' ),
                'desc' => esc_html__( 'You can upload a background image for page banner. Recommended: 1920x450', 'nucy' ),
                'id' => 'page-banner-image',
                'type' => 'image_advanced',
                'force_delete' => false,
                'max_status' => 'false',
                'image_size' => 'thumbnail',
                'max_file_uploads' => 1,
                'tab' => 'design',
            ),
            array(
                'name' => esc_html__( 'Page Banner Top Text', 'nucy' ),
                'desc' => esc_html__( 'You can enter a text.', 'nucy' ),
                'id' => 'page-banner-top-text',
                'type' => 'text',
                'tab' => 'design',
            ),
            array(
                'name' => esc_html__( 'Page Banner Text', 'nucy' ),
                'desc' => esc_html__( 'You can enter a text.', 'nucy' ),
                'id' => 'page-banner-text',
                'type' => 'text',
                'tab' => 'design',
            ),
            array(
                'name' => esc_html__( 'Hide Breadcrumb', 'nucy' ),
                'desc' => esc_html__( 'You can hide the breadcrumb.', 'nucy' ),
                'id' => 'hide-breadcrumb',
                'type' => 'switch',
                'std' => 0,
                'tab' => 'design',
            ),
            array(
                'name' => esc_html__( 'Social Share', 'nucy' ),
                'desc' => esc_html__( 'You can activate the social share.', 'nucy' ),
                'id' => 'hide-social-share',
                'type' => 'switch',
                'std' => 0,
                'tab' => 'design',
            ),
            array(
                'name' => esc_html__( 'Hide Footer Gap', 'nucy' ),
                'desc' => esc_html__( 'You can hide the gap between the content and the footer.', 'nucy' ),
                'id' => 'hide-footer-gap',
                'type' => 'switch',
                'std' => 0,
                'tab' => 'design',
            ),
            array(
                'name' => esc_html__( 'Sidebar Position', 'nucy' ),
                'desc' => esc_html__( 'You can choose a sidebar position.', 'nucy' ),
                'id' => 'sidebar-position',
                'type' => 'image_select',
                'options'  => array(
                    'right-sidebar' => get_template_directory_uri() . '/include/customize/assets/img/sidebar/right-sidebar.svg',
                    'left-sidebar' => get_template_directory_uri() . '/include/customize/assets/img/sidebar/left-sidebar.svg',
                    'no-sidebar' => get_template_directory_uri() . '/include/customize/assets/img/sidebar/no-sidebar.svg',
                ),
                'tab' => 'design',
            ),
            array(
                'name' => esc_html__( 'Sidebar', 'nucy' ),
                'desc' => esc_html__( 'You can choose a sidebar for this page.', 'nucy' ),
                'id' => 'sidebar',
                'type' => 'sidebar',
                'tab' => 'design',
            ),
        ),
    );



    return $meta_boxes;
}
add_filter( 'rwmb_meta_boxes', 'nucy_meta_boxes' );