<?php
/**
	* The template for displaying single
*/
get_header(); ?>

	<?php
		if ( function_exists( 'rwmb_meta' ) ) {
			$hide_page_banner = rwmb_meta( 'hide-page-banner' );
			$top_text = rwmb_meta( 'page-banner-top-text' );
			$bottom_text = rwmb_meta( 'page-banner-text' );
			$page_banner_bg = rwmb_meta( 'page-banner-image' );
			$map_header = rwmb_meta( 'map-header' );
			$map_header_title = rwmb_meta( 'map-header-title' );
			$map_header_lat = rwmb_meta( 'map-header-lat' );
			$map_header_lng = rwmb_meta( 'map-header-lng' );

			if( !$hide_page_banner == "1" ) {
				echo nucy_page_banner( $title = "", $top_text = esc_attr( $top_text ), $bottom_text = esc_attr( $bottom_text ), $custom_background = $page_banner_bg, $google_map = $map_header, $map_lat = $map_header_lat, $map_lng = $map_header_lng, $map_title = $map_header_title );
			}
		} else {
			echo nucy_page_banner();
		}

		if ( function_exists( 'rwmb_meta' ) ) {
			$page_breadcrumb = rwmb_meta( 'hide-breadcrumb' );

			if( !$page_breadcrumb == "1" ) {
				echo nucy_breadcrumb();
			}
		} else {
			echo nucy_breadcrumb();			
		}

		if ( function_exists( 'rwmb_meta' ) ) {
			$hide_header_gap = rwmb_meta( 'hide-header-gap' );
			$hide_footer_gap = rwmb_meta( 'hide-footer-gap' );

			if( $hide_header_gap == "1" ) {
				$header_gap = " gt-remove-top-gap";
			} else {
				$header_gap = "";
			}

			if( $hide_footer_gap == "1" ) {
				$footer_gap = " gt-remove-bottom-gap";
			} else {
				$footer_gap = "";
			}
		} else {
			$header_gap = "";
			$footer_gap = "";
		}
	?>

	<?php echo nucy_page_header_slider(); ?>

	<div class="tm-page-content<?php echo esc_attr( $header_gap ) . esc_attr( $footer_gap ); ?>">
		<?php nucy_container_before( $extra_class = "main-container" ); ?>
			<?php nucy_row_before( $extra_class = "main-row" ); ?>
				<?php nucy_content_before(); ?>
					<?php while ( have_posts() ) : the_post(); ?>
							<?php get_template_part( 'include/formats/content-page' ); ?>
					<?php endwhile; ?>
				<?php nucy_content_after(); ?>
				<?php get_sidebar(); ?>
			<?php nucy_row_after(); ?>
			<?php while ( have_posts() ) : the_post(); ?>
				<?php
					$posts_comment = get_theme_mod( 'nucy_posts_comment', '1' );
					if ( $posts_comment == '1' ) {
						if ( comments_open() || get_comments_number() ) {
							comments_template();
						}
					}
				?>
			<?php endwhile; ?>
		<?php nucy_container_after(); ?>
	</div>

<?php get_footer();