<?php
/**
	* The template for displaying single portfolio
*/
get_header(); ?>

	<?php
		if ( function_exists( 'rwmb_meta' ) ) {
			$hide_page_banner = rwmb_meta( 'hide-page-banner' );
			$top_text = rwmb_meta( 'page-banner-top-text' );
			$bottom_text = rwmb_meta( 'page-banner-bottom-text' );
			$page_banner_bg = rwmb_meta( 'page-banner-background' );

			if( !$hide_page_banner == "1" ) {
			echo nucy_page_banner( $title = "", $top_text = esc_attr( $top_text ), $bottom_text = esc_attr( $bottom_text ), $custom_background = $page_banner_bg );
			}
		} else {
			echo nucy_page_banner();
		}
	?>

	<?php echo nucy_breadcrumb(); ?>

	<div class="tm-page-content gt-single-page">
		<?php nucy_container_before( $extra_class = "main-container" ); ?>
			<?php nucy_row_before( $extra_class = "main-row" ); ?>
				<?php nucy_content_before(); ?>
					<?php while ( have_posts() ) : the_post(); ?>
						<?php
							get_template_part( 'include/formats/content-portfolio' );

							$comments = get_theme_mod( 'nucy_portfolio_comment' );
							if ( $comments == '1' ) {
								if ( comments_open() || get_comments_number() ) {
									comments_template();
								}
							}
						?>
					<?php endwhile; ?>
				<?php nucy_content_after(); ?>
				<?php get_sidebar(); ?>
			<?php nucy_row_after(); ?>

			<?php
				$navigation = get_theme_mod( 'nucy_portfolio_navigation', '1' );
				if ( $navigation == '1' ) {
					echo nucy_post_navigation();
				}
			?>
		<?php nucy_container_after(); ?>
	</div>

<?php get_footer();