<?php
/*======
*
* Nucy Slider
*
======*/
function nucy_slider_output( $atts, $content = null ) {
	$atts = shortcode_atts(
		array(
			'slide-speed' => '',
			'button-style' => '',
			'align' => '',
			'slides' => '',
		), $atts
	);

	$output = "";

	/*====== Slides ======*/
	$slides = vc_param_group_parse_atts( $atts['slides'] );

	/*====== Align ======*/
	if( !empty( $atts["align"] ) ) {
		$align = 'text-' . esc_attr( $atts["align"] );
	} else {
		$align = "text-left";
	}

	/*====== Button Style ======*/
	if( !empty( $atts["button-style"] ) ) {
		$button_style = 'gt-btn-' . esc_attr( $atts["button-style"] );
	} else {
		$button_style = "gt-btn-style-1";
	}

	/*====== HTML Output ======*/
	if( !empty( $slides ) ) {
		$output .= '<div class="gt-slider">';
			$output .= '<div class="gt-inner">';
				$output .= '<div class="swiper-container gt-swiper-slider gt-main-slider" data-gt-speed="600" data-gt-parallax="true" data-gt-direction="horizontal" data-gt-item="1" data-gt-item-space="0" data-gt-loop="true">';
					$output .= '<div class="swiper-wrapper">';
						foreach ( $slides as $item ) {
							if( !empty( $item ) ) {
								if( !empty( $item["bg-image"] ) or !empty( $item["top-title"] ) or !empty( $item["title"] ) or !empty( $item["text"] ) ) {
									$output .= '<div class="swiper-slide">';
										/*====== Background Image ======*/
										if( !empty( $item["bg-image"] ) ) {
											$image = wp_get_attachment_image_src( $item["bg-image"], 'nucy-slider-1', true );
											$image = $image[0];
										} else {
											$image = "";
										}

										$output .= '<div class="swiper-slide--image" data-swiper-parallax-x="400" style="background-image: url(' . esc_url( $image ) .  ');"></div>';
										$output .= '<div class="swiper-slide--caption" data-swiper-parallax-x="300">';
											$output .= '<div class="gt-box">';
												if( !empty( $item["top-title"] ) ) {
													$output .= '<div class="gt-box--subtitle">' . esc_attr( $item["top-title"] ) . '</div>';
												}

												if( !empty( $item["title"] ) ) {
													$output .= '<div class="gt-box--title">' . esc_attr( $item["title"] ) . '</div>';
												}

												if( !empty( $item["text"] ) ) {
													$output .= '<p>' . esc_attr( $item["text"] ) . '</p>';
												}

												if( $item["button-status"] == "true" ) {
													if( !empty( $item["button-link"] ) ) {
														$button_link = $item["button-link"];
														$button_link = vc_build_link( $button_link );

														if( !empty( $button_link["target"] ) ) {
															$button_target = $button_link["target"];
														} else {
															$button_target = "_parent";
														}

														$output .= '<a href="' . esc_url( $button_link["url"] ) . '" title="' . esc_attr( $button_link["title"] ) . '" class="btn ' . esc_attr( $button_style ) . '" target="' . esc_attr( $button_target ) . '">' . esc_attr( $button_link["title"] ) . '</a>';
													}
												}
											$output .= '</div>';
										$output .= '</div>';
									$output .= '</div>';
								}
							}
						}
					$output .= '</div>';

					$output .= '<div class="gt-slider-controls gt-dark">';
						$output .= '<div class="gt-slider-button gt-slider-prev">';
							$output .= '<span class="text">' . esc_html__( 'Prev', 'nucy' ) . '</span>';
							$output .= '<span class="line"></span>';
						$output .= '</div>';
						$output .= '<div class="swiper-pagination"></div>';
						$output .= '<div class="gt-slider-button gt-slider-next">';
							$output .= '<span class="line"></span>';
							$output .= '<span class="text">' . esc_html__( 'Next', 'nucy' ) . '</span>';
						$output .= '</div>';
					$output .= '</div>';
				$output .= '</div>';
			$output .= '</div>';
		$output .= '</div>';
	}

	return $output;
}
add_shortcode( "nucy_slider", "nucy_slider_output" );

if( function_exists( 'vc_map' ) ) {
	vc_map(
		array(
			"name" => esc_html__( 'Nucy Slider', 'nucy' ),
			"base" => "nucy_slider",
			"category" => esc_html__( 'Nucy Theme', 'nucy' ),
			"icon" => get_template_directory_uri() . '/include/customize/assets/img/icons/nucy-slider.svg',
			"description" => esc_html__( 'Nucy slider element.', 'nucy' ),
			"params" => array(
				array(
					"type" => "textfield",
					"heading" => esc_html__( 'Slide Speed', 'nucy' ),
					"description" => esc_html__( 'You can enter a slide speed.', 'nucy' ),
					"param_name" => "slide-speed",
					"save_always" => true,
				),
				array(
					"type" => "dropdown",
					"heading" => esc_html__( 'Button Style', 'nucy' ),
					"description" => esc_html__( 'You can choose a style.', 'nucy' ),
					"param_name" => "button-style",
					"save_always" => true,
					"value" => array(
						esc_html__( 'Style 1', 'nucy' ) => 'style-1',
						esc_html__( 'Style 2', 'nucy' ) => 'style-2',
						esc_html__( 'Style 3', 'nucy' ) => 'style-3',
						esc_html__( 'Style 4', 'nucy' ) => 'style-4',
						esc_html__( 'Style 5', 'nucy' ) => 'style-5',
						esc_html__( 'Style 6', 'nucy' ) => 'style-6',
					),
				),
				array(
					"type" => "dropdown",
					"heading" => esc_html__( 'Align', 'nucy' ),
					"description" => esc_html__( 'You can choose an align.', 'nucy' ),
					"param_name" => "align",
					"save_always" => true,
					"value" => array(
						esc_html__( 'Left', 'nucy' ) => 'left',
						esc_html__( 'Right', 'nucy' ) => 'right',
						esc_html__( 'Center', 'nucy' ) => 'center',
					),
				),
				array(
					'type' => 'param_group',
					'param_name' => 'slides',
					"heading" => esc_html__( 'Slides', 'nucy' ),
					'params' => array(
						array(
							"type" => "attach_image",
							"heading" => esc_html__( 'Background Image', 'nucy' ),
							"description" => esc_html__( 'You can upload a background image.', 'nucy' ),
							"param_name" => "bg-image",
							"save_always" => true,
						),
						array(
							"type" => "textfield",
							"heading" => esc_html__( 'Top Title', 'nucy' ),
							"description" => esc_html__( 'You can enter a top title.', 'nucy' ),
							"param_name" => "top-title",
							"save_always" => true,
						),
						array(
							"type" => "textfield",
							"heading" => esc_html__( 'Title', 'nucy' ),
							"description" => esc_html__( 'You can enter a title.', 'nucy' ),
							"param_name" => "title",
							"admin_label" => true,
							"save_always" => true,
						),
						array(
							"type" => "textfield",
							"heading" => esc_html__( 'Text', 'nucy' ),
							"description" => esc_html__( 'You can enter a text.', 'nucy' ),
							"param_name" => "text",
							"save_always" => true,
						),
						array(
							"type" => "dropdown",
							"heading" => esc_html__( 'Button', 'nucy' ),
							"description" => esc_html__( 'You can choose status of the button.', 'nucy' ),
							"param_name" => "button-status",
							"save_always" => true,
							"value" => array(
								esc_html__( 'False', 'nucy' ) => 'false',
								esc_html__( 'True', 'nucy' ) => 'true',
							),
						),
						array(
							"type" => "vc_link",
							"heading" => esc_html__( 'Button Link', 'nucy' ),
							"description" => esc_html__( 'You can enter a link.', 'nucy' ),
							"param_name" => "button-link",
							"save_always" => true,
						),
					)
				)
			),
		)
	);
}



/*======
*
* Heading
*
======*/
function nucy_heading_output( $atts, $content = null ) {
	$atts = shortcode_atts(
		array(
			'title' => '',
			'top-title' => '',
			'text' => '',
			'align' => '',
			'color-style' => '',
		), $atts
	);

	$output = "";

	/*====== Title ======*/
	if( !empty( $atts["title"] ) ) {
		$title = $atts["title"];
	} else {
		$title = "";
	}

	/*====== Top Title ======*/
	if( !empty( $atts["top-title"] ) ) {
		$top_title = $atts["top-title"];
	} else {
		$top_title = "";
	}

	/*====== Bottom Title ======*/
	if( !empty( $atts["text"] ) ) {
		$text = $atts["text"];
	} else {
		$text = "";
	}

	/*====== Align ======*/
	if( !empty( $atts["align"] ) ) {
		$align = 'text-' . esc_attr( $atts["align"] );
	} else {
		$align = "text-left";
	}

	/*====== Color Style ======*/
	if( !empty( $atts["color-style"] ) ) {
		$color_style = 'color-' . esc_attr( $atts["color-style"] );
	} else {
		$color_style = "color-style-1";
	}

	/*====== HTML Output ======*/
	if( !empty( $atts["title"] ) or !empty( $atts["top-title"] )  or !empty( $atts["text"] ) ) {
		$output .= '<div class="gt-section-heading ' . esc_attr( $align ) . ' ' . esc_attr( $color_style ) . '">';
			$output .= '<div class="gt-box">';
				$output .= '<div class="gt-box--line"></div>';

				if( !empty( $top_title ) ) {
					$output .= '<div class="gt-box--subtitle">' . esc_attr( $top_title ) . '</div>';
				}

				if( !empty( $title ) ) {
					$output .= '<div class="gt-box--title">' . esc_attr( $title ) . '</div>';
				}

				if( !empty( $text ) ) {
					$output .= '<div class="gt-box--content">';
						$output .= '<p>' . esc_attr( $text ) . '</p>';
					$output .= '</div>';
				}
				
			$output .= '</div>';
		$output .= '</div>';
	}

	return $output;
}
add_shortcode( "nucy_heading", "nucy_heading_output" );

if( function_exists( 'vc_map' ) ) {
	vc_map(
		array(
			"name" => esc_html__( 'Heading', 'nucy' ),
			"base" => "nucy_heading",
			"category" => esc_html__( 'Nucy Theme', 'nucy' ),
			"icon" => get_template_directory_uri() . '/include/customize/assets/img/icons/heading.svg',
			"description" => esc_html__( 'Heading element.', 'nucy' ),
			"params" => array(
				array(
					"type" => "textfield",
					"heading" => esc_html__( 'Title', 'nucy' ),
					"description" => esc_html__( 'You can enter a title.', 'nucy' ),
					"param_name" => "title",
					"admin_label" => true,
					"save_always" => true,
				),
				array(
					"type" => "textfield",
					"heading" => esc_html__( 'Top Title', 'nucy' ),
					"description" => esc_html__( 'You can enter a top title.', 'nucy' ),
					"param_name" => "top-title",
					"save_always" => true,
				),
				array(
					"type" => "textfield",
					"heading" => esc_html__( 'Text', 'nucy' ),
					"description" => esc_html__( 'You can enter a description text.', 'nucy' ),
					"param_name" => "text",
					"save_always" => true,
				),
				array(
					"type" => "dropdown",
					"heading" => esc_html__( 'Align', 'nucy' ),
					"description" => esc_html__( 'You can choose an align.', 'nucy' ),
					"param_name" => "align",
					"save_always" => true,
					"value" => array(
						esc_html__( 'Left', 'nucy' ) => 'left',
						esc_html__( 'Right', 'nucy' ) => 'right',
						esc_html__( 'Center', 'nucy' ) => 'center',
					),
				),
				array(
					"type" => "dropdown",
					"heading" => esc_html__( 'Color Style', 'nucy' ),
					"description" => esc_html__( 'You can choose a color style.', 'nucy' ),
					"param_name" => "color-style",
					"save_always" => true,
					"value" => array(
						esc_html__( 'Style 1', 'nucy' ) => 'style-1',
						esc_html__( 'Style 2', 'nucy' ) => 'style-2',
					),
				),
			),
		)
	);
}



/*======
*
* Portfolio Listing
*
======*/
function nucy_portfolio_listing_output( $atts, $content = null ) {
	$atts = shortcode_atts(
		array(
			'item-ids' => '',
			'exclude-items' => '',
			'offset' => '',
			'item-count' => '',
			'order' => '',
			'order-type' => '',
			'pagination' => '',
			'exclude-categories' => '',
			'exclude-projects' => '',
			'exclude-clients' => '',
			'include-categories' => '',
			'include-projects' => '',
			'include-clients' => '',
			'listing-style' => '',
			'column' => '',
		), $atts
	);

	$output = "";

	/*====== Exclude Categories ======*/
	$exclude_categories_array = "";

	if( !empty( $atts['exclude-categories'] ) ) {
		$exclude_categories = $atts['exclude-categories'];
		$exclude_categories = explode( ',', $exclude_categories );
	} else {
		$exclude_categories = "";
	}

	if( !empty( $exclude_categories ) ) {
		$exclude_categories_array = array(
			'taxonomy' => 'portfolio-category',
			'field' => 'term_id',
			'terms' => $exclude_categories,
			'operator' => 'NOT IN',
		);
	}

	/*====== Exclude Projects ======*/
	$exclude_projects_array = "";

	if( !empty( $atts['exclude-projects'] ) ) {
		$exclude_projects = $atts['exclude-projects'];
		$exclude_projects = explode( ',', $exclude_projects );
	} else {
		$exclude_projects = "";
	}

	if( !empty( $exclude_projects ) ) {
		$exclude_projects_array = array(
			'taxonomy' => 'project',
			'field' => 'term_id',
			'terms' => $exclude_projects,
			'operator' => 'NOT IN',
		);
	}

	/*====== Exclude Clients ======*/
	$exclude_clients_array = "";

	if( !empty( $atts['exclude-clients'] ) ) {
		$exclude_clients = $atts['exclude-clients'];
		$exclude_clients = explode( ',', $exclude_clients );
	} else {
		$exclude_clients = "";
	}

	if( !empty( $exclude_clients ) ) {
		$exclude_clients_array = array(
			'taxonomy' => 'client',
			'field' => 'term_id',
			'terms' => $exclude_clients,
			'operator' => 'NOT IN',
		);
	}

	/*====== Include Projects ======*/
	$include_projects_array = "";

	if( !empty( $atts['include-projects'] ) ) {
		$include_projects = $atts['include-projects'];
		$include_projects = explode( ',', $include_projects );
	} else {
		$include_projects = "";
	}

	if( !empty( $include_projects ) ) {
		$include_projects_array = array(
			'taxonomy' => 'project',
			'field' => 'term_id',
			'terms' => $include_projects,
			'operator' => 'IN',
		);
	}

	/*====== Include Clients ======*/
	$include_clients_array = "";

	if( !empty( $atts['include-clients'] ) ) {
		$include_clients = $atts['include-clients'];
		$include_clients = explode( ',', $include_clients );
	} else {
		$include_clients = "";
	}

	if( !empty( $include_clients ) ) {
		$include_clients_array = array(
			'taxonomy' => 'client',
			'field' => 'term_id',
			'terms' => $include_clients,
			'operator' => 'IN',
		);
	}

	/*====== Include Categories ======*/
	$include_categories_array = "";

	if( !empty( $atts['include-categories'] ) ) {
		$include_categories = $atts['include-categories'];
		$include_categories = explode( ',', $include_categories );
	} else {
		$include_categories = "";
	}

	if( !empty( $include_categories ) ) {
		$include_categories_array = array(
			'taxonomy' => 'portfolio-category',
			'field' => 'term_id',
			'terms' => $include_categories,
			'operator' => 'IN',
		);
	}

	/*====== Main Query ======*/
	$arg = array(
		'posts_per_page' => $atts['item-count'],
		'offset' => $atts['offset'],
		'post_status' => 'publish',
		'ignore_sticky_posts' => true,
		'post_type' => 'portfolio',
		'tax_query' => array (
			'relation' => 'AND',
			$exclude_categories_array,
			$exclude_projects_array,
			$exclude_clients_array,
			$include_categories,
			$include_projects_array,
			$include_clients_array,
		)
	);

	/*====== Pagination ======*/
	if( !empty( $atts['pagination'] ) ) {
		$pagination = $atts['pagination'];
	} else {
		$pagination = "true";
	}

	if( $pagination == "true" ) {
		$paged = is_front_page() ? get_query_var( 'page', 1 ) : get_query_var( 'paged', 1 );
		if( empty( $paged ) ) { $paged = 1; }

		$extra_query = array(
			'paged' => $paged,
		);
		$arg = wp_parse_args( $arg, $extra_query );
	}

	/*====== Order & Order By ======*/
	if( $atts["order"] == "ASC" ) {
		$order = "ASC";
	} else {
		$order = "DESC";
	}

	if( !empty( $order ) ) {
		$extra_query = array(
			'order' => $order,
		);
		$arg = wp_parse_args( $arg, $extra_query );
	}

	if( $atts["order-type"] == "popular-comment" ) {
		$order_by = "comment_count";
	} elseif( $atts["order-type"] == "id" ) {
		$order_by = "ID";
	} elseif( $atts["order-type"] == "popular" ) {
		$order_by = "comment_count";
	} elseif( $atts["order-type"] == "title" ) {
		$order_by = "title";
	} elseif( $atts["order-type"] == "menu_order" ) {
		$order_by = "menu_order";
	} elseif( $atts["order-type"] == "rand" ) {
		$order_by = "rand";
	} elseif( $atts["order-type"] == "none" ) {
		$order_by = "none";
	} else {
		$order_by = "date";
	}

	if( !empty( $order_by ) ) {
		$extra_query = array(
			'orderby' => $order_by,
		);
		$arg = wp_parse_args( $arg, $extra_query );
	}

	/*====== Exclude Items ======*/
	if( !empty( $atts['exclude-items'] ) ) {
		$exclude_items = $atts['exclude-items'];
		$exclude_items = explode( ',', $exclude_items );
	} else {
		$exclude_items = "";
	}

	if( !empty( $exclude_items ) ) {
		$extra_query = array(
			'post__not_in' => $exclude_items,
		);
		$arg = wp_parse_args( $arg, $extra_query );
	}

	/*====== IDs & Include Items ======*/
	if( !empty( $atts['item-ids'] ) ) {
		$item_ids = $atts['item-ids'];
		$item_posts = explode( ',', $item_ids );
	} else {
		$item_posts = "";
	}

	if( !empty( $item_posts ) ) {
		$extra_query = array(
			'post__in' => $item_posts,
		);
		$arg = wp_parse_args( $arg, $extra_query );
	}

	/*====== HTML Output ======*/
	$wp_query = new WP_Query( $arg );
	if( $wp_query->have_posts() ) {
		if( $atts['listing-style'] == "style-1" ) {
			$output .= '<div class="row">';
		}
			while ( $wp_query->have_posts() ) {
				$wp_query->the_post();
				if( $atts['listing-style'] == "style-2" ) {
					$output .= nucy_portfolio_style_2( $post = get_the_ID(), $image = "true", $excerpt = "true", $category = "true", $read_more = "true" );
				} else {
					if( $atts['column'] == "column-2" ) {
						$output .= '<div class="col-lg-6">';
					} elseif( $atts['column'] == "column-3" ) {
						$output .= '<div class="col-lg-4">';
					} else {
						$output .= '<div class="col-lg-12">';
					}
						$output .= nucy_portfolio_style_1( $post = get_the_ID(), $image = "true", $excerpt = "true", $category = "true", $read_more = "true" );
					$output .= '</div>';
				}
			}
		if( $atts['listing-style'] == "style-1" ) {
			$output .= '</div>';
		}

		if( $pagination == "true" ) {
			$output .= nucy_element_pagination( $paged = $paged, $query = $wp_query, $style = "style-1" );
		}
	}
	wp_reset_postdata();

	return $output;

}
add_shortcode( "nucy_portfolio_listing", "nucy_portfolio_listing_output" );

if( function_exists( 'vc_map' ) ) {
	vc_map(
		array(
			"name" => esc_html__( 'Portfolio Listing', 'nucy' ),
			"base" => "nucy_portfolio_listing",
			"category" => esc_html__( 'Nucy Theme', 'nucy' ),
			"icon" => get_template_directory_uri() . '/include/customize/assets/img/icons/portfolio-listing.svg',
			"description" => esc_html__( 'Portfolio listing element.', 'nucy' ),
			"params" => array(
				array(
					"type" => "textfield",
					"heading" => esc_html__( "Portfolio Item IDs", 'nucy' ),
					"description" => esc_html__( 'You can enter item ids. Separate with commas 1,2,3 etc.', 'nucy' ),
					"param_name" => "item-ids",
					"group" => esc_html__( 'General', 'nucy' ),
					"save_always" => true,
				),
				array(
					"type" => "textfield",
					"heading" => esc_html__( 'Exclude Portfolio Items', 'nucy' ),
					"description" => esc_html__( 'You can enter item ids. Separate with commas 1,2,3 etc.', 'nucy' ),
					"param_name" => "exclude-items",
					"group" => esc_html__( 'General', 'nucy' ),
					"save_always" => true,
				),
				array(
					"type" => "textfield",
					"heading" => esc_html__( 'Offset', 'nucy' ),
					"description" => esc_html__( 'You can enter offset number.', 'nucy' ),
					"param_name" => "offset",
					"group" => esc_html__( 'General', 'nucy' ),
					"save_always" => true,
				),
				array(
					"type" => "textfield",
					"heading" => esc_html__( 'Item Count', 'nucy' ),
					"description" => esc_html__( 'You can enter item count.', 'nucy' ),
					"param_name" => "item-count",
					"group" => esc_html__( 'General', 'nucy' ),
					"save_always" => true,
				),
				array(
					"type" => "dropdown",
					"heading" => esc_html__( 'Order', 'nucy' ),
					"description" => esc_html__( 'You can choose an order.', 'nucy' ),
					"param_name" => "order",
					"save_always" => true,
					"group" => esc_html__( 'General', 'nucy' ),
					"value" => array(
						esc_html__( 'DESC', 'nucy' ) => 'DESC',
						esc_html__( 'ASC', 'nucy' ) => 'ASC',
					),
				),
				array(
					"type" => "dropdown",
					"heading" => esc_html__( 'Order Type', 'nucy' ),
					"description" => esc_html__( 'You can choose an order type.', 'nucy' ),
					"param_name" => "order-type",
					"save_always" => true,
					"group" => esc_html__( 'General', 'nucy' ),
					"value" => array(
						esc_html__( 'Added Date', 'nucy' ) => 'added-date',
						esc_html__( 'Popular by Comment', 'nucy' ) => 'popular-comment',
						esc_html__( 'ID', 'nucy' ) => 'id',
						esc_html__( 'Title', 'nucy' ) => 'title',
						esc_html__( 'Menu Order', 'nucy' ) => 'menu_order',
						esc_html__( 'Random', 'nucy' ) => 'rand',
						esc_html__( 'None', 'nucy' ) => 'none',
					),
				),
				array(
					"type" => "dropdown",
					"heading" => esc_html__( 'Pagination', 'nucy' ),
					"description" => esc_html__( 'You can choose status of pagination.', 'nucy' ),
					"param_name" => "pagination",
					"save_always" => true,
					"group" => esc_html__( 'General', 'nucy' ),
					"value" => array(
						esc_html__( 'True', 'nucy' ) => 'true',
						esc_html__( 'False', 'nucy' ) => 'false',
					),
				),
				array(
					"type" => "textfield",
					"heading" => esc_html__( 'Exclude Categories', 'nucy' ),
					"description" => esc_html__( 'You can enter category ids. Separate with commas 1,2,3 etc.', 'nucy' ),
					"param_name" => "exclude-categories",
					"group" => esc_html__( 'General', 'nucy' ),
					"save_always" => true,
				),
				array(
					"type" => "textfield",
					"heading" => esc_html__( 'Exclude Projects', 'nucy' ),
					"description" => esc_html__( 'You can enter project ids. Separate with commas 1,2,3 etc.', 'nucy' ),
					"param_name" => "exclude-projects",
					"group" => esc_html__( 'General', 'nucy' ),
					"save_always" => true,
				),
				array(
					"type" => "textfield",
					"heading" => esc_html__( 'Exclude Clients', 'nucy' ),
					"description" => esc_html__( 'You can enter client ids. Separate with commas 1,2,3 etc.', 'nucy' ),
					"param_name" => "exclude-clients",
					"group" => esc_html__( 'General', 'nucy' ),
					"save_always" => true,
				),
				array(
					"type" => "textfield",
					"heading" => esc_html__( 'Include Categories', 'nucy' ),
					"description" => esc_html__( 'You can enter category ids. Separate with commas 1,2,3 etc.', 'nucy' ),
					"param_name" => "include-categories",
					"group" => esc_html__( 'General', 'nucy' ),
					"save_always" => true,
				),
				array(
					"type" => "textfield",
					"heading" => esc_html__( 'Include Projects', 'nucy' ),
					"description" => esc_html__( 'You can enter project ids. Separate with commas 1,2,3 etc.', 'nucy' ),
					"param_name" => "include-projects",
					"group" => esc_html__( 'General', 'nucy' ),
					"save_always" => true,
				),
				array(
					"type" => "textfield",
					"heading" => esc_html__( 'Include Clients', 'nucy' ),
					"description" => esc_html__( 'You can enter client ids. Separate with commas 1,2,3 etc.', 'nucy' ),
					"param_name" => "include-clients",
					"group" => esc_html__( 'General', 'nucy' ),
					"save_always" => true,
				),
				array(
					"type" => "dropdown",
					"heading" => esc_html__( 'Listing Style', 'nucy' ),
					"description" => esc_html__( 'You can choose a list style.', 'nucy' ),
					"param_name" => "listing-style",
					"save_always" => true,
					"group" => esc_html__( 'Design', 'nucy' ),
					"value" => array(
						esc_html__( 'Style 1', 'nucy' ) => 'style-1',
						esc_html__( 'Style 2', 'nucy' ) => 'style-2',
					),
				),
				array(
					"type" => "dropdown",
					"heading" => esc_html__( 'Column', 'nucy' ),
					"description" => esc_html__( 'You can choose a column for style 1.', 'nucy' ),
					"param_name" => "column",
					"save_always" => true,
					"group" => esc_html__( 'Design', 'nucy' ),
					"value" => array(
						esc_html__( '1 Column', 'nucy' ) => 'column-1',
						esc_html__( '2 Column', 'nucy' ) => 'column-2',
						esc_html__( '3 Column', 'nucy' ) => 'column-3',
					),
				),
			),
		)
	);
}



/*======
*
* Team
*
======*/
function nucy_team_output( $atts, $content = null ) {
	$atts = shortcode_atts(
		array(
			'column' => '',
			'button-style' => '',
			'align' => '',
			'members' => '',
		), $atts
	);

	$output = "";

	/*====== Members ======*/
	$members = vc_param_group_parse_atts( $atts['members'] );

	/*====== Align ======*/
	if( !empty( $atts["align"] ) ) {
		$align = 'text-' . esc_attr( $atts["align"] );
	} else {
		$align = "text-left";
	}

	/*====== Button Style ======*/
	if( !empty( $atts["button-style"] ) ) {
		$button_style = 'gt-btn-' . esc_attr( $atts["button-style"] );
	} else {
		$button_style = "gt-btn-style-1";
	}

	/*====== HTML Output ======*/
	if( !empty( $members ) ) {
		$i = 0;
		$output .= '<div class="row">';
			foreach ( $members as $member ) {
				$i = ++$i;
				if( !empty( $member ) ) {
					if( !empty( $member["image"] ) or !empty( $member["name"] ) or !empty( $member["profession"] ) or !empty( $member["content"] ) ) {
						if( $atts["column"] == "column-2" ) {
							$output .= '<div class="col-lg-6">';
						} elseif( $atts["column"] == "column-3" ) {
							$output .= '<div class="col-lg-4">';
						} elseif( $atts["column"] == "column-4" ) {
							$output .= '<div class="col-lg-3">';
						} else {
							$output .= '<div class="col-lg-12">';
						}
							$output .= '<div class="gt-team-box style-6 ' . $align . '">';
								$output .= '<div class="gt-box">';
									/*====== Background Image ======*/
									if( !empty( $member["image"] ) ) {
										$output .= '<div class="gt-box--image">';
											$output .= wp_get_attachment_image( $member["image"], 'nucy-team-1', true );
										$output .= '</div>';
									}

									$output .= '<div class="gt-box--content">';
										$output .= '<div class="gt-box--number">';
											$output .= '<div class="line"></div>';
											$output .= '<div class="number">' . esc_attr( $i ) . '</div>';
										$output .= '</div>';

										if( !empty( $member["profession"] ) ) {
											$output .= '<div class="gt-box--subtitle">' . esc_attr( $member["profession"] ) . '</div>';
										}

										if( !empty( $member["name"] ) ) {
											$output .= '<div class="gt-box--title">' . esc_attr( $member["name"] ) . '</div>';
										}

										if( !empty( $member["text"] ) or !empty( $member['links'] ) ) {
											$output .= '<div class="gt-box--details">';
												if( !empty( $member["text"] ) ) {
													$output .= '<p>' . esc_attr( $member["text"] ) . '</p>';
												}

												/*====== Links ======*/
												$links = vc_param_group_parse_atts( $member['links'] );

												if( !empty( $links ) ) {
													$output .= '<ul class="gt-social-links">';
														foreach( $links as $s_link ) {
															if( !empty( $s_link ) ) {
																if( !empty( $s_link["icon-link"] ) ) {
																	$output .= '<li>';
																		$button_link = $s_link["icon-link"];
																		$button_link = vc_build_link( $button_link );

																		if( !empty( $button_link["target"] ) ) {
																			$button_target = $button_link["target"];
																		} else {
																			$button_target = "_parent";
																		}

																		$output .= '<a href="' . esc_url( $button_link["url"] ) . '" title="' . esc_attr( $button_link["title"] ) . '" target="' . esc_attr( $button_target ) . '">';
																			$output .= '<i class="' . esc_attr( $s_link["icon"] ) . '"></i>';
																		$output .= '</a>';
																	$output .= '</li>';
																}
															}
														}
													$output .= '</ul>';
												}
											$output .= '</div>';
										}
									$output .= '</div>';
								$output .= '</div>';
							$output .= '</div>';
						$output .= '</div>';
					}
				}
			}
		$output .= '</div>';
	}

	return $output;
}
add_shortcode( "nucy_team", "nucy_team_output" );

if( function_exists( 'vc_map' ) ) {
	vc_map(
		array(
			"name" => esc_html__( 'Team', 'nucy' ),
			"base" => "nucy_team",
			"category" => esc_html__( 'Nucy Theme', 'nucy' ),
			"icon" => get_template_directory_uri() . '/include/customize/assets/img/icons/team.svg',
			"description" => esc_html__( 'Team box element.', 'nucy' ),
			"params" => array(
				array(
					"type" => "dropdown",
					"heading" => esc_html__( 'Column', 'nucy' ),
					"description" => esc_html__( 'You can choose a column.', 'nucy' ),
					"param_name" => "column",
					"save_always" => true,
					"value" => array(
						esc_html__( '1 Column', 'nucy' ) => 'column-1',
						esc_html__( '2 Column', 'nucy' ) => 'column-2',
						esc_html__( '3 Column', 'nucy' ) => 'column-3',
						esc_html__( '4 Column', 'nucy' ) => 'column-4',
					),
				),
				array(
					"type" => "dropdown",
					"heading" => esc_html__( 'Button Style', 'nucy' ),
					"description" => esc_html__( 'You can choose a style.', 'nucy' ),
					"param_name" => "button-style",
					"save_always" => true,
					"value" => array(
						esc_html__( 'Style 1', 'nucy' ) => 'style-1',
						esc_html__( 'Style 2', 'nucy' ) => 'style-2',
						esc_html__( 'Style 3', 'nucy' ) => 'style-3',
						esc_html__( 'Style 4', 'nucy' ) => 'style-4',
						esc_html__( 'Style 5', 'nucy' ) => 'style-5',
						esc_html__( 'Style 6', 'nucy' ) => 'style-6',
					),
				),
				array(
					"type" => "dropdown",
					"heading" => esc_html__( 'Content Align', 'nucy' ),
					"description" => esc_html__( 'You can choose an content align.', 'nucy' ),
					"param_name" => "align",
					"save_always" => true,
					"value" => array(
						esc_html__( 'Left', 'nucy' ) => 'left',
						esc_html__( 'Right', 'nucy' ) => 'right',
						esc_html__( 'Center', 'nucy' ) => 'center',
					),
				),
				array(
					'type' => 'param_group',
					'param_name' => 'members',
					"heading" => esc_html__( 'Members', 'nucy' ),
					'params' => array(
						array(
							"type" => "attach_image",
							"heading" => esc_html__( 'Image', 'nucy' ),
							"description" => esc_html__( 'You can upload an image.', 'nucy' ),
							"param_name" => "image",
							"save_always" => true,
						),
						array(
							"type" => "textfield",
							"heading" => esc_html__( 'Name', 'nucy' ),
							"description" => esc_html__( 'You can enter a name.', 'nucy' ),
							"param_name" => "name",
							"admin_label" => true,
							"save_always" => true,
						),
						array(
							"type" => "textfield",
							"heading" => esc_html__( 'Profession', 'nucy' ),
							"description" => esc_html__( 'You can enter a profession.', 'nucy' ),
							"param_name" => "profession",
							"save_always" => true,
						),
						array(
							"type" => "textfield",
							"heading" => esc_html__( 'Text', 'nucy' ),
							"description" => esc_html__( 'You can enter a text.', 'nucy' ),
							"param_name" => "text",
							"save_always" => true,
						),
						array(
							"type" => "textarea",
							"heading" => esc_html__( 'Biography', 'nucy' ),
							"description" => esc_html__( 'You can enter a biography.', 'nucy' ),
							"param_name" => "content",
							"save_always" => true,
						),
						array(
							'type' => 'param_group',
							'param_name' => 'links',
							"heading" => esc_html__( 'Links', 'nucy' ),
							'params' => array(
								array(
									"type" => "textfield",
									"heading" => esc_html__( 'Icon', 'nucy' ),
									"description" => esc_html__( 'You can enter a link icon. Example: fab fa-wordpress-simple, fas fa-map-marker-alt. Icon list: https://goo.gl/vdPEsc', 'nucy' ),
									"param_name" => "icon",
									"admin_label" => true,
									"save_always" => true,
								),
								array(
									"type" => "vc_link",
									"heading" => esc_html__( 'Icon Link', 'nucy' ),
									"description" => esc_html__( 'You can enter a link.', 'nucy' ),
									"param_name" => "icon-link",
									"save_always" => true,
								),
							),
						),
					)
				)
			),
		)
	);
}



/*======
*
* Feature Box
*
======*/
function nucy_feature_box_output( $atts, $content = null ) {
	$atts = shortcode_atts(
		array(
			'style' => '',
			'title' => '',
			'top-title' => '',
			'text' => '',
			'additional-text' => '',
			'number' => '',
			'image' => '',
			'icon' => '',
			'button-status' => '',
			'button-link' => '',
			'button-style' => '',
			'align' => '',
			'reverse' => '',
		), $atts
	);

	$output = "";

	/*====== Title ======*/
	if( !empty( $atts["title"] ) ) {
		$title = $atts["title"];
	} else {
		$title = "";
	}

	/*====== Button Style ======*/
	if( !empty( $atts["button-style"] ) ) {
		$button_style = 'gt-btn-' . $atts["button-style"];
	} else {
		$button_style = "gt-btn-style-1";
	}

	/*====== Align ======*/
	if( !empty( $atts["align"] ) ) {
		$align = 'text-' . $atts["align"];
	} else {
		$align = "text-left";
	}

	/*====== Reverse ======*/
	if( $atts["reverse"] == "true" ) {
		$reverse = 'flex-row-reverse';
	} else {
		$reverse = "";
	}

	if( $atts["reverse"] == "true" ) {
		$reverse_style_4 = 'justify-content-end';
	} else {
		$reverse_style_4 = "";
	}

	/*====== HTML Output ======*/
	if( $atts["style"] == "style-7" ) {
		$output .= '<div class="gt-feature-box style-7 ' . esc_attr( $align ) . '">';
			$output .= '<div class="gt-box">';

				if( !empty( $atts["icon"] ) ) {
					$output .= '<div class="gt-box--icon">';
						$output .= '<i class="' . esc_attr( $atts["icon"] ) . '"></i>';
					$output .= '</div>';
				}

				if( $atts["button-status"] == "true" or !empty( $atts["text"] ) or !empty( $atts["top-title"] ) or !empty( $atts["title"] ) ) {
					$output .= '<div class="gt-box--content">';
						if( !empty( $atts["top-title"] ) ) {
							$output .= '<div class="gt-box--subtitle">' . esc_attr( $atts["top-title"] ) . '</div>';
						}

						if( !empty( $atts["title"] ) ) {
							$output .= '<div class="gt-box--title">' . esc_attr( $atts["title"] ) . '</div>';
						}

						if( $atts["button-status"] == "true" or !empty( $atts["text"] ) ) {
							$output .= '<div class="gt-box--details">';
								if( !empty( $atts["text"] ) ) {
									$output .= '<p>' . esc_attr( $atts["text"] ) . '</p>';
								}

								if( $atts["button-status"] == "true" ) {
									if( !empty( $atts["button-link"] ) ) {
										$button_link = $atts["button-link"];
										$button_link = vc_build_link( $button_link );

										if( !empty( $button_link["target"] ) ) {
											$button_target = $button_link["target"];
										} else {
											$button_target = "_parent";
										}

										$output .= '<a href="' . esc_url( $button_link["url"] ) . '" title="' . esc_attr( $button_link["title"] ) . '" class="btn ' . esc_attr( $button_style ) . '" target="' . esc_attr( $button_target ) . '">' . esc_attr( $button_link["title"] ) . '</a>';
									}
								}
							$output .= '</div>';
						}
					$output .= '</div>';
				}
			$output .= '</div>';
		$output .= '</div>';
	} elseif( $atts["style"] == "style-6" ) {
		if( !empty( $atts["image"] ) or $atts["button-status"] == "true" or !empty( $atts["text"] ) or !empty( $atts["title"] ) or !empty( $atts["top-title"] ) or !empty( $atts["number"] ) ) {
			$output .= '<div class="gt-feature-box style-6 ' . esc_attr( $align ) . '">';
				$output .= '<div class="gt-box">';
					if( !empty( $atts["image"] ) ) {
						$output .= '<div class="gt-box--image">';
							$output .= wp_get_attachment_image( $atts["image"], 'nucy-feature-box-1', true );
						$output .= '</div>';
					}

					if( $atts["button-status"] == "true" or !empty( $atts["text"] ) or !empty( $atts["number"] ) or !empty( $atts["title"] ) or !empty( $atts["top-title"] ) ) {
						$output .= '<div class="gt-box--content">';
							if( !empty( $atts["number"] ) ) {
								$output .= '<div class="gt-box--number">';
									$output .= '<div class="line"></div>';
									$output .= '<div class="number">' . esc_attr( $atts["number"] ) . '</div>';
								$output .= '</div>';
							}

							if( !empty( $atts["top-title"] ) ) {
								$output .= '<div class="gt-box--subtitle">' . esc_attr( $atts["top-title"] ) . '</div>';
							}

							if( !empty( $atts["title"] ) ) {
								$output .= '<div class="gt-box--title">' . esc_attr( $atts["title"] ) . '</div>';
							}

							if( $atts["button-status"] == "true" or !empty( $atts["text"] ) ) {
								$output .= '<div class="gt-box--details">';
									if( !empty( $atts["text"] ) ) {
										$output .= '<p>' . esc_attr( $atts["text"] ) . '</p>';
									}

									if( $atts["button-status"] == "true" ) {
										if( !empty( $atts["button-link"] ) ) {
											$button_link = $atts["button-link"];
											$button_link = vc_build_link( $button_link );

											if( !empty( $button_link["target"] ) ) {
												$button_target = $button_link["target"];
											} else {
												$button_target = "_parent";
											}

											$output .= '<a href="' . esc_url( $button_link["url"] ) . '" title="' . esc_attr( $button_link["title"] ) . '" class="btn ' . esc_attr( $button_style ) . '" target="' . esc_attr( $button_target ) . '">' . esc_attr( $button_link["title"] ) . '</a>';
										}
									}
								$output .= '</div>';
							}
						$output .= '</div>';
					}
				$output .= '</div>';
			$output .= '</div>';
		}
	} elseif( $atts["style"] == "style-5" ) {
		if( $atts["button-status"] == "true" or !empty( $atts["text"] ) or !empty( $atts["title"] ) or !empty( $atts["top-title"] ) or !empty( $atts["number"] ) ) {
			$output .= '<div class="gt-feature-box style-5 ' . esc_attr( $align ) . '">';
				$output .= '<div class="gt-box">';
					if( !empty( $atts["number"] ) ) {
						$output .= '<div class="gt-box--number">';
							$output .= '<div class="line"></div>';
							$output .= '<div class="number">' . esc_attr( $atts["number"] ) . '</div>';
						$output .= '</div>';
					}

					if( $atts["button-status"] == "true" or !empty( $atts["text"] ) or !empty( $atts["title"] ) or !empty( $atts["top-title"] ) ) {
						$output .= '<div class="gt-box--content">';
							if( !empty( $atts["top-title"] ) ) {
								$output .= '<div class="gt-box--subtitle">' . esc_attr( $atts["top-title"] ) . '</div>';
							}

							if( !empty( $atts["title"] ) ) {
								$output .= '<div class="gt-box--title">' . esc_attr( $atts["title"] ) . '</div>';
							}

							if( $atts["button-status"] == "true" or !empty( $atts["text"] ) ) {
								$output .= '<div class="gt-box--details">';
									if( !empty( $atts["text"] ) ) {
										$output .= '<p>' . esc_attr( $atts["text"] ) . '</p>';
									}

									if( $atts["button-status"] == "true" ) {
										if( !empty( $atts["button-link"] ) ) {
											$button_link = $atts["button-link"];
											$button_link = vc_build_link( $button_link );

											if( !empty( $button_link["target"] ) ) {
												$button_target = $button_link["target"];
											} else {
												$button_target = "_parent";
											}

											$output .= '<a href="' . esc_url( $button_link["url"] ) . '" title="' . esc_attr( $button_link["title"] ) . '" class="btn ' . esc_attr( $button_style ) . '" target="' . esc_attr( $button_target ) . '">' . esc_attr( $button_link["title"] ) . '</a>';
										}
									}
								$output .= '</div>';
							}
						$output .= '</div>';
					}
				$output .= '</div>';
			$output .= '</div>';
		}
	} elseif( $atts["style"] == "style-4" ) {
		if( !empty( $atts["image"] ) or !empty( $atts["title"] ) or !empty( $atts["text"] ) or !empty( $atts["additional-text"] ) and !empty( $atts["text"] ) or $atts["button-status"] == "true" ) {
			$output .= '<div class="gt-feature-box style-4 ' . esc_attr( $align ) . '">';
				if( !empty( $atts["image"] ) ) {
					$image = wp_get_attachment_image_src( $atts["image"], 'nucy-feature-box-3', true );
					$image = $image[0];
				} else {
					$image = "";
				}

				$output .= '<div class="gt-box" style="background-image:url(' . esc_url( $image ) . ');">';
					$output .= '<div class="row align-items-center ' . esc_attr( $reverse_style_4 ) . '">';
						if( !empty( $atts["title"] ) or !empty( $atts["text"] ) or !empty( $atts["additional-text"] ) and !empty( $atts["text"] ) or $atts["button-status"] == "true" ) {
							$output .= '<div class="col-lg-6">';
								$output .= '<div class="gt-box--content">';
									if( !empty( $atts["title"] ) ) {
										$output .= '<div class="gt-box--title">' . esc_attr( $atts["title"] ) . '</div>';
									}

									if( !empty( $atts["text"] ) or !empty( $atts["additional-text"] ) and !empty( $atts["text"] ) or $atts["button-status"] == "true" ) {
										$output .= '<div class="gt-box--details">';
											if( !empty( $atts["text"] ) ) {
												$output .= '<p>' . esc_attr( $atts["text"] ) . '</p>';
											}
											
											if( !empty( $atts["additional-text"] ) and !empty( $atts["text"] ) ) {
												$output .= '<hr class="short">';
											}

											if( !empty( $atts["additional-text"] ) ) {
												$output .= '<p class="text-muted">' . esc_attr( $atts["additional-text"] ) . '</p>';
											}

											if( $atts["button-status"] == "true" ) {
												if( !empty( $atts["button-link"] ) ) {
													$button_link = $atts["button-link"];
													$button_link = vc_build_link( $button_link );

													if( !empty( $button_link["target"] ) ) {
														$button_target = $button_link["target"];
													} else {
														$button_target = "_parent";
													}

													$output .= '<a href="' . esc_url( $button_link["url"] ) . '" title="' . esc_attr( $button_link["title"] ) . '" class="btn ' . esc_attr( $button_style ) . '" target="' . esc_attr( $button_target ) . '">' . esc_attr( $button_link["title"] ) . '</a>';
												}
											}
										$output .= '</div>';
									}
								$output .= '</div>';
							$output .= '</div>';
						}
					$output .= '</div>';
				$output .= '</div>';
			$output .= '</div>';
		}
	} elseif( $atts["style"] == "style-3" ) {
		if( !empty( $atts["image"] ) or !empty( $atts["title"] ) or !empty( $atts["text"] ) or !empty( $atts["additional-text"] ) and !empty( $atts["text"] ) or $atts["button-status"] == "true" ) {
			$output .= '<div class="gt-feature-box style-3 ' . esc_attr( $align ) . '">';
				$output .= '<div class="gt-box">';
					$output .= '<div class="row align-items-center ' . esc_attr( $reverse ) . '">';
						if( !empty( $atts["image"] ) ) {
							$output .= '<div class="col-lg-6">';
								$output .= '<div class="gt-box--image">';
									$output .= wp_get_attachment_image( $atts["image"], 'nucy-feature-box-2', true );
								$output .= '</div>';
							$output .= '</div>';
						}

						if( !empty( $atts["title"] ) or !empty( $atts["text"] ) or !empty( $atts["additional-text"] ) and !empty( $atts["text"] ) or $atts["button-status"] == "true" ) {
							$output .= '<div class="col-lg-6">';
								$output .= '<div class="gt-box--content">';
									if( !empty( $atts["title"] ) ) {
										$output .= '<div class="gt-box--title">' . esc_attr( $atts["title"] ) . '</div>';
									}

									if( !empty( $atts["text"] ) or !empty( $atts["additional-text"] ) and !empty( $atts["text"] ) or $atts["button-status"] == "true" ) {
										$output .= '<div class="gt-box--details">';
											if( !empty( $atts["text"] ) ) {
												$output .= '<p>' . esc_attr( $atts["text"] ) . '</p>';
											}
											
											if( !empty( $atts["additional-text"] ) and !empty( $atts["text"] ) ) {
												$output .= '<hr class="short">';
											}

											if( !empty( $atts["additional-text"] ) ) {
												$output .= '<p class="text-muted">' . esc_attr( $atts["additional-text"] ) . '</p>';
											}

											if( $atts["button-status"] == "true" ) {
												if( !empty( $atts["button-link"] ) ) {
													$button_link = $atts["button-link"];
													$button_link = vc_build_link( $button_link );

													if( !empty( $button_link["target"] ) ) {
														$button_target = $button_link["target"];
													} else {
														$button_target = "_parent";
													}

													$output .= '<a href="' . esc_url( $button_link["url"] ) . '" title="' . esc_attr( $button_link["title"] ) . '" class="btn ' . esc_attr( $button_style ) . '" target="' . esc_attr( $button_target ) . '">' . esc_attr( $button_link["title"] ) . '</a>';
												}
											}
										$output .= '</div>';
									}
								$output .= '</div>';
							$output .= '</div>';
						}
					$output .= '</div>';
				$output .= '</div>';
			$output .= '</div>';
		}
	} elseif( $atts["style"] == "style-2" ) {
		if( !empty( $atts["title"] ) or !empty( $atts["text"] ) or $atts["button-status"] == "true" ) {
			$output .= '<div class="gt-feature-box style-2 ' . esc_attr( $align ) . '">';
				$output .= '<div class="gt-box">';
					$output .= '<div class="gt-box--content">';
						if( !empty( $atts["title"] ) ) {
							$output .= '<div class="gt-box--title">' . esc_attr( $atts["title"] ) . '</div>';
						}

						if( !empty( $atts["text"] ) or $atts["button-status"] == "true" ) {
							$output .= '<div class="gt-box--details">';
								if( !empty( $atts["text"] ) ) {
									$output .= '<p>' . esc_attr( $atts["text"] ) . '</p>';
								}

								if( $atts["button-status"] == "true" ) {
									if( !empty( $atts["button-link"] ) ) {
										$button_link = $atts["button-link"];
										$button_link = vc_build_link( $button_link );

										if( !empty( $button_link["target"] ) ) {
											$button_target = $button_link["target"];
										} else {
											$button_target = "_parent";
										}

										$output .= '<a href="' . esc_url( $button_link["url"] ) . '" title="' . esc_attr( $button_link["title"] ) . '" class="btn ' . esc_attr( $button_style ) . '" target="' . esc_attr( $button_target ) . '">' . esc_attr( $button_link["title"] ) . '</a>';
									}
								}
							$output .= '</div>';
						}
					$output .= '</div>';
				$output .= '</div>';
			$output .= '</div>';
		}
	} else {
		if( !empty( $atts["image"] ) or !empty( $atts["top-title"] ) or !empty( $atts["title"] ) or !empty( $atts["text"] ) or !empty( $atts["number"] ) ) {
			$output .= '<div class="gt-feature-box style-1 ' . esc_attr( $align ) . '">';
				$output .= '<div class="gt-box">';
					if( !empty( $atts["image"] ) ) {
						$output .= '<div class="gt-box--image">';
							$output .= wp_get_attachment_image( $atts["image"], 'nucy-feature-box-1', true );
						$output .= '</div>';
					}

					if( !empty( $atts["top-title"] ) or !empty( $atts["title"] ) or !empty( $atts["text"] ) or !empty( $atts["number"] ) ) {
						$output .= '<div class="gt-box--content">';
							if( !empty( $atts["top-title"] ) ) {
								$output .= '<div class="gt-box--subtitle">' . esc_attr( $atts["top-title"] ) . '</div>';
							}

							if( !empty( $atts["title"] ) ) {
								$output .= '<div class="gt-box--title">' . esc_attr( $atts["title"] ) . '</div>';
							}

							if( !empty( $atts["text"] ) or !empty( $atts["number"] ) ) {
								$output .= '<div class="gt-box--details">';
									if( !empty( $atts["text"] ) ) {
										$output .= '<p>' . esc_attr( $atts["text"] ) . '</p>';
									}

									if( !empty( $atts["number"] ) ) {
										$output .= '<div class="gt-box--number">';
											$output .= '<div class="line"></div>';
											$output .= '<div class="number">' . esc_attr( $atts["number"] ) . '</div>';
										$output .= '</div>';
									}
								$output .= '</div>';
							}

						$output .= '</div>';
					}
				$output .= '</div>';
			$output .= '</div>';
		}
	}

	return $output;
}
add_shortcode( "nucy_feature_box", "nucy_feature_box_output" );

if( function_exists( 'vc_map' ) ) {
	vc_map(
		array(
			"name" => esc_html__( 'Feature Box', 'nucy' ),
			"base" => "nucy_feature_box",
			"category" => esc_html__( 'Nucy Theme', 'nucy' ),
			"icon" => get_template_directory_uri() . '/include/customize/assets/img/icons/feature-box.svg',
			"description" => esc_html__( 'Feature box element.', 'nucy' ),
			"params" => array(
				array(
					"type" => "dropdown",
					"heading" => esc_html__( 'Style', 'nucy' ),
					"description" => esc_html__( 'You can choose a style.', 'nucy' ),
					"param_name" => "style",
					"save_always" => true,
					"value" => array(
						esc_html__( 'Style 1', 'nucy' ) => 'style-1',
						esc_html__( 'Style 2', 'nucy' ) => 'style-2',
						esc_html__( 'Style 3', 'nucy' ) => 'style-3',
						esc_html__( 'Style 4', 'nucy' ) => 'style-4',
						esc_html__( 'Style 5', 'nucy' ) => 'style-5',
						esc_html__( 'Style 6', 'nucy' ) => 'style-6',
						esc_html__( 'Style 7', 'nucy' ) => 'style-7',
					),
				),
				array(
					"type" => "textfield",
					"heading" => esc_html__( 'Title', 'nucy' ),
					"description" => esc_html__( 'You can enter a title.', 'nucy' ),
					"param_name" => "title",
					"admin_label" => true,
					"save_always" => true,
				),
				array(
					"type" => "textfield",
					"heading" => esc_html__( 'Top Title', 'nucy' ),
					"description" => esc_html__( 'You can enter a top title.', 'nucy' ),
					"param_name" => "top-title",
					"save_always" => true,
				),
				array(
					"type" => "textfield",
					"heading" => esc_html__( 'Text', 'nucy' ),
					"description" => esc_html__( 'You can enter a description text.', 'nucy' ),
					"param_name" => "text",
					"save_always" => true,
				),
				array(
					"type" => "textfield",
					"heading" => esc_html__( 'Additional Text', 'nucy' ),
					"description" => esc_html__( 'You can enter an additional text for style 3 and style 4.', 'nucy' ),
					"param_name" => "additional-text",
					"save_always" => true,
				),
				array(
					"type" => "textfield",
					"heading" => esc_html__( 'Number', 'nucy' ),
					"description" => esc_html__( 'You can enter a number for style 1, style 5 and style 6.', 'nucy' ),
					"param_name" => "number",
					"save_always" => true,
				),
				array(
					"type" => "attach_image",
					"heading" => esc_html__( 'Image', 'nucy' ),
					"description" => esc_html__( 'You can upload an image for style 1, style 3, style 4 and style 6.', 'nucy' ),
					"param_name" => "image",
					"save_always" => true,
				),
				array(
					"type" => "textfield",
					"heading" => esc_html__( 'Icon', 'nucy' ),
					"description" => esc_html__( 'You can enter a icon for style 7. Example: fab fa-wordpress-simple, fas fa-map-marker-alt. Icon list: https://goo.gl/vdPEsc', 'nucy' ),
					"param_name" => "icon",
					"save_always" => true,
				),
				array(
					"type" => "dropdown",
					"heading" => esc_html__( 'Button', 'nucy' ),
					"description" => esc_html__( 'You can choose status of the button for style 2, style 3, style 4, style 5, style 6 and style 7..', 'nucy' ),
					"param_name" => "button-status",
					"save_always" => true,
					"value" => array(
						esc_html__( 'False', 'nucy' ) => 'false',
						esc_html__( 'True', 'nucy' ) => 'true',
					),
				),
				array(
					"type" => "vc_link",
					"heading" => esc_html__( 'Button Link', 'nucy' ),
					"description" => esc_html__( 'You can enter a link for style 2, style 3, style 4, style 5, style 6 and style 7.', 'nucy' ),
					"param_name" => "button-link",
					"save_always" => true,
				),
				array(
					"type" => "dropdown",
					"heading" => esc_html__( 'Button Style', 'nucy' ),
					"description" => esc_html__( 'You can choose a style for style 2, style 3, style 4, style 5, style 6 and style 7.', 'nucy' ),
					"param_name" => "button-style",
					"save_always" => true,
					"value" => array(
						esc_html__( 'Style 1', 'nucy' ) => 'style-1',
						esc_html__( 'Style 2', 'nucy' ) => 'style-2',
						esc_html__( 'Style 3', 'nucy' ) => 'style-3',
						esc_html__( 'Style 4', 'nucy' ) => 'style-4',
						esc_html__( 'Style 5', 'nucy' ) => 'style-5',
						esc_html__( 'Style 6', 'nucy' ) => 'style-6',
					),
				),
				array(
					"type" => "dropdown",
					"heading" => esc_html__( 'Align', 'nucy' ),
					"description" => esc_html__( 'You can choose an align for style 1, style 2, style 3, style 5, style 6 and style 7.', 'nucy' ),
					"param_name" => "align",
					"save_always" => true,
					"value" => array(
						esc_html__( 'Left', 'nucy' ) => 'left',
						esc_html__( 'Right', 'nucy' ) => 'right',
						esc_html__( 'Center', 'nucy' ) => 'center',
					),
				),
				array(
					"type" => "dropdown",
					"heading" => esc_html__( 'Reverse', 'nucy' ),
					"description" => esc_html__( 'You can choose a reverse status for style 3 and style 4.', 'nucy' ),
					"param_name" => "reverse",
					"save_always" => true,
					"value" => array(
						esc_html__( 'False', 'nucy' ) => 'false',
						esc_html__( 'True', 'nucy' ) => 'true',
					),
				),
			),
		)
	);
}



/*======
*
* Price Table
*
======*/
function nucy_price_table_output( $atts, $content = null ) {
	$atts = shortcode_atts(
		array(
			'style' => '',
			'title' => '',
			'top-title' => '',
			'label' => '',
			'text' => '',
			'price' => '',
			'button-status' => '',
			'button-link' => '',
			'button-style' => '',
			'align' => '',
			'items' => '',
		), $atts
	);

	$output = "";

	/*====== Items ======*/
	$items = vc_param_group_parse_atts( $atts['items'] );

	/*====== Style ======*/
	if( !empty( $atts["style"] ) ) {
		$style = esc_attr( $atts["style"] );
	} else {
		$style = "style-1";
	}

	/*====== Align ======*/
	if( !empty( $atts["align"] ) ) {
		$align = 'text-' . esc_attr( $atts["align"] );
	} else {
		$align = "text-left";
	}

	/*====== Button Style ======*/
	if( !empty( $atts["button-style"] ) ) {
		$button_style = 'gt-btn-' . esc_attr( $atts["button-style"] );
	} else {
		$button_style = "gt-btn-style-1";
	}

	/*====== HTML Output ======*/
	if( !empty( $atts["title"] ) or !empty( $atts["top-title"] ) or !empty( $atts["label"] ) or !empty( $atts["text"] ) or !empty( $atts["price"] ) ) {
		$output .= '<div class="gt-pricing-box ' . esc_attr( $align ) . ' ' . esc_attr( $style ) . '">';
			$output .= '<div class="gt-box">';
				if( !empty( $atts["label"] ) ) {
					$output .= '<div class="gt-box--label">';
						$output .= '<span>' . esc_attr( $atts["label"] ) . '</span>';
					$output .= '</div>';
				}

				if( !empty( $atts["top-title"] ) ) {
					$output .= '<div class="gt-box--subtitle">' . esc_attr( $atts["top-title"] ) . '</div>';
				}

				if( !empty( $atts["title"] ) ) {
					$output .= '<div class="gt-box--title">' . esc_attr( $atts["title"] ) . '</div>';
				}

				if( !empty( $atts["text"] ) or !empty( $items ) ) {
					$output .= '<div class="gt-box--details">';
						if( !empty( $atts["text"] ) ) {
							$output .= '<p>' . esc_attr( $atts["text"] ) . '</p>';
						}

						if( !empty( $items ) ) {
							$output .= ' <ul class="nav flex-column">';
								foreach ( $items as $item ) {
									if( !empty( $item ) ) {
										if( !empty( $item["text"] ) ) {
											if( $item["style"] == "style-2" ) {
												$item_style = "disabled";
											} else {
												$item_style = "";
											}

											$output .= '<li class="nav-item ' . esc_attr( $item_style ) . '">';
												if( !empty( $item["icon"] ) ) {
													$output .= '<i class="' . esc_attr( $item["icon"] ) . '"></i>';
												}

												if( !empty( $item["text"] ) or !empty( $item["icon"] ) ) {
													$output .= ' ';
												}

												if( !empty( $item["text"] ) ) {
													$output .= esc_attr( $item["text"] );
												}
											$output .= '</li>';
										}
									}
								}
							$output .= '</ul>';
						}
					$output .= '</div>';
				}

				if( !empty( $atts["price"] ) ) {
					$output .= '<div class="gt-box--price">' . esc_attr( $atts["price"] ) . '</div>';
				}

				if( $atts["button-status"] == "true" ) {
					if( !empty( $atts["button-link"] ) ) {
						$button_link = $atts["button-link"];
						$button_link = vc_build_link( $button_link );

						if( !empty( $button_link["target"] ) ) {
							$button_target = $button_link["target"];
						} else {
							$button_target = "_parent";
						}

						$output .= '<a href="' . esc_url( $button_link["url"] ) . '" title="' . esc_attr( $button_link["title"] ) . '" class="btn ' . esc_attr( $button_style ) . '" target="' . esc_attr( $button_target ) . '">' . esc_attr( $button_link["title"] ) . '</a>';
					}
				}
			$output .= '</div>';
		$output .= '</div>';
	}

	return $output;
}
add_shortcode( "nucy_price_table", "nucy_price_table_output" );

if( function_exists( 'vc_map' ) ) {
	vc_map(
		array(
			"name" => esc_html__( 'Price Table', 'nucy' ),
			"base" => "nucy_price_table",
			"category" => esc_html__( 'Nucy Theme', 'nucy' ),
			"icon" => get_template_directory_uri() . '/include/customize/assets/img/icons/price-table.svg',
			"description" => esc_html__( 'Price table element.', 'nucy' ),
			"params" => array(
				array(
					"type" => "dropdown",
					"heading" => esc_html__( 'Style', 'nucy' ),
					"description" => esc_html__( 'You can choose an align.', 'nucy' ),
					"param_name" => "style",
					"save_always" => true,
					"value" => array(
						esc_html__( 'Style 1', 'nucy' ) => 'style-1',
						esc_html__( 'Style 2', 'nucy' ) => 'style-2',
					),
				),
				array(
					"type" => "textfield",
					"heading" => esc_html__( 'Title', 'nucy' ),
					"description" => esc_html__( 'You can enter a title.', 'nucy' ),
					"param_name" => "title",
					"admin_label" => true,
					"save_always" => true,
				),
				array(
					"type" => "textfield",
					"heading" => esc_html__( 'Top Title', 'nucy' ),
					"description" => esc_html__( 'You can enter a top title.', 'nucy' ),
					"param_name" => "top-title",
					"save_always" => true,
				),
				array(
					"type" => "textfield",
					"heading" => esc_html__( 'Label', 'nucy' ),
					"description" => esc_html__( 'You can enter a label.', 'nucy' ),
					"param_name" => "label",
					"save_always" => true,
				),
				array(
					"type" => "textfield",
					"heading" => esc_html__( 'Text', 'nucy' ),
					"description" => esc_html__( 'You can enter a text.', 'nucy' ),
					"param_name" => "text",
					"save_always" => true,
				),
				array(
					"type" => "textfield",
					"heading" => esc_html__( 'Price', 'nucy' ),
					"description" => esc_html__( 'You can enter a price.', 'nucy' ),
					"param_name" => "price",
					"save_always" => true,
				),
				array(
					"type" => "dropdown",
					"heading" => esc_html__( 'Button', 'nucy' ),
					"description" => esc_html__( 'You can choose status of the button for style 2, style 3, style 4, style 5, style 6 and style 7..', 'nucy' ),
					"param_name" => "button-status",
					"save_always" => true,
					"value" => array(
						esc_html__( 'False', 'nucy' ) => 'false',
						esc_html__( 'True', 'nucy' ) => 'true',
					),
				),
				array(
					"type" => "vc_link",
					"heading" => esc_html__( 'Button Link', 'nucy' ),
					"description" => esc_html__( 'You can enter a link for style 2, style 3, style 4, style 5, style 6 and style 7.', 'nucy' ),
					"param_name" => "button-link",
					"save_always" => true,
				),
				array(
					"type" => "dropdown",
					"heading" => esc_html__( 'Button Style', 'nucy' ),
					"description" => esc_html__( 'You can choose a style for style 2, style 3, style 4, style 5, style 6 and style 7.', 'nucy' ),
					"param_name" => "button-style",
					"save_always" => true,
					"value" => array(
						esc_html__( 'Style 1', 'nucy' ) => 'style-1',
						esc_html__( 'Style 2', 'nucy' ) => 'style-2',
						esc_html__( 'Style 3', 'nucy' ) => 'style-3',
						esc_html__( 'Style 4', 'nucy' ) => 'style-4',
						esc_html__( 'Style 5', 'nucy' ) => 'style-5',
						esc_html__( 'Style 6', 'nucy' ) => 'style-6',
					),
				),
				array(
					"type" => "dropdown",
					"heading" => esc_html__( 'Align', 'nucy' ),
					"description" => esc_html__( 'You can choose an align.', 'nucy' ),
					"param_name" => "align",
					"save_always" => true,
					"value" => array(
						esc_html__( 'Left', 'nucy' ) => 'left',
						esc_html__( 'Right', 'nucy' ) => 'right',
						esc_html__( 'Center', 'nucy' ) => 'center',
					),
				),
				array(
					'type' => 'param_group',
					'param_name' => 'items',
					"heading" => esc_html__( 'Items', 'nucy' ),
					'params' => array(
						array(
							"type" => "textfield",
							"heading" => esc_html__( 'Text', 'nucy' ),
							"description" => esc_html__( 'You can enter a text.', 'nucy' ),
							"param_name" => "text",
							"admin_label" => true,
							"save_always" => true,
						),
						array(
							"type" => "textfield",
							"heading" => esc_html__( 'Icon', 'nucy' ),
							"description" => esc_html__( 'You can enter a icon for style 7. Example: fab fa-wordpress-simple, fas fa-map-marker-alt. Icon list: https://goo.gl/vdPEsc', 'nucy' ),
							"param_name" => "icon",
							"save_always" => true,
						),
						array(
							"type" => "dropdown",
							"heading" => esc_html__( 'Style', 'nucy' ),
							"description" => esc_html__( 'You can choose an align.', 'nucy' ),
							"param_name" => "style",
							"save_always" => true,
							"value" => array(
								esc_html__( 'Style 1', 'nucy' ) => 'style-1',
								esc_html__( 'Style 2', 'nucy' ) => 'style-2',
							),
						),
					)
				)
			),
		)
	);
}



/*======
*
* Testimonials
*
======*/
function nucy_testimonials_output( $atts, $content = null ) {
	$atts = shortcode_atts(
		array(
			'column' => '',
			'color-style' => '',
			'style' => '',
			'items' => '',
		), $atts
	);

	$output = "";

	$items = vc_param_group_parse_atts( $atts['items'] );

	/*====== Color Style ======*/
	if( !empty( $atts["color-style"] ) ) {
		$color_style = 'color-' . esc_attr( $atts["color-style"] );
	} else {
		$color_style = "color-style-1";
	}

	/*====== HTML Output ======*/
	if( !empty( $items ) ) {
		if( $atts["column"] == "column-2" ) {
			$column = '2';
		} elseif( $atts["column"] == "column-3" ) {
			$column = '3';
		} elseif( $atts["column"] == "column-4" ) {
			$column = '4';
		} else {
			$column = '1';
		}

		if( $atts["style"] == "carousel" ) {
			$output .= '<div class="swiper-container gt-swiper-slider testimonials-slider ' . esc_attr( $color_style ) . '" data-gt-direction="horizontal" data-gt-speed="600" data-gt-item="' . esc_attr( $column ) . '" data-gt-item-space="0">';
					$output .= '<div class="swiper-wrapper">';
						foreach ( $items as $item ) {
							if( !empty( $item ) ) {
								$output .= '<div class="swiper-slide">';
									$output .= '<div class="gt-testimonials-box">';
										$output .= '<div class="gt-box">';
											if( !empty( $item["text"] ) ) {
												$output .= '<div class="gt-box--content">' . $item["text"] . '</div>';
											}

											if( !empty( $item["name"] ) or !empty( $item["company"] ) or !empty( $item["image"] ) ) {
												$output .= '<div class="gt-box--details">';
													if( !empty( $item["image"] ) ) {
														$output .= '<div class="gt-box--image">';
															$output .= wp_get_attachment_image( $item["image"], 'thumbnail', true );
														$output .= '</div>';
													}

													if( !empty( $item["name"] ) or !empty( $item["company"] ) ) {
														$output .= '<div class="d-flex flex-column justify-content-center">';
															if( !empty( $item["name"] ) ) {
																$output .= '<div class="gt-box--title">' . esc_attr( $item["name"] ) . '</div>';
															}

															if( !empty( $item["company"] ) ) {
																$output .= '<div class="gt-box--subtitle">' . esc_attr( $item["company"] ) . '</div>';
															}
														$output .= '</div>';
													}
												$output .= '</div>';
											}
										$output .= '</div>';
									$output .= '</div>';
								$output .= '</div>';
							}
						}
					$output .= '</div>';

					$output .= '<div class="gt-slider-controls">';
						$output .= '<div class="gt-slider-button gt-slider-prev">';
							$output .= '<span class="text">' . esc_html__( 'Prev', 'nucy' ) . '</span>';
							$output .= '<span class="line"></span>';
						$output .= '</div>';
						$output .= '<div class="swiper-pagination"></div>';
						$output .= '<div class="gt-slider-button gt-slider-next">';
							$output .= '<span class="line"></span>';
							$output .= '<span class="text">' . esc_html__( 'Next', 'nucy' ) . '</span>';
						$output .= '</div>';
					$output .= '</div>';
				$output .= '</div>';
		} else {
			$output .= '<div class="row gt-testimonials ' . esc_attr( $color_style ) . '">';
				foreach ( $items as $item ) {
					if( !empty( $item ) ) {
						if( !empty( $item["name"] ) or !empty( $item["company"] ) or !empty( $item["text"] ) ) {
							if( $atts["column"] == "column-2" ) {
								$output .= '<div class="col-lg-6">';
							} elseif( $atts["column"] == "column-3" ) {
								$output .= '<div class="col-lg-4">';
							} elseif( $atts["column"] == "column-4" ) {
								$output .= '<div class="col-lg-3">';
							} else {
								$output .= '<div class="col-lg-12">';
							}
								$output .= '<div class="gt-testimonials-box">';
									$output .= '<div class="gt-box">';
										if( !empty( $item["text"] ) ) {
											$output .= '<div class="gt-box--content">' . $item["text"] . '</div>';
										}

										if( !empty( $item["name"] ) or !empty( $item["company"] ) or !empty( $item["image"] ) ) {
											$output .= '<div class="gt-box--details">';
												if( !empty( $item["image"] ) ) {
													$output .= '<div class="gt-box--image">';
														$output .= wp_get_attachment_image( $item["image"], 'thumbnail', true );
													$output .= '</div>';
												}

												if( !empty( $item["name"] ) or !empty( $item["company"] ) ) {
													$output .= '<div class="d-flex flex-column justify-content-center">';
														if( !empty( $item["name"] ) ) {
															$output .= '<div class="gt-box--title">' . esc_attr( $item["name"] ) . '</div>';
														}

														if( !empty( $item["company"] ) ) {
															$output .= '<div class="gt-box--subtitle">' . esc_attr( $item["company"] ) . '</div>';
														}
													$output .= '</div>';
												}
											$output .= '</div>';
										}
									$output .= '</div>';
								$output .= '</div>';
							$output .= '</div>';
						}
					}
				}
			$output .= '</div>';
		}
	}

	return $output;
}
add_shortcode( "nucy_testimonials", "nucy_testimonials_output" );

if( function_exists( 'vc_map' ) ) {
	vc_map(
		array(
			"name" => esc_html__( 'Testimonials', 'nucy' ),
			"base" => "nucy_testimonials",
			"category" => esc_html__( 'Nucy Theme', 'nucy' ),
			"icon" => get_template_directory_uri() . '/include/customize/assets/img/icons/testimonials.svg',
			"description" => esc_html__( 'Testimonials element.', 'nucy' ),
			"params" => array(
				array(
					"type" => "dropdown",
					"heading" => esc_html__( 'Column', 'nucy' ),
					"description" => esc_html__( 'You can choose a column.', 'nucy' ),
					"param_name" => "column",
					"save_always" => true,
					"value" => array(
						esc_html__( '1 Column', 'nucy' ) => 'column-1',
						esc_html__( '2 Column', 'nucy' ) => 'column-2',
						esc_html__( '3 Column', 'nucy' ) => 'column-3',
						esc_html__( '4 Column', 'nucy' ) => 'column-4',
					),
				),
				array(
					"type" => "dropdown",
					"heading" => esc_html__( 'Color Style', 'nucy' ),
					"description" => esc_html__( 'You can choose a color style.', 'nucy' ),
					"param_name" => "color-style",
					"save_always" => true,
					"value" => array(
						esc_html__( 'Style 1', 'nucy' ) => 'style-1',
						esc_html__( 'Style 2', 'nucy' ) => 'style-2',
					),
				),
				array(
					"type" => "dropdown",
					"heading" => esc_html__( 'Style', 'nucy' ),
					"description" => esc_html__( 'You can choose a style.', 'nucy' ),
					"param_name" => "style",
					"save_always" => true,
					"value" => array(
						esc_html__( 'Grid', 'nucy' ) => 'grid',
						esc_html__( 'Carousel', 'nucy' ) => 'carousel',
					),
				),
				array(
					'type' => 'param_group',
					"heading" => esc_html__( 'Items', 'nucy' ),
					'param_name' => 'items',
					'params' => array(
						array(
							"type" => "textfield",
							"heading" => esc_html__( 'Text', 'nucy' ),
							"description" => esc_html__( 'You can enter a text.', 'nucy' ),
							"param_name" => "text",
							"save_always" => true,
						),
						array(
							"type" => "textfield",
							"heading" => esc_html__( 'Name', 'nucy' ),
							"description" => esc_html__( 'You can enter a customer name.', 'nucy' ),
							"param_name" => "name",
							"admin_label" => true,
							"save_always" => true,
						),
						array(
							"type" => "textfield",
							"heading" => esc_html__( 'Company', 'nucy' ),
							"description" => esc_html__( 'You can enter a company name.', 'nucy' ),
							"param_name" => "company",
							"save_always" => true,
						),
						array(
							"type" => "attach_image",
							"heading" => esc_html__( 'Image', 'nucy' ),
							"description" => esc_html__( 'You can upload an image.', 'nucy' ),
							"param_name" => "image",
							"save_always" => true,
						),
					)
				)
			),
		)
	);
}



/*======
*
* Tabs
*
======*/
function nucy_tabs_output( $atts, $content = null ) {
	$atts = shortcode_atts(
		array(
			'style' => '',
			'tabs' => '',
		), $atts
	);

	$output = "";

	$tabs = vc_param_group_parse_atts( $atts['tabs'] );

	/*====== Style ======*/
	if( !empty( $atts['style'] ) ) {
		$style = $atts['style'];
	} else {
		$style = "style-1";
	}

	/*====== HTML Output ======*/
	if( !empty( $tabs ) ) {
		$output .= '<div class="gt-tabs ' . esc_attr( $style ) . '">';
			$output .= '<div class="gt-tabs--title">';
				$output .= '<nav>';
					$output .= '<div class="nav nav-tabs" id="nav-tab" role="tablist">';
						$i = 0;
						foreach ( $tabs as $tab ) {
							if( !empty( $tab ) ) {
								$i = ++$i;
								if( !empty( $tab["title"] ) ) {
									$output .= '<a class="nav-item nav-link" id="nav-' . esc_attr( $i ) . '-tab" data-toggle="tab" href="#nav-' . esc_attr( $i ) . '" role="tab" aria-controls="nav-1" aria-selected="true">' . esc_attr( $tab["title"] ) . '</a>';
								}
							}
						}
					$output .= '</div>';
				$output .= '</nav>';
			$output .= '</div>';
			$output .= '<div class="gt-tabs--content">';
				$output .= '<div class="tab-content">';
					$i = 0;
					foreach ( $tabs as $tab ) {
						if( !empty( $tab ) ) {
							$i = ++$i;
							if( !empty( $tab["content"] ) ) {
								$output .= '<div class="tab-pane fade" id="nav-' . esc_attr( $i ) . '" role="tabpanel" aria-labelledby="nav-' . esc_attr( $i ) . '-tab">' . wpautop( $tab["content"] ) . '</div>';
							}
						}
					}
				$output .= '</div>';
			$output .= '</div>';
		$output .= '</div>';
	}

	return $output;
}
add_shortcode( "nucy_tabs", "nucy_tabs_output" );

if( function_exists( 'vc_map' ) ) {
	vc_map(
		array(
			"name" => esc_html__( 'Tabs', 'nucy' ),
			"base" => "nucy_tabs",
			"category" => esc_html__( 'Nucy Theme', 'nucy' ),
			"icon" => get_template_directory_uri() . '/include/customize/assets/img/icons/tabs.svg',
			"description" => esc_html__( 'Feature box element.', 'nucy' ),
			"params" => array(
				array(
					"type" => "dropdown",
					"heading" => esc_html__( 'Style', 'nucy' ),
					"description" => esc_html__( 'You can choose a style.', 'nucy' ),
					"param_name" => "style",
					"save_always" => true,
					"value" => array(
						esc_html__( 'Style 1', 'nucy' ) => 'style-1',
						esc_html__( 'Style 2', 'nucy' ) => 'style-2',
					),
				),
				array(
					'type' => 'param_group',
					"heading" => esc_html__( 'Items', 'nucy' ),
					'param_name' => 'tabs',
					'params' => array(
						array(
							'type' => 'textfield',
							'heading' => esc_html__( 'Title', 'nucy' ),
							"description" => esc_html__( 'You can enter a title.', 'nucy' ),
							'param_name' => 'title',
							"admin_label" => true,
							"save_always" => true,
						),
						array(
							'type' => 'textarea',
							'heading' => esc_html__( 'Text', 'nucy' ),
							"description" => esc_html__( 'You can enter a text.', 'nucy' ),
							'param_name' => 'content',
							"save_always" => true,
						)
					)
				)
			),
		)
	);
}



/*======
*
* Accordion
*
======*/
function nucy_accordion_output( $atts, $content = null ) {
	$atts = shortcode_atts(
		array(
			'first-active' => '',
			'items' => '',
		), $atts
	);

	$output = "";

	/*====== Items ======*/
	$items = vc_param_group_parse_atts( $atts['items'] );

	/*====== First Active ======*/
	if( $atts["first-active"] == "true" ) {
		$first_active = " gt-first-active";
	} else {
		$first_active = "";
	}

	/*====== HTML Output ======*/
	if( !empty( $items ) ) {
		$output .= '<div class="gt-accordion' . esc_attr( $first_active ) . '">';
			$i = rand( 0, 99999 );
			foreach ( $items as $item ) {
				if( !empty( $item ) ) {
					$i = ++$i;
					if( !empty( $item["title"] ) ) {
						$output .= '<div class="card">';
							if( !empty( $item["title"] ) ) {
								$output .= '<div class="card-header" id="heading-' . esc_attr( $i ) . '">';
									$output .= '<span data-toggle="collapse" data-target="#collapse' . esc_attr( $i ) . '" aria-expanded="true" aria-controls="collapse' . esc_attr( $i ) . '">' . esc_attr( $item["title"] ) . '</span>';
								$output .= '</div>';
							}
							if( !empty( $item["content"] ) ) {
								$output .= '<div id="collapse' . esc_attr( $i ) . '" class="collapse" aria-labelledby="heading' . esc_attr( $i ) . '">';
									$output .= '<div class="card-body">' . $item["content"] . '</div>';
								$output .= '</div>';
							}
						$output .= '</div>';
					}
				}
			}
		$output .= '</div>';
	}

	return $output;
}
add_shortcode( "nucy_accordion", "nucy_accordion_output" );

if( function_exists( 'vc_map' ) ) {
	vc_map(
		array(
			"name" => esc_html__( 'Accordion', 'nucy' ),
			"base" => "nucy_accordion",
			"category" => esc_html__( 'Nucy Theme', 'nucy' ),
			"icon" => get_template_directory_uri() . '/include/customize/assets/img/icons/accordion.svg',
			"description" => esc_html__( 'Accordion element.', 'nucy' ),
			"params" => array(
				array(
					"type" => "dropdown",
					"heading" => esc_html__( 'First Active', 'nucy' ),
					"description" => esc_html__( 'You can choose a status.', 'nucy' ),
					"param_name" => "first-active",
					"save_always" => true,
					"value" => array(
						esc_html__( 'False', 'nucy' ) => 'false',
						esc_html__( 'True', 'nucy' ) => 'true',
					),
				),
				array(
					'type' => 'param_group',
					"heading" => esc_html__( 'Items', 'nucy' ),
					'param_name' => 'items',
					'params' => array(
						array(
							"type" => "textfield",
							"heading" => esc_html__( 'Title', 'nucy' ),
							"description" => esc_html__( 'You can enter a title.', 'nucy' ),
							"param_name" => "title",
							"admin_label" => true,
							"save_always" => true,
						),
						array(
							"type" => "textarea",
							"heading" => esc_html__( 'Text', 'nucy' ),
							"description" => esc_html__( 'You can enter a text.', 'nucy' ),
							"param_name" => "content",
							"save_always" => true,
						),
					)
				)
			),
		)
	);
}



/*======
*
* Progress Bar
*
======*/
function nucy_progress_bar_output( $atts, $content = null ) {
	$atts = shortcode_atts(
		array(
			'style' => '',
			'title' => '',
			'text' => '',
			'percent' => '',
		), $atts
	);

	$output = "";

	/*====== HTML Output ======*/
	if( $atts["style"] == "style-2" ) {
		if( !empty( $atts["title"] ) or !empty( $atts["text"] ) or !empty( $atts["percent"] ) ) {
			$output .= '<div class="gt-progressbar style-2">';
				$output .= '<div class="gt-box">';
					if( !empty( $atts["percent"] ) ) {
						$output .= '<div class="d-flex align-items-center justify-content-between">';
							if( !empty( $atts["percent"] ) ) {
								$output .= '<div class="gt-box--progress">';
									$output .= '<div class="gt-box--progressbar" style="width: ' . esc_attr( $atts["percent"] ) . '%"></div>';
								$output .= '</div>';
							}

							if( !empty( $atts["percent"] ) ) {
								$output .= '<div class="gt-box--value">' . esc_attr( $atts["percent"] ) . '%</div>';
							}
						$output .= '</div>';
					}

					if( !empty( $atts["title"] ) ) {
						$output .= '<div class="gt-box--title">' . esc_attr( $atts["title"] ) . '</div>';
					}

					if( !empty( $atts["text"] ) ) {
						$output .= '<div class="gt-box--details">' . esc_attr( $atts["text"] ) . '</div>';
					}
				$output .= '</div>';
			$output .= '</div>';
		}
	} else {
		if( !empty( $atts["title"] ) or !empty( $atts["text"] ) or !empty( $atts["percent"] ) ) {
			$output .= '<div class="gt-progressbar style-1">';
				$output .= '<div class="gt-box">';
					if( !empty( $atts["title"] ) or !empty( $atts["percent"] ) ) {
						$output .= '<div class="d-flex align-items-center justify-content-between">';
							if( !empty( $atts["title"] ) ) {
								$output .= '<div class="gt-box--title">' . esc_attr( $atts["title"] ) . '</div>';
							}

							if( !empty( $atts["percent"] ) ) {
								$output .= '<div class="gt-box--value">' . esc_attr( $atts["percent"] ) . '%</div>';
							}
						$output .= '</div>';
					}

					if( !empty( $atts["percent"] ) ) {
						$output .= '<div class="gt-box--progress">';
							$output .= '<div class="gt-box--progressbar" style="width: ' . esc_attr( $atts["percent"] ) . '%"></div>';
						$output .= '</div>';
					}

					if( !empty( $atts["text"] ) ) {
						$output .= '<div class="gt-box--details">' . esc_attr( $atts["text"] ) . '</div>';
					}
				$output .= '</div>';
			$output .= '</div>';
		}
	}

	return $output;
}
add_shortcode( "nucy_progress_bar", "nucy_progress_bar_output" );

if( function_exists( 'vc_map' ) ) {
	vc_map(
		array(
			"name" => esc_html__( 'Progress Bar', 'nucy' ),
			"base" => "nucy_progress_bar",
			"category" => esc_html__( 'Nucy Theme', 'nucy' ),
			"icon" => get_template_directory_uri() . '/include/customize/assets/img/icons/progress-bar.svg',
			"description" => esc_html__( 'Progress bar element.', 'nucy' ),
			"params" => array(
				array(
					"type" => "dropdown",
					"heading" => esc_html__( 'Style', 'nucy' ),
					"description" => esc_html__( 'You can choose a style.', 'nucy' ),
					"param_name" => "style",
					"save_always" => true,
					"value" => array(
						esc_html__( 'Style 1', 'nucy' ) => 'style-1',
						esc_html__( 'Style 2', 'nucy' ) => 'style-2',
					),
				),
				array(
					"type" => "textfield",
					"heading" => esc_html__( 'Title', 'nucy' ),
					"description" => esc_html__( 'You can enter a title.', 'nucy' ),
					"param_name" => "title",
					"admin_label" => true,
					"save_always" => true,
				),
				array(
					"type" => "textfield",
					"heading" => esc_html__( 'Text', 'nucy' ),
					"description" => esc_html__( 'You can enter a text.', 'nucy' ),
					"param_name" => "text",
					"save_always" => true,
				),
				array(
					"type" => "textfield",
					"heading" => esc_html__( 'Percent Value', 'nucy' ),
					"description" => esc_html__( 'You can enter a percent value.', 'nucy' ),
					"param_name" => "percent",
					"save_always" => true,
				),
			),
		)
	);
}



/*======
*
* Clients
*
======*/
function nucy_clients_output( $atts, $content = null ) {
	$atts = shortcode_atts(
		array(
			'style' => '',
			'color-style' => '',
			'column' => '',
			'loop' => '',
			'items' => '',
		), $atts
	);

	$output = "";

	/*====== Items ======*/
	$items = vc_param_group_parse_atts( $atts['items'] );

	/*====== Loop Status ======*/
	if( $atts["loop"] == "true" ) {
		$loop = "true";
	} else {
		$loop = "false";
	}

	/*====== Color Style ======*/
	if( !empty( $atts["color-style"] ) ) {
		$color_style = 'color-' . esc_attr( $atts["color-style"] );
	} else {
		$color_style = "color-style-1";
	}

	/*====== HTML Output ======*/
	if( !empty( $items ) ) {
		if( $atts["style"] == "carousel" ) {
			if( $atts["column"] == "column-2" ) {
				$column = '2';
			} elseif( $atts["column"] == "column-3" ) {
				$column = '3';
			} elseif( $atts["column"] == "column-4" ) {
				$column = '4';
			} elseif( $atts["column"] == "column-6" ) {
				$column = '6';
			} else {
				$column = '1';
			}

			$output .= '<div class="swiper-container gt-swiper-slider gt-clients-slider ' . esc_attr( $color_style ) . '" data-gt-loop="' . esc_attr( $loop ) . '" data-gt-speed="600" data-gt-parallax="true" data-gt-direction="horizontal" data-gt-item="' . esc_attr( $column ) . '" data-gt-item-space="30">';
					$output .= '<div class="swiper-wrapper">';
						foreach ( $items as $item ) {
							if( !empty( $item ) ) {
								$output .= '<div class="swiper-slide" data-swiper-autoplay="2000">';
									$output .= '<div class="gt-clients-logo">';
										$output .= '<div class="gt-box">';
											if( !empty( $item["image"] ) ) {
												$output .= '<div class="gt-box--image">';
													if( $item["link-status"] == "true" ) {
														if( !empty( $item["link"] ) ) {
															$link = $item["link"];
															$link = vc_build_link( $link );

															if( !empty( $link["target"] ) ) {
																$link_target = $link["target"];
															} else {
																$link_target = "_parent";
															}

															$output .= '<a href="' . esc_url( $link["url"] ) . '" title="' . esc_attr( $link["title"] ) . '" target="' . esc_attr( $link_target ) . '">';
														}
													}

														$output .= wp_get_attachment_image( $item["image"], 'nucy-clients', true );

													if( $item["link-status"] == "true" ) {
														if( !empty( $item["link"] ) ) {
															$output .= '</a>';
														}
													}
												$output .= '</div>';
											}
											
											if( !empty( $item["title"] ) ) {
												$output .= '<div class="gt-box--title">' . esc_attr( $item["title"] ) . '</div>';
											}
										$output .= '</div>';
									$output .= '</div>';
								$output .= '</div>';
							}
						}
					$output .= '</div>';
				$output .= '</div>';
		} else {
			if( !empty( $items ) ) {
				$output .= '<div class="gt-clients-list ' . esc_attr( $color_style ) . '">';
					$output .= '<div class="row">';
						foreach ( $items as $item ) {
							if( !empty( $item ) ) {
								if( $atts["column"] == "column-2" ) {
									$output .= '<div class="col-lg-6">';
								} elseif( $atts["column"] == "column-3" ) {
									$output .= '<div class="col-lg-4">';
								} elseif( $atts["column"] == "column-4" ) {
									$output .= '<div class="col-lg-3">';
								} elseif( $atts["column"] == "column-6" ) {
									$output .= '<div class="col-lg-2">';
								} else {
									$output .= '<div class="col-lg-12">';
								}
									$output .= '<div class="gt-clients-logo">';
										$output .= '<div class="gt-box">';
											if( !empty( $item["image"] ) ) {
												$output .= '<div class="gt-box--image">';
													if( $item["link-status"] == "true" ) {
														if( !empty( $item["link"] ) ) {
															$link = $item["link"];
															$link = vc_build_link( $link );

															if( !empty( $link["target"] ) ) {
																$link_target = $link["target"];
															} else {
																$link_target = "_parent";
															}

															$output .= '<a href="' . esc_url( $link["url"] ) . '" title="' . esc_attr( $link["title"] ) . '" target="' . esc_attr( $link_target ) . '">';
														}
													}

														$output .= wp_get_attachment_image( $item["image"], 'nucy-clients', true );

													if( $item["link-status"] == "true" ) {
														if( !empty( $item["link"] ) ) {
															$output .= '</a>';
														}
													}
												$output .= '</div>';
											}
											
											if( !empty( $item["title"] ) ) {
												$output .= '<div class="gt-box--title">' . esc_attr( $item["title"] ) . '</div>';
											}
										$output .= '</div>';
									$output .= '</div>';
								$output .= '</div>';
							}
						}
					$output .= '</div>';
				$output .= '</div>';
			}
		}
	}

	return $output;
}
add_shortcode( "nucy_clients", "nucy_clients_output" );

if( function_exists( 'vc_map' ) ) {
	vc_map(
		array(
			"name" => esc_html__( 'Clients', 'nucy' ),
			"base" => "nucy_clients",
			"category" => esc_html__( 'Nucy Theme', 'nucy' ),
			"icon" => get_template_directory_uri() . '/include/customize/assets/img/icons/clients.svg',
			"description" => esc_html__( 'Clients element.', 'nucy' ),
			"params" => array(
				array(
					"type" => "dropdown",
					"heading" => esc_html__( 'Column', 'nucy' ),
					"description" => esc_html__( 'You can choose a column.', 'nucy' ),
					"param_name" => "column",
					"save_always" => true,
					"value" => array(
						esc_html__( '1 Column', 'nucy' ) => 'column-1',
						esc_html__( '2 Column', 'nucy' ) => 'column-2',
						esc_html__( '3 Column', 'nucy' ) => 'column-3',
						esc_html__( '4 Column', 'nucy' ) => 'column-4',
						esc_html__( '6 Column', 'nucy' ) => 'column-6',
					),
				),
				array(
					"type" => "dropdown",
					"heading" => esc_html__( 'Color Style', 'nucy' ),
					"description" => esc_html__( 'You can choose a color style.', 'nucy' ),
					"param_name" => "color-style",
					"save_always" => true,
					"value" => array(
						esc_html__( 'Style 1', 'nucy' ) => 'style-1',
						esc_html__( 'Style 2', 'nucy' ) => 'style-2',
					),
				),
				array(
					"type" => "dropdown",
					"heading" => esc_html__( 'Loop', 'nucy' ),
					"description" => esc_html__( 'You can choose status of the loop.', 'nucy' ),
					"param_name" => "loop",
					"save_always" => true,
					"value" => array(
						esc_html__( 'False', 'nucy' ) => 'false',
						esc_html__( 'True', 'nucy' ) => 'true',
					),
				),
				array(
					"type" => "dropdown",
					"heading" => esc_html__( 'Style', 'nucy' ),
					"description" => esc_html__( 'You can choose a style.', 'nucy' ),
					"param_name" => "style",
					"save_always" => true,
					"value" => array(
						esc_html__( 'Grid', 'nucy' ) => 'grid',
						esc_html__( 'Carousel', 'nucy' ) => 'carousel',
					),
				),
				array(
					'type' => 'param_group',
					"heading" => esc_html__( 'Logos', 'nucy' ),
					'param_name' => 'items',
					'params' => array(
						array(
							"type" => "textfield",
							"heading" => esc_html__( 'Title', 'nucy' ),
							"description" => esc_html__( 'You can enter a title.', 'nucy' ),
							"param_name" => "title",
							"save_always" => true,
						),
						array(
							"type" => "attach_image",
							"heading" => esc_html__( 'Image', 'nucy' ),
							"description" => esc_html__( 'You can upload an image.', 'nucy' ),
							"param_name" => "image",
							"save_always" => true,
						),
						array(
							"type" => "dropdown",
							"heading" => esc_html__( 'Link Status', 'nucy' ),
							"description" => esc_html__( 'You can choose status of the link.', 'nucy' ),
							"param_name" => "link-status",
							"save_always" => true,
							"value" => array(
								esc_html__( 'False', 'nucy' ) => 'false',
								esc_html__( 'True', 'nucy' ) => 'true',
							),
						),
						array(
							"type" => "vc_link",
							"heading" => esc_html__( 'Link', 'nucy' ),
							"description" => esc_html__( 'You can enter a link.', 'nucy' ),
							"param_name" => "link",
							"save_always" => true,
						),
					)
				)
			),
		)
	);
}



/*======
*
* History Box
*
======*/
function nucy_history_box_output( $atts, $content = null ) {
	$atts = shortcode_atts(
		array(
			'items' => '',
		), $atts
	);

	$output = "";

	/*====== Items ======*/
	$items = vc_param_group_parse_atts( $atts['items'] );

	/*====== HTML Output ======*/
	if( !empty( $items ) ) {
		$output .= '<div class="gt-timeline">';
			foreach ( $items as $item ) {
				if( !empty( $item ) ) {
					$output .= '<div class="gt-box">';
						$output .= '<div class="gt-box--content">';
							if( !empty( $item["title"] ) ) {
								$output .= '<h5>' . esc_attr( $item["title"] ) . '</h5>';
							}

							if( !empty( $item["image"] ) ) {
								$output .= wp_get_attachment_image( $item["image"], 'nucy-history-box', true );
							}

							if( !empty( $item["text"] ) ) {
								$output .= '<p class="lead">' . esc_attr( $item["text"] ) . '</p>';
							}

							if( !empty( $item["additional-text"] ) ) {
								$output .= '<p>' . esc_attr( $item["additional-text"] ) . '</p>';
							}
						$output .= '</div>';
					$output .= '</div>';
				}
			}
		$output .= '</div>';
	}

	return $output;
}
add_shortcode( "nucy_history_box", "nucy_history_box_output" );

if( function_exists( 'vc_map' ) ) {
	vc_map(
		array(
			"name" => esc_html__( 'History Box', 'nucy' ),
			"base" => "nucy_history_box",
			"category" => esc_html__( 'Nucy Theme', 'nucy' ),
			"icon" => get_template_directory_uri() . '/include/customize/assets/img/icons/history-box.svg',
			"description" => esc_html__( 'History box element.', 'nucy' ),
			"params" => array(
				array(
					'type' => 'param_group',
					'param_name' => 'items',
					"heading" => esc_html__( 'Items', 'nucy' ),
					'params' => array(
						array(
							"type" => "textfield",
							"heading" => esc_html__( 'Title', 'nucy' ),
							"description" => esc_html__( 'You can enter a title.', 'nucy' ),
							"param_name" => "title",
							"admin_label" => true,
							"save_always" => true,
						),
						array(
							"type" => "textfield",
							"heading" => esc_html__( 'Text', 'nucy' ),
							"description" => esc_html__( 'You can enter a text.', 'nucy' ),
							"param_name" => "text",
							"save_always" => true,
						),
						array(
							"type" => "textfield",
							"heading" => esc_html__( 'Additional Text', 'nucy' ),
							"description" => esc_html__( 'You can enter an additional text.', 'nucy' ),
							"param_name" => "additional-text",
							"save_always" => true,
						),
						array(
							"type" => "attach_image",
							"heading" => esc_html__( 'Image', 'nucy' ),
							"description" => esc_html__( 'You can upload an image.', 'nucy' ),
							"param_name" => "image",
							"save_always" => true,
						),
					)
				)
			),
		)
	);
}



/*======
*
* Call to Action
*
======*/
function nucy_call_to_action_output( $atts, $content = null ) {
	$atts = shortcode_atts(
		array(
			'title' => '',
			'top-title' => '',
			'text' => '',
			'bg-image' => '',
			'button-status' => '',
			'button-link' => '',
			'button-style' => '',
		), $atts
	);

	$output = "";

	/*====== Button Style ======*/
	if( !empty( $atts["button-style"] ) ) {
		$button_style = 'gt-btn-' . esc_attr( $atts["button-style"] );
	} else {
		$button_style = "gt-btn-style-1";
	}

	/*====== Background Image ======*/
	if( !empty( $atts["bg-image"] ) ) {
		$image = wp_get_attachment_image_src( $atts["bg-image"], 'nucy-feature-box-3', true );
		$image = $image[0];
	} else {
		$image = "";
	}

	/*====== HTML Output ======*/
	if( !empty( $atts["top-title"] ) or !empty( $atts["top-title"] ) or !empty( $atts["text"] ) or $atts["button-status"] == "true" ) {
		$output .= '<div class="gt-call-to-action">';
			$output .= '<div class="gt-box" style="background-image:url(' . esc_url( $image ) . ');">';
				$output .= '<div class="gt-box--content">';
					if( !empty( $atts["top-title"] ) ) {
						$output .= '<div class="gt-box--subtitle">' . esc_attr( $atts["top-title"] ) . '</div>';
					}

					if( !empty( $atts["title"] ) ) {
						$output .= '<div class="gt-box--title"><h2>' . esc_attr( $atts["title"] ) . '</h2></div>';
					}

					if( !empty( $atts["text"] ) ) {
						$output .= '<div class="gt-box--info">' . esc_attr( $atts["text"] ) . '</div>';
					}

					if( $atts["button-status"] == "true" ) {
						if( !empty( $atts["button-link"] ) ) {
							$button_link = $atts["button-link"];
							$button_link = vc_build_link( $button_link );

							if( !empty( $button_link["target"] ) ) {
								$button_target = $button_link["target"];
							} else {
								$button_target = "_parent";
							}

							$output .= '<a href="' . esc_url( $button_link["url"] ) . '" title="' . esc_attr( $button_link["title"] ) . '" class="btn ' . esc_attr( $button_style ) . '" target="' . esc_attr( $button_target ) . '">' . esc_attr( $button_link["title"] ) . '</a>';
						}
					}
				$output .= '</div>';
			$output .= '</div>';
		$output .= '</div>';
	}

	return $output;
}
add_shortcode( "nucy_call_to_action", "nucy_call_to_action_output" );

if( function_exists( 'vc_map' ) ) {
	vc_map(
		array(
			"name" => esc_html__( 'Call to Action', 'nucy' ),
			"base" => "nucy_call_to_action",
			"category" => esc_html__( 'Nucy Theme', 'nucy' ),
			"icon" => get_template_directory_uri() . '/include/customize/assets/img/icons/call-to-action.svg',
			"description" => esc_html__( 'Call to action element.', 'nucy' ),
			"params" => array(
				array(
					"type" => "textfield",
					"heading" => esc_html__( 'Title', 'nucy' ),
					"description" => esc_html__( 'You can enter a title.', 'nucy' ),
					"param_name" => "title",
					"admin_label" => true,
				),
				array(
					"type" => "textfield",
					"heading" => esc_html__( 'Top Title', 'nucy' ),
					"description" => esc_html__( 'You can enter a top title.', 'nucy' ),
					"param_name" => "top-title",
					"save_always" => true,
				),
				array(
					"type" => "textfield",
					"heading" => esc_html__( 'Text', 'nucy' ),
					"description" => esc_html__( 'You can enter a description text.', 'nucy' ),
					"param_name" => "text",
					"save_always" => true,
				),
				array(
					"type" => "attach_image",
					"heading" => esc_html__( 'Background Image', 'nucy' ),
					"description" => esc_html__( 'You can upload a background image.', 'nucy' ),
					"param_name" => "bg-image",
					"save_always" => true,
				),
				array(
					"type" => "dropdown",
					"heading" => esc_html__( 'Button', 'nucy' ),
					"description" => esc_html__( 'You can choose status of the button for style 2, style 3, style 4, style 5, style 6 and style 7..', 'nucy' ),
					"param_name" => "button-status",
					"save_always" => true,
					"value" => array(
						esc_html__( 'False', 'nucy' ) => 'false',
						esc_html__( 'True', 'nucy' ) => 'true',
					),
				),
				array(
					"type" => "vc_link",
					"heading" => esc_html__( 'Button Link', 'nucy' ),
					"description" => esc_html__( 'You can enter a link for style 2, style 3, style 4, style 5, style 6 and style 7.', 'nucy' ),
					"param_name" => "button-link",
				),
				array(
					"type" => "dropdown",
					"heading" => esc_html__( 'Button Style', 'nucy' ),
					"description" => esc_html__( 'You can choose a style for style 2, style 3, style 4, style 5, style 6 and style 7.', 'nucy' ),
					"param_name" => "button-style",
					"save_always" => true,
					"value" => array(
						esc_html__( 'Style 1', 'nucy' ) => 'style-1',
						esc_html__( 'Style 2', 'nucy' ) => 'style-2',
						esc_html__( 'Style 3', 'nucy' ) => 'style-3',
						esc_html__( 'Style 4', 'nucy' ) => 'style-4',
						esc_html__( 'Style 5', 'nucy' ) => 'style-5',
						esc_html__( 'Style 6', 'nucy' ) => 'style-6',
						esc_html__( 'Style 7', 'nucy' ) => 'style-7',
					),
				),
			),
		)
	);
}



/*======
*
* Blog
*
======*/
function nucy_blog_output( $atts, $content = null ) {
	$atts = shortcode_atts(
		array(
			'category' => '',
			'tag' => '',
			'post-ids' => '',
			'exclude-posts' => '',
			'offset' => '',
			'post-count' => '',
			'order' => '',
			'order-type' => '',
			'pagination' => '',
			'style' => '',
			'image' => '',
			'excerpt' => '',
			'details' => '',
			'read-more' => '',
		), $atts
	);

	$output = "";

	/*====== Main Query ======*/
	$arg = array(
		'posts_per_page' => $atts['post-count'],
		'offset' => $atts['offset'],
		'cat' => $atts['category'],
		'tag' => $atts['tag'],
		'post_status' => 'publish',
		'ignore_sticky_posts' => true,
		'post_type' => 'post',
	);

	/*====== Pagination ======*/
	if( !empty( $atts['pagination'] ) ) {
		$pagination = $atts['pagination'];
	} else {
		$pagination = "true";
	}

	if( $pagination == "true" ) {
		$paged = is_front_page() ? get_query_var( 'page', 1 ) : get_query_var( 'paged', 1 );
		if( empty( $paged ) ) { $paged = 1; }

		$extra_query = array(
			'paged' => $paged,
		);
		$arg = wp_parse_args( $arg, $extra_query );
	}

	/*====== Order & Order By ======*/
	if( $atts["order"] == "ASC" ) {
		$order = "ASC";
	} else {
		$order = "DESC";
	}

	if( !empty( $order ) ) {
		$extra_query = array(
			'order' => $order,
		);
		$arg = wp_parse_args( $arg, $extra_query );
	}

	if( $atts["order-type"] == "popular-comment" ) {
		$order_by = "comment_count";
	} elseif( $atts["order-type"] == "id" ) {
		$order_by = "ID";
	} elseif( $atts["order-type"] == "popular" ) {
		$order_by = "comment_count";
	} elseif( $atts["order-type"] == "title" ) {
		$order_by = "title";
	} elseif( $atts["order-type"] == "menu_order" ) {
		$order_by = "menu_order";
	} elseif( $atts["order-type"] == "rand" ) {
		$order_by = "rand";
	} elseif( $atts["order-type"] == "none" ) {
		$order_by = "none";
	} else {
		$order_by = "date";
	}

	if( !empty( $order_by ) ) {
		$extra_query = array(
			'orderby' => $order_by,
		);
		$arg = wp_parse_args( $arg, $extra_query );
	}

	/*====== Post IDs & Include Posts ======*/
	if( !empty( $atts['post-ids'] ) ) {
		$post_ids = $atts['post-ids'];
		$include_posts = explode( ',', $post_ids );
	} else {
		$include_posts = "";
	}

	if( !empty( $include_posts ) ) {
		$extra_query = array(
			'post__in' => $include_posts,
		);
		$arg = wp_parse_args( $arg, $extra_query );
	}

	/*====== Exclude Posts ======*/
	if( !empty( $atts['exclude-posts'] ) ) {
		$exclude_posts = $atts['exclude-posts'];
		$exclude_posts = explode( ',', $exclude_posts );
	} else {
		$exclude_posts = "";
	}

	if( !empty( $exclude_posts ) ) {
		$extra_query = array(
			'post__not_in' => $exclude_posts,
		);
		$arg = wp_parse_args( $arg, $extra_query );
	}

	/*====== Style ======*/
	if( !empty( $atts['style'] ) ) {
		$style = $atts['style'];
	} else {
		$style = "style-1";
	}

	/*====== Image ======*/
	if( !empty( $atts['image'] ) ) {
		$image = $atts['image'];
	} else {
		$image = "true";
	}

	/*====== Excerpt ======*/
	if( !empty( $atts['excerpt'] ) ) {
		$excerpt = $atts['excerpt'];
	} else {
		$excerpt = "true";
	}

	/*====== Details ======*/
	if( !empty( $atts['details'] ) ) {
		$details = $atts['details'];
	} else {
		$details = "true";
	}

	/*====== Read More ======*/
	if( !empty( $atts['read-more'] ) ) {
		$read_more = $atts['read-more'];
	} else {
		$read_more = "true";
	}

	/*====== HTML Output ======*/
	$wp_query = new WP_Query( $arg );
	if( $wp_query->have_posts() ) {
		$output .= '<div class="nucy-blog ' . esc_attr( $style ) . '">';
			$output .= '<div class="post-list">';
				if( $atts['style'] == "style-2" ) {
					$output .= '<div class="gt-blog-list-minimal">';
						while ( $wp_query->have_posts() ) {
							$wp_query->the_post();
							$output .= nucy_post_style_2( $post = get_the_ID(), $image = $image, $excerpt = $excerpt, $detail = $details, $read_more = $read_more );
						}
					$output .= '</div>';
				} elseif( $atts['style'] == "style-3" ) {
					$output .= '<div class="row">';
						while ( $wp_query->have_posts() ) {
							$wp_query->the_post();
							$output .= '<div class="col-lg-4">';
								$output .= nucy_post_style_3( $post = get_the_ID(), $image = $image, $read_more = $read_more, $category = $details, $date = $details );
							$output .= '</div>';
						}
					$output .= '</div>';
				} else {
					$output .= '<div class="gt-blog-list-simple">';
						while ( $wp_query->have_posts() ) {
							$wp_query->the_post();
							$output .= nucy_post_style_1( $post = get_the_ID(), $image = $image, $excerpt = $excerpt, $read_more = $read_more, $category = $details, $date = $details );
						}
					$output .= '</div>';
				}
			$output .= '</div>';

			if( $pagination == "true" ) {
				$output .= nucy_element_pagination( $paged = $paged, $query = $wp_query, $style = "style-1" );
			}
		$output .= '</div>';

	}
	wp_reset_postdata();

	return $output;
}
add_shortcode( "nucy_blog", "nucy_blog_output" );

if( function_exists( 'vc_map' ) ) {
	$post_categories = get_terms( 'category' );
	$post_categories_array = array();
	$post_categories_array[ esc_html__( 'All Categories', 'nucy' ) ] = "-";
	foreach($post_categories as $post_category) {
		$post_categories_array[$post_category->name] =  $post_category->term_id;
	}

	vc_map(
		array(
			"name" => esc_html__( 'Blog', 'nucy' ),
			"base" => "nucy_blog",
			"category" => esc_html__( 'Nucy Theme', 'nucy' ),
			"icon" => get_template_directory_uri() . '/include/customize/assets/img/icons/blog.svg',
			"description" => esc_html__( 'Blog listing element.', 'nucy' ),
			"params" => array(
				array(
					"type" => "dropdown",
					"heading" => esc_html__( 'Category', 'nucy' ),
					"description" => esc_html__( 'You can choose a category.', 'nucy' ),
					"param_name" => "category",
					"value" => $post_categories_array,
					"group" => esc_html__( 'General', 'nucy' ),
					"save_always" => true,
				),
				array(
					"type" => "textfield",
					"heading" => esc_html__( 'Tag', 'nucy' ),
					"description" => esc_html__( 'You can enter a tag name.', 'nucy' ),
					"param_name" => "tag",
					"group" => esc_html__( 'General', 'nucy' ),
					"save_always" => true,
				),
				array(
					"type" => "textfield",
					"heading" => esc_html__( "Post IDs", 'nucy' ),
					"description" => esc_html__( 'You can enter post ids. Separate with commas 1,2,3 etc.', 'nucy' ),
					"param_name" => "post-ids",
					"group" => esc_html__( 'General', 'nucy' ),
					"save_always" => true,
				),
				array(
					"type" => "textfield",
					"heading" => esc_html__( 'Exclude Posts', 'nucy' ),
					"description" => esc_html__( 'You can enter post ids. Separate with commas 1,2,3 etc.', 'nucy' ),
					"param_name" => "exclude-posts",
					"group" => esc_html__( 'General', 'nucy' ),
					"save_always" => true,
				),
				array(
					"type" => "textfield",
					"heading" => esc_html__( 'Offset', 'nucy' ),
					"description" => esc_html__( 'You can enter offset number.', 'nucy' ),
					"param_name" => "offset",
					"group" => esc_html__( 'General', 'nucy' ),
					"save_always" => true,
				),
				array(
					"type" => "textfield",
					"heading" => esc_html__( 'Post Count', 'nucy' ),
					"description" => esc_html__( 'You can enter post count.', 'nucy' ),
					"param_name" => "post-count",
					"group" => esc_html__( 'General', 'nucy' ),
					"save_always" => true,
				),
				array(
					"type" => "dropdown",
					"heading" => esc_html__( 'Order', 'nucy' ),
					"description" => esc_html__( 'You can choose a order.', 'nucy' ),
					"param_name" => "order",
					"save_always" => true,
					"group" => esc_html__( 'General', 'nucy' ),
					"value" => array(
						esc_html__( 'DESC', 'nucy' ) => 'DESC',
						esc_html__( 'ASC', 'nucy' ) => 'ASC',
					),
				),
				array(
					"type" => "dropdown",
					"heading" => esc_html__( 'Order Type', 'nucy' ),
					"description" => esc_html__( 'You can choose a order type.', 'nucy' ),
					"param_name" => "order-type",
					"save_always" => true,
					"group" => esc_html__( 'General', 'nucy' ),
					"value" => array(
						esc_html__( 'Added Date', 'nucy' ) => 'added-date',
						esc_html__( 'Popular by Comment', 'nucy' ) => 'popular-comment',
						esc_html__( 'ID', 'nucy' ) => 'id',
						esc_html__( 'Title', 'nucy' ) => 'title',
						esc_html__( 'Menu Order', 'nucy' ) => 'menu_order',
						esc_html__( 'Random', 'nucy' ) => 'rand',
						esc_html__( 'None', 'nucy' ) => 'none',
					),
				),
				array(
					"type" => "dropdown",
					"heading" => esc_html__( 'Pagination', 'nucy' ),
					"description" => esc_html__( 'You can choose status of pagination.', 'nucy' ),
					"param_name" => "pagination",
					"save_always" => true,
					"group" => esc_html__( 'General', 'nucy' ),
					"value" => array(
						esc_html__( 'True', 'nucy' ) => 'true',
						esc_html__( 'False', 'nucy' ) => 'false',
					),
				),
				array(
					"type" => "dropdown",
					"heading" => esc_html__( 'Style', 'nucy' ),
					"description" => esc_html__( 'You can choose a list style.', 'nucy' ),
					"param_name" => "style",
					"save_always" => true,
					"group" => esc_html__( 'Design', 'nucy' ),
					"value" => array(
						esc_html__( 'Style 1', 'nucy' ) => 'style-1',
						esc_html__( 'Style 2', 'nucy' ) => 'style-2',
						esc_html__( 'Style 3', 'nucy' ) => 'style-3',
					),
				),
				array(
					"type" => "dropdown",
					"heading" => esc_html__( 'Image', 'nucy' ),
					"description" => esc_html__( 'You can choose status of post image.', 'nucy' ),
					"param_name" => "image",
					"save_always" => true,
					"group" => esc_html__( 'Design', 'nucy' ),
					"value" => array(
						esc_html__( 'True', 'nucy' ) => 'true',
						esc_html__( 'False', 'nucy' ) => 'false',
					),
				),
				array(
					"type" => "dropdown",
					"heading" => esc_html__( 'Excerpt', 'nucy' ),
					"description" => esc_html__( 'You can choose status of post excerpt.', 'nucy' ),
					"param_name" => "excerpt",
					"save_always" => true,
					"group" => esc_html__( 'Design', 'nucy' ),
					"value" => array(
						esc_html__( 'True', 'nucy' ) => 'true',
						esc_html__( 'False', 'nucy' ) => 'false',
					),
				),
				array(
					"type" => "dropdown",
					"heading" => esc_html__( 'Details', 'nucy' ),
					"description" => esc_html__( 'You can choose status of post details.', 'nucy' ),
					"param_name" => "details",
					"save_always" => true,
					"group" => esc_html__( 'Design', 'nucy' ),
					"value" => array(
						esc_html__( 'True', 'nucy' ) => 'true',
						esc_html__( 'False', 'nucy' ) => 'false',
					),
				),
				array(
					"type" => "dropdown",
					"heading" => esc_html__( 'Read More', 'nucy' ),
					"description" => esc_html__( 'You can choose status of read more button.', 'nucy' ),
					"param_name" => "read-more",
					"save_always" => true,
					"group" => esc_html__( 'Design', 'nucy' ),
					"value" => array(
						esc_html__( 'True', 'nucy' ) => 'true',
						esc_html__( 'False', 'nucy' ) => 'false',
					),
				),
			),
		)
	);
}



/*======
*
* Google Maps
*
======*/
function nucy_google_maps_output( $atts, $content = null ) {
	$atts = shortcode_atts(
		array(
			'title' => '',
			'lat' => '',
			'lng' => '',
		), $atts
	);

	if( !empty( $atts["lng"] ) or !empty( $atts["lat"] ) or !empty( $atts["title"] ) ) {
		$output = nucy_google_maps_create( $map_lat = esc_attr( $atts["lat"] ), $map_lng = esc_attr( $atts["lng"] ), $map_title = esc_attr( $atts["title"] ) );
		return $output;
	}
}
add_shortcode( "nucy_google_maps", "nucy_google_maps_output" );

if( function_exists( 'vc_map' ) ) {
	vc_map(
		array(
			"name" => esc_html__( 'Google Maps', 'nucy' ),
			"base" => "nucy_google_maps",
			"category" => esc_html__( 'Nucy Theme', 'nucy' ),
			"icon" => get_template_directory_uri() . '/include/customize/assets/img/icons/google-maps.svg',
			"description" => esc_html__( 'Google Maps element.', 'nucy' ),
			"params" => array(
				array(
					"type" => "textfield",
					"heading" => esc_html__( 'Title', 'nucy' ),
					"description" => esc_html__( 'You can enter a title.', 'nucy' ),
					"param_name" => "title",
					"save_always" => true,
					"admin_label" => true,
				),
				array(
					"type" => "textfield",
					"heading" => esc_html__( 'Lat Coordinate', 'nucy' ),
					"description" => esc_html__( 'You can enter a map lat coordinate.', 'nucy' ),
					"param_name" => "lat",
					"save_always" => true,
				),
				array(
					"type" => "textfield",
					"heading" => esc_html__( 'Lng Coordinate', 'nucy' ),
					"description" => esc_html__( 'You can enter a map lng coordinate.', 'nucy' ),
					"param_name" => "lng",
					"save_always" => true,
				),
			),
		)
	);
}



/*======
*
* Menu
*
======*/
function nucy_menu_output( $atts, $content = null ) {
	$atts = shortcode_atts(
		array(
			'menu' => '',
		), $atts
	);

	if( !empty( $atts["menu"] ) ) {
		$output = wp_nav_menu(
			array(
				'menu' => esc_attr( $atts["menu"] ),
				'depth' => 1,
				'menu_class' => 'nav flex',
				'fallback_cb' => 'nucy_walker::fallback',
				'walker' => new nucy_walker(),
				'echo' => false
			)
		);

		return $output;
	}


}
add_shortcode( "nucy_menu", "nucy_menu_output" );

if( function_exists( 'vc_map' ) ) {
	$custom_menus = array();
	$menus = get_terms( 'nav_menu', array( 'hide_empty' => false ) );
	if ( is_array( $menus ) && ! empty( $menus ) ) {
		foreach ( $menus as $single_menu ) {
			if ( is_object( $single_menu ) && isset( $single_menu->name, $single_menu->term_id ) ) {
				$custom_menus[ $single_menu->name ] = $single_menu->term_id;
			}
		}
	}

	vc_map(
		array(
			"name" => esc_html__( 'Nucy Menu', 'nucy' ),
			"base" => "nucy_menu",
			"category" => esc_html__( 'Nucy Theme', 'nucy' ),
			"icon" => get_template_directory_uri() . '/include/customize/assets/img/icons/nucy-menu.svg',
			"description" => esc_html__( 'Menu element.', 'nucy' ),
			"params" => array(
				array(
					"type" => "dropdown",
					"heading" => esc_html__( 'Menu', 'nucy' ),
					"description" => esc_html__( 'You can choose a menu.', 'nucy' ),
					"param_name" => "menu",
					'value' => $custom_menus,
					"admin_label" => true,
					"save_always" => true,
				),
			),
		)
	);
}



/*======
*
* Button
*
======*/
function nucy_button_output( $atts, $content = null ) {
	$atts = shortcode_atts(
		array(
			'align' => '',
			'button-style' => '',
			'button-link' => '',
		), $atts
	);

	/*====== Align ======*/
	if( !empty( $atts["align"] ) ) {
		$align = 'text-' . esc_attr( $atts["align"] );
	} else {
		$align = "text-left";
	}

	/*====== Button Style ======*/
	if( !empty( $atts["button-style"] ) ) {
		$button_style = 'gt-btn-' . esc_attr( $atts["button-style"] );
	} else {
		$button_style = "gt-btn-style-1";
	}

	/*====== HTML Output ======*/
	if( !empty( $atts["button-link"] ) ) {
		$button_link = $atts["button-link"];
		$button_link = vc_build_link( $button_link );

		if( !empty( $button_link["target"] ) ) {
			$button_target = $button_link["target"];
		} else {
			$button_target = "_parent";
		}

		$output = '<div class="' . esc_attr( $align ) . '">';
			$output .= '<a href="' . esc_url( $button_link["url"] ) . '" title="' . esc_attr( $button_link["title"] ) . '" class="btn ' . esc_attr( $button_style ) . '" target="' . esc_attr( $button_target ) . '">' . esc_attr( $button_link["title"] ) . '</a>';
		$output .= '</div>';
	}

	return $output;
}
add_shortcode( "nucy_button", "nucy_button_output" );

if( function_exists( 'vc_map' ) ) {
	vc_map(
		array(
			"name" => esc_html__( 'Nucy Button', 'nucy' ),
			"base" => "nucy_button",
			"category" => esc_html__( 'Nucy Theme', 'nucy' ),
			"icon" => get_template_directory_uri() . '/include/customize/assets/img/icons/button.svg',
			"description" => esc_html__( 'Button element.', 'nucy' ),
			"params" => array(
				array(
					"type" => "dropdown",
					"heading" => esc_html__( 'Align', 'nucy' ),
					"description" => esc_html__( 'You can choose an align.', 'nucy' ),
					"param_name" => "align",
					"save_always" => true,
					"value" => array(
						esc_html__( 'Left', 'nucy' ) => 'left',
						esc_html__( 'Right', 'nucy' ) => 'right',
						esc_html__( 'Center', 'nucy' ) => 'center',
					),
				),
				array(
					"type" => "dropdown",
					"heading" => esc_html__( 'Button Style', 'nucy' ),
					"description" => esc_html__( 'You can choose a style.', 'nucy' ),
					"param_name" => "button-style",
					"save_always" => true,
					"value" => array(
						esc_html__( 'Style 1', 'nucy' ) => 'style-1',
						esc_html__( 'Style 2', 'nucy' ) => 'style-2',
						esc_html__( 'Style 3', 'nucy' ) => 'style-3',
						esc_html__( 'Style 4', 'nucy' ) => 'style-4',
						esc_html__( 'Style 5', 'nucy' ) => 'style-5',
						esc_html__( 'Style 6', 'nucy' ) => 'style-6',
					),
				),
				array(
					"type" => "vc_link",
					"heading" => esc_html__( 'Button Link', 'nucy' ),
					"description" => esc_html__( 'You can enter a link.', 'nucy' ),
					"param_name" => "button-link",
					"save_always" => true,
				),
			),
		)
	);
}



/*======
*
* WooCommerce Products
*
======*/
function nucy_woo_products_output( $atts, $content = null ) {
	
	$output = "";

	if ( function_exists( 'is_woocommerce' ) ) {
		$atts = shortcode_atts(
			array(
				'category' => '',
				'product-ids' => '',
				'exclude-products' => '',
				'offset' => '',
				'product-count' => '',
				'order' => '',
				'order-type' => '',
				'pagination' => '',
				'column' => '',
				'price' => '',
				'excerpt' => '',
			), $atts
		);

		/*====== Main Query ======*/
		$arg = array(
			'posts_per_page' => $atts['product-count'],
			'offset' => $atts['offset'],
			'post_status' => 'publish',
			'ignore_sticky_posts' => true,
			'post_type' => 'product',
		);

		/*====== Pagination ======*/
		if( !empty( $atts['pagination'] ) ) {
			$pagination = $atts['pagination'];
		} else {
			$pagination = "true";
		}

		if( $pagination == "true" ) {
			$paged = is_front_page() ? get_query_var( 'page', 1 ) : get_query_var( 'paged', 1 );
			if( empty( $paged ) ) { $paged = 1; }

			$extra_query = array(
				'paged' => $paged,
			);
			$arg = wp_parse_args( $arg, $extra_query );
		}

		/*====== Order & Order By ======*/
		if( $atts["order"] == "ASC" ) {
			$order = "ASC";
		} else {
			$order = "DESC";
		}

		if( !empty( $order ) ) {
			$extra_query = array(
				'order' => $order,
			);
			$arg = wp_parse_args( $arg, $extra_query );
		}

		if( $atts["order-type"] == "popular-comment" ) {
			$order_by = "comment_count";
		} elseif( $atts["order-type"] == "id" ) {
			$order_by = "ID";
		} elseif( $atts["order-type"] == "popular" ) {
			$order_by = "comment_count";
		} elseif( $atts["order-type"] == "title" ) {
			$order_by = "title";
		} elseif( $atts["order-type"] == "menu_order" ) {
			$order_by = "menu_order";
		} elseif( $atts["order-type"] == "rand" ) {
			$order_by = "rand";
		} elseif( $atts["order-type"] == "none" ) {
			$order_by = "none";
		} else {
			$order_by = "date";
		}

		if( !empty( $order_by ) ) {
			$extra_query = array(
				'orderby' => $order_by,
			);
			$arg = wp_parse_args( $arg, $extra_query );
		}

		/*====== Post IDs & Include Products ======*/
		if( !empty( $atts['product-ids'] ) ) {
			$product_ids = $atts['product-ids'];
			$include_products = explode( ',', $product_ids );
		} else {
			$include_products = "";
		}

		if( !empty( $include_products ) ) {
			$extra_query = array(
				'post__in' => $include_products,
			);
			$arg = wp_parse_args( $arg, $extra_query );
		}

		/*====== Exclude Products ======*/
		if( !empty( $atts['exclude-products'] ) ) {
			$exclude_products = $atts['exclude-products'];
			$exclude_products = explode( ',', $exclude_products );
		} else {
			$exclude_products = "";
		}

		if( !empty( $exclude_products ) ) {
			$extra_query = array(
				'post__not_in' => $exclude_products,
			);
			$arg = wp_parse_args( $arg, $extra_query );
		}

		/*====== Product Categories ======*/
		if( !empty( $atts['category'] ) ) {
			$product_categories = $atts['category'];
			$product_categories = explode( ',', $product_categories );
		} else {
			$product_categories = "";
		}

		if( !empty( $product_categories ) ) {
			$extra_query = array(
				'tax_query' => array(
					array(
						'taxonomy' => 'product_cat',
						'terms' => $product_categories,
					),
				),
			);
			$arg = wp_parse_args( $arg, $extra_query );
		}

		/*====== Excerpt ======*/
		if( !empty( $atts['excerpt'] ) ) {
			$excerpt = $atts['excerpt'];
		} else {
			$excerpt = "true";
		}

		/*====== Price ======*/
		if( !empty( $atts['price'] ) ) {
			$price = $atts['price'];
		} else {
			$price = "true";
		}

		/*====== HTML Output ======*/
		$wp_query = new WP_Query( $arg );
		if( $wp_query->have_posts() ) {
			$output .= '<div class="row">';
				while ( $wp_query->have_posts() ) {
					$wp_query->the_post();
					$output .= '<div class="col-lg-6">';
						$output .= nucy_woo_product_style_1( $product = get_the_ID(), $price = "true", $excerpt = "true", $read_more = "true", $category = "true" );
					$output .= '</div>';
				}
			$output .= '</div>';

			if( $pagination == "true" ) {
				$output .= nucy_element_pagination( $paged = $paged, $query = $wp_query, $style = "style-1" );
			}
		}
		wp_reset_postdata();
	}

	return $output;

}
add_shortcode( "nucy_woo_products", "nucy_woo_products_output" );

if( function_exists( 'vc_map' ) ) {
	vc_map(
		array(
			"name" => esc_html__( 'WooCommerce Products', 'nucy' ),
			"base" => "nucy_woo_products",
			"category" => esc_html__( 'Nucy Theme', 'nucy' ),
			"icon" => get_template_directory_uri() . '/include/customize/assets/img/icons/woo-product.svg',
			"description" => esc_html__( 'WooCommerce products element.', 'nucy' ),
			"params" => array(
				array(
					"type" => "textfield",
					"heading" => esc_html__( 'Category', 'nucy' ),
					"description" => esc_html__( 'You can enter category ids. Separate with commas 1,2,3 etc.', 'nucy' ),
					"param_name" => "category",
					"group" => esc_html__( 'General', 'nucy' ),
				),
				array(
					"type" => "textfield",
					"heading" => esc_html__( "Product IDs", 'nucy' ),
					"description" => esc_html__( 'You can enter product ids. Separate with commas 1,2,3 etc.', 'nucy' ),
					"param_name" => "product-ids",
					"group" => esc_html__( 'General', 'nucy' ),
				),
				array(
					"type" => "textfield",
					"heading" => esc_html__( 'Exclude Products', 'nucy' ),
					"description" => esc_html__( 'You can enter product ids. Separate with commas 1,2,3 etc.', 'nucy' ),
					"param_name" => "exclude-products",
					"group" => esc_html__( 'General', 'nucy' ),
				),
				array(
					"type" => "textfield",
					"heading" => esc_html__( 'Offset', 'nucy' ),
					"description" => esc_html__( 'You can enter a offset number.', 'nucy' ),
					"param_name" => "offset",
					"group" => esc_html__( 'General', 'nucy' ),
				),
				array(
					"type" => "textfield",
					"heading" => esc_html__( 'Product Count', 'nucy' ),
					"description" => esc_html__( 'You can enter product count.', 'nucy' ),
					"param_name" => "product-count",
					"group" => esc_html__( 'General', 'nucy' ),
				),
				array(
					"type" => "dropdown",
					"heading" => esc_html__( 'Order', 'nucy' ),
					"description" => esc_html__( 'You can choose a order.', 'nucy' ),
					"param_name" => "order",
					"save_always" => true,
					"group" => esc_html__( 'General', 'nucy' ),
					"value" => array(
						esc_html__( 'DESC', 'nucy' ) => 'DESC',
						esc_html__( 'ASC', 'nucy' ) => 'ASC',
					),
				),
				array(
					"type" => "dropdown",
					"heading" => esc_html__( 'Order Type', 'nucy' ),
					"description" => esc_html__( 'You can choose a order type.', 'nucy' ),
					"param_name" => "order-type",
					"save_always" => true,
					"group" => esc_html__( 'General', 'nucy' ),
					"value" => array(
						esc_html__( 'Added Date', 'nucy' ) => 'added-date',
						esc_html__( 'Popular by Comment', 'nucy' ) => 'popular-comment',
						esc_html__( 'ID', 'nucy' ) => 'id',
						esc_html__( 'Title', 'nucy' ) => 'title',
						esc_html__( 'Menu Order', 'nucy' ) => 'menu_order',
						esc_html__( 'Random', 'nucy' ) => 'rand',
						esc_html__( 'None', 'nucy' ) => 'none',
					),
				),
				array(
					"type" => "dropdown",
					"heading" => esc_html__( 'Pagination', 'nucy' ),
					"description" => esc_html__( 'You can choose status of pagination.', 'nucy' ),
					"param_name" => "pagination",
					"save_always" => true,
					"group" => esc_html__( 'General', 'nucy' ),
					"value" => array(
						esc_html__( 'True', 'nucy' ) => 'true',
						esc_html__( 'False', 'nucy' ) => 'false',
					),
				),
				array(
					"type" => "dropdown",
					"heading" => esc_html__( 'Column', 'nucy' ),
					"description" => esc_html__( 'You can choose a column.', 'nucy' ),
					"param_name" => "column",
					"save_always" => true,
					"group" => esc_html__( 'Design', 'nucy' ),
					"value" => array(
						esc_html__( '1 Column', 'nucy' ) => 'column-1',
						esc_html__( '2 Column', 'nucy' ) => 'column-2',
						esc_html__( '3 Column', 'nucy' ) => 'column-3',
					),
				),
				array(
					"type" => "dropdown",
					"heading" => esc_html__( 'Price', 'nucy' ),
					"description" => esc_html__( 'You can choose status of price.', 'nucy' ),
					"param_name" => "price",
					"save_always" => true,
					"group" => esc_html__( 'Design', 'nucy' ),
					"value" => array(
						esc_html__( 'True', 'nucy' ) => 'true',
						esc_html__( 'False', 'nucy' ) => 'false',
					),
				),
				array(
					"type" => "dropdown",
					"heading" => esc_html__( 'Excerpt', 'nucy' ),
					"description" => esc_html__( 'You can choose status of excerpt.', 'nucy' ),
					"param_name" => "excerpt",
					"save_always" => true,
					"group" => esc_html__( 'Design', 'nucy' ),
					"value" => array(
						esc_html__( 'True', 'nucy' ) => 'true',
						esc_html__( 'False', 'nucy' ) => 'false',
					),
				),
			),
		)
	);
}