<?php
/*======
*
* Post Types
*
======*/
	/*====== Portfolio ======*/
	if ( ! function_exists( 'nucy_portfolio' ) ) {
		function nucy_portfolio() {
			$labels = array(
				'name' => _x( 'Portfolio', 'Portfolio General Name', 'nucy' ),
				'singular_name' => _x( 'Portfolio', 'Portfolio Singular Name', 'nucy' ),
				'menu_name' => esc_html__( 'Portfolio', 'nucy' ),
				'parent_item_colon' => esc_html__( 'Parent Portfolio:', 'nucy' ),
				'all_items' => esc_html__( 'All Portfolio', 'nucy' ),
				'view_item' => esc_html__( 'View Portfolio', 'nucy' ),
				'add_new_item' => esc_html__( 'Add New Portfolio Item', 'nucy' ),
				'add_new' => esc_html__( 'Add New Portfolio', 'nucy' ),
				'edit_item' => esc_html__( 'Edit Portfolio', 'nucy' ),
				'update_item' => esc_html__( 'Update Portfolio', 'nucy' ),
				'search_items' => esc_html__( 'Search Portfolio', 'nucy' ),
				'not_found' => esc_html__( 'Not Portfolio Found', 'nucy' ),
				'not_found_in_trash' => esc_html__( 'Not Portfolio Found in Trash', 'nucy' ),
			);
			$args = array(
				'label' => esc_html__( 'Portfolio', 'nucy' ),
				'description' => esc_html__( 'Portfolio post type description.', 'nucy' ),
				'labels' => $labels,
				'supports' => array( 'title', 'comments', 'author', 'excerpt', 'thumbnail', 'revisions', 'editor', 'custom-fields' ),
				'hierarchical' => false,
				'public' => true,
				'show_ui' => true,
				'show_in_menu' => true,
				'show_in_nav_menus' => true,
				'show_in_admin_bar' => true,
				'menu_position' => 20,
				'menu_icon' => 'dashicons-portfolio',
				'can_export' => true,
				'has_archive' => true,
				'exclude_from_search' => false,
				'publicly_queryable' => true,
				'capability_type' => 'post',
			);
			register_post_type( 'portfolio', $args );
		}
		add_action( 'init', 'nucy_portfolio', 0 );
	}



/*======
*
* Taxonomies
*
======*/
	/*====== Category ======*/
	if ( ! function_exists( 'nucy_categories' ) ) {
		function nucy_categories() {
			$labels = array(
				'name' => _x( 'Category', 'Category General Name', 'nucy' ),
				'singular_name' => _x( 'Category', 'Category Singular Name', 'nucy' ),
				'menu_name' => esc_html__( 'Category', 'nucy' ),
				'all_items' => esc_html__( 'All Category', 'nucy' ),
				'parent_item' => esc_html__( 'Parent Project', 'nucy' ),
				'parent_item_colon' => esc_html__( 'Parent Project:', 'nucy' ),
				'new_item_name' => esc_html__( 'New Project Name', 'nucy' ),
				'add_new_item' => esc_html__( 'Add New Project', 'nucy' ),
				'edit_item' => esc_html__( 'Edit Project', 'nucy' ),
				'view_item' => esc_html__( 'View Project', 'nucy' ),
				'update_item' => esc_html__( 'Update Project', 'nucy' ),
				'separate_items_with_commas' => esc_html__( 'Separate categories with commas', 'nucy' ),
				'search_items' => esc_html__( 'Search Category', 'nucy' ),
				'add_or_remove_items' => esc_html__( 'Add or remove categories', 'nucy' ),
				'choose_from_most_used' => esc_html__( 'Choose from the most used categories', 'nucy' ),
				'not_found' => esc_html__( 'Not Found', 'nucy' ),
			);
			$args = array(
				'labels' => $labels,
				'hierarchical' => true,
				'public' => true,
				'show_ui' => true,
				'show_admin_column' => true,
				'show_in_nav_menus' => true,
				'show_tagcloud' => true,
			);
			register_taxonomy( 'portfolio-category', array( 'portfolio' ), $args );

		}
		add_action( 'init', 'nucy_categories', 0 );
	}



	/*====== Projects ======*/
	if ( ! function_exists( 'nucy_projects' ) ) {
		function nucy_projects() {
			$labels = array(
				'name' => _x( 'Projects', 'Projects General Name', 'nucy' ),
				'singular_name' => _x( 'Projects', 'Projects Singular Name', 'nucy' ),
				'menu_name' => esc_html__( 'Projects', 'nucy' ),
				'all_items' => esc_html__( 'All Projects', 'nucy' ),
				'parent_item' => esc_html__( 'Parent Project', 'nucy' ),
				'parent_item_colon' => esc_html__( 'Parent Project:', 'nucy' ),
				'new_item_name' => esc_html__( 'New Project Name', 'nucy' ),
				'add_new_item' => esc_html__( 'Add New Project', 'nucy' ),
				'edit_item' => esc_html__( 'Edit Project', 'nucy' ),
				'view_item' => esc_html__( 'View Project', 'nucy' ),
				'update_item' => esc_html__( 'Update Project', 'nucy' ),
				'separate_items_with_commas' => esc_html__( 'Separate projects with commas', 'nucy' ),
				'search_items' => esc_html__( 'Search Projects', 'nucy' ),
				'add_or_remove_items' => esc_html__( 'Add or remove projects', 'nucy' ),
				'choose_from_most_used' => esc_html__( 'Choose from the most used projects', 'nucy' ),
				'not_found' => esc_html__( 'Not Found', 'nucy' ),
			);
			$args = array(
				'labels' => $labels,
				'hierarchical' => true,
				'public' => true,
				'show_ui' => true,
				'show_admin_column' => true,
				'show_in_nav_menus' => true,
				'show_tagcloud' => true,
			);
			register_taxonomy( 'project', array( 'portfolio' ), $args );

		}
		add_action( 'init', 'nucy_projects', 0 );
	}



	/*====== Clients ======*/
	if ( ! function_exists( 'nucy_clients' ) ) {
		function nucy_clients() {
			$labels = array(
				'name' => _x( 'Clients', 'Clients General Name', 'nucy' ),
				'singular_name' => _x( 'Clients', 'Clients Singular Name', 'nucy' ),
				'menu_name' => esc_html__( 'Clients', 'nucy' ),
				'all_items' => esc_html__( 'All Clients', 'nucy' ),
				'parent_item' => esc_html__( 'Parent Client', 'nucy' ),
				'parent_item_colon' => esc_html__( 'Parent Client:', 'nucy' ),
				'new_item_name' => esc_html__( 'New Client Name', 'nucy' ),
				'add_new_item' => esc_html__( 'Add New Client', 'nucy' ),
				'edit_item' => esc_html__( 'Edit Client', 'nucy' ),
				'view_item' => esc_html__( 'View Client', 'nucy' ),
				'update_item' => esc_html__( 'Update Client', 'nucy' ),
				'separate_items_with_commas' => esc_html__( 'Separate clients with commas', 'nucy' ),
				'search_items' => esc_html__( 'Search Clients', 'nucy' ),
				'add_or_remove_items' => esc_html__( 'Add or remove clients', 'nucy' ),
				'choose_from_most_used' => esc_html__( 'Choose from the most used clients', 'nucy' ),
				'not_found' => esc_html__( 'Not Found', 'nucy' ),
			);
			$args = array(
				'labels' => $labels,
				'hierarchical' => true,
				'public' => true,
				'show_ui' => true,
				'show_admin_column' => true,
				'show_in_nav_menus' => true,
				'show_tagcloud' => true,
			);
			register_taxonomy( 'client', array( 'portfolio' ), $args );

		}
		add_action( 'init', 'nucy_clients', 0 );
	}